/* printStats.c - GoForm to handle file upload */

/*
DESCRIPTION
This GoForm procedure handles http file upload.

*/

#include "../webs.h"

/* forward declarations */
void        printStats(webs_t wp, char_t * path, char_t * query);


/*******************************************************************************
*
* printStats - GoForm procedure to print switch stats
*
*
* RETURNS: OK, or ERROR if the I/O system cannot install the driver.
*/
#include "list.h"
extern List        *getlist();

void printStats(webs_t wp, char_t * path, char_t * query) {
  List        *p_list;
  Element     *p_elem;
  int         val;

    a_assert(websValid(wp));
    websHeader(wp);

    websWrite(wp, T("<title>Switching Statistics </title>"));

    websWrite(wp, T("<h1>Switching Statistics </h1><br>"));

  p_list = getlist();

  printf("got the list\n");

  /* Print the content of the list. */

  if (p_list->p_head == NULL) {
     printf("the list is empty");
    websWrite(wp, T("No stats <br>"));
  }
  else {

    websWrite(wp, T("<TABLE border=\"1\" cellpadding=\"10\" > "));
    websWrite(wp, T("<TR><TH> url<TH> # "));

    p_elem = p_list->p_head;
    while (p_elem != NULL)
    {
      val =  p_elem->value;
      websWrite(wp, T("<TR><TH>%s<TD>%d"), p_elem->p_url,val);
/*      websWrite(wp, T("          %s     %d <br>"), p_elem->p_url,val); */

      p_elem = p_elem->p_next;
    }
    websWrite(wp, T("</TABLE><br><br> "));
  }

/*    websWrite(wp, T("Stats printed successfully <br><br><br><br>")); */

    websWrite(wp, T("<a href=\"http://128.198.60.32/npcs.htm\">HOME</a>"));

    websFooter(wp);
    websDone(wp, 200);
}    /* void printStats(webs_t wp, char_t * path, char_t * query) */
