/*
 * test_tree.c
 * This program tests the doubly-linked list package.
 */
#include <stdio.h>
#include "list.h"

extern List        *getlist();

int extmain ()
{
  List        *p_list;
  Element     *p_elem;
  char v_first[80] ;
  Element     *found;
  char        line[80];
  
  FILE fd;
 
  p_list = getlist();

  printf("got the list\n");

  /* Print the content of the list. */

  if (p_list->p_head == NULL) {
     printf("the list is empty");
     return(0);
  }

  p_elem = p_list->p_head;
  while (p_elem != NULL)
  {
    printf ("%s<>%g ", p_elem->p_url, p_elem->value);
    p_elem = p_elem->p_next;
  }
  printf ("\n");
  printf ("%d elements in the list.\n", p_list->size);

  return (0);
}
