#include <stdio.h>
#include <stdlib.h>
#include <ctype.h>
#include <string.h>
#include <stdarg.h>
#include <errno.h>

struct operatoritem
{
        char *shortcut;
        char *symbol;
        char *help;
};

struct relationaloperatoritem
{
        char *shortcut;
        char *symbol;
        char *help;
};

struct variableitem
{
        char *command;
        char *help;
};

struct actionitem
{
        char *shortcut;
        char *symbol;
        char *help;
};


struct operatoritem *operator_find(char *cmd);

struct relationaloperatoritem *relationaloperator_find(char *cmd);

struct variableitem *variable_find(char *cmd);

struct actionitem *action_find(char *cmd);
