/* sport.cpp
 * Serial port interface
 *
 * --------------------------------------------------------------------------
 *                                                                      
 *                  I N T E L   P R O P R I E T A R Y                   
 *                                                                      
 *     COPYRIGHT (c)  2000 BY  INTEL  CORPORATION.  ALL RIGHTS          
 *     RESERVED.   NO  PART  OF THIS PROGRAM  OR  PUBLICATION  MAY      
 *     BE  REPRODUCED,   TRANSMITTED,   TRANSCRIBED,   STORED  IN  A    
 *     RETRIEVAL SYSTEM, OR TRANSLATED INTO ANY LANGUAGE OR COMPUTER    
 *     LANGUAGE IN ANY FORM OR BY ANY MEANS, ELECTRONIC, MECHANICAL,    
 *     MAGNETIC,  OPTICAL,  CHEMICAL, MANUAL, OR OTHERWISE,  WITHOUT    
 *     THE PRIOR WRITTEN PERMISSION OF :                                
 *                                                                      
 *                        INTEL  CORPORATION                            
 *                                                                     
 *                     2200 MISSION COLLEGE BLVD                        
 *                                                                      
 *               SANTA  CLARA,  CALIFORNIA  95052-8119                  
 *                                                                      
 * ------------------------------------------------------------------------
 *
 *
 * system: SA1200
 * subsystem: FUtil
 * author: jdg 05/03/00
 * revisions:
 * $History: sport.h $
 * 
 * *****************  Version 2  *****************
 * User: Jdguilfo     Date: 10/20/00   Time: 1:38p
 * Updated in $/dev_1200/BoardSupport/FlashUtil/host
 * Add HPC support
 * 
 * *****************  Version 1  *****************
 * User: Jdguilfo     Date: 5/03/00    Time: 4:39p
 * Created in $/dev_1200/BoardSupport/FlashUtil/host
 * Add new Flash Utility (FUtil)
 * 
 * ------------------------------------------------------------------------
 */

#ifndef __SPORT_H__
#define __SPORT_H__

HANDLE openSer(int port); /* 1 or 2 */
HANDLE openHpc(int port);
int readLine(HANDLE hCom, unsigned char* buf, int buf_size, bool &timeout);
void writeStr(HANDLE hCom, unsigned char *buf);
void writeStr(HANDLE hCom,          char *buf);
DWORD write_n(HANDLE hCom, unsigned char *buf, int n);
void write32(HANDLE hCom, unsigned int data);
#define closeSer(hCom) CloseHandle(hCom)

#endif /* ifdef __SPORT_H__ */
