/* utils.s
 * Assembler utility functions needed for OS-independent module
 *
 * --------------------------------------------------------------------------
 *                                                                      
 *                  I N T E L   P R O P R I E T A R Y                   
 *                                                                      
 *     COPYRIGHT (c)  2000 BY  INTEL  CORPORATION.  ALL RIGHTS          
 *     RESERVED.   NO  PART  OF THIS PROGRAM  OR  PUBLICATION  MAY      
 *     BE  REPRODUCED,   TRANSMITTED,   TRANSCRIBED,   STORED  IN  A    
 *     RETRIEVAL SYSTEM, OR TRANSLATED INTO ANY LANGUAGE OR COMPUTER    
 *     LANGUAGE IN ANY FORM OR BY ANY MEANS, ELECTRONIC, MECHANICAL,    
 *     MAGNETIC,  OPTICAL,  CHEMICAL, MANUAL, OR OTHERWISE,  WITHOUT    
 *     THE PRIOR WRITTEN PERMISSION OF :                                
 *                                                                      
 *                        INTEL  CORPORATION                            
 *                                                                     
 *                     2200 MISSION COLLEGE BLVD                        
 *                                                                      
 *               SANTA  CLARA,  CALIFORNIA  95052-8119                  
 *                                                                      
 * ------------------------------------------------------------------------
 *
 *
 * system: SA1200
 * subsystem: FUtil
 * author: jdg 05/03/00
 * revisions:
 * $History: utils.s $
; 
; *****************  Version 4  *****************
; User: Jdguilfo     Date: 10/26/00   Time: 3:38p
; Updated in $/dev_1200/BoardSupport/BootFlash
; Merge serial and HPC versions into one version, see bootMgr.txt for
; details.
 * 
 * ------------------------------------------------------------------------
 * This code contains assembly-level utility routines needed by OS-independent
 * code.
 * ------------------------------------------------------------------------
 */

	.globl  _sysCpuIDGet            /* Get all CPU version info */
	.text
	.balign 4

_sysCpuIDGet:	

	MRC	p15, 0, r0, c0, c0, 0
	MOV	pc, lr				/* exit */

