;*************************************************************************
; *
; * COMMACRO.S : Macro definition source file for COM port functions.
; * 		   
; * 
; *
; * ---------------------------------------------------------------------	
; *                                                                      
; *                  I N T E L   P R O P R I E T A R Y                   
; *                                                                      
; *     COPYRIGHT (c)  1998-2000 BY  INTEL  CORPORATION.  ALL RIGHTS          
; *     RESERVED.   NO  PART  OF THIS PROGRAM  OR  PUBLICATION  MAY      
; *     BE  REPRODUCED,   TRANSMITTED,   TRANSCRIBED,   STORED  IN  A    
; *     RETRIEVAL SYSTEM, OR TRANSLATED INTO ANY LANGUAGE OR COMPUTER    
; *     LANGUAGE IN ANY FORM OR BY ANY MEANS, ELECTRONIC, MECHANICAL,    
; *     MAGNETIC,  OPTICAL,  CHEMICAL, MANUAL, OR OTHERWISE,  WITHOUT    
; *     THE PRIOR WRITTEN PERMISSION OF :                                
; *                                                                      
; *                        INTEL  CORPORATION                            
; *                                                                     
; *                     2200 MISSION COLLEGE BLVD                        
; *                                                                      
; *               SANTA  CLARA,  CALIFORNIA  95052-8119                  
; *                                                                      
; * ---------------------------------------------------------------------
; *
; * system: IXP1200
; * subsystem: Diagnostics
; * author: tep
; * revisions:
; * $History: commacro.s $
; *
;*************************************************************************

;External procedures...
	IMPORT	UARTSendString
	IMPORT	GetBytec1
	IMPORT	PutBytec1
	IMPORT	PutHexc1
	IMPORT	PutWordc1



;Macro definitions...

; NOTE: All macros below assume that R13 has been initialized as a 
; VALID stack pointer!

	MACRO 
$label	printfs	
	stmfd	r13!, {r0-r12}		
	bl		UARTSendString
	ldmfd	r13!, {r0-r12}
	MEND


	MACRO 
$label	PutByteStack
	stmfd	r13!, {r0-r12}		
	bl		PutBytec1
	ldmfd	r13!, {r0-r12}
	MEND


	MACRO 
$label	PutHexStack
	stmfd	r13!, {r0-r12}		
	bl		PutHexc1
	ldmfd	r13!, {r0-r12}
	MEND


	MACRO 
$label	PutWordStack
	stmfd	r13!, {r0-r12}		
	bl		PutWordc1
	ldmfd	r13!, {r0-r12}
	MEND
	
	
	MACRO 
$label	GetByteStack
	stmfd	r13!, {r0-r12}		
	bl		GetBytec1
	ldmfd	r13!, {r0-r12}
	MEND

	END