/* vxFlashUtilMgr.c - Header file for FlashUtilMgr specific for VxWorks. */

/* Copyright 1999 Intel Corp. */

/*
modification history
--------------------
01a,08Jul99,jdg  created
*/

/*
DESCRIPTION
This file contains the necessary preamble to allow FlashUtilMgr to be
compiled for VxWorks.
*/

#include "vxWorks.h"
#include "config.h"

#ifdef INCLUDE_FLASH_UTILS

#include "stdlib.h"
#include "string.h"
#include "sysLib.h"
#include "vmLib.h"

#define MAKE_PAGES_WRITABLE(start_addr, end_addr) \
    vmBaseStateSet(NULL,(void*)(start_addr),((end_addr)-(start_addr)), \
    VM_STATE_MASK_WRITABLE | VM_STATE_MASK_VALID, \
    VM_STATE_WRITABLE | VM_STATE_VALID)

#define SERPORTNAME "/tyCo/0"

#define FLASH_TOTAL_SIZE (ROM_BASE_ADRS + ROM_SIZE_TOTAL - ROM_VIRT_OFFSET)

#define FUTIL_ADRS 0
#define FUTIL_LEN  0x8000

#include "flashUtilMgr.c"

#endif /* ifdef INCLUDE_FLASH_UTILS */
