/* -*-C-*-
 *
 * $Revision: 1 $
 *   $Author: Hqianx $
 *     $Date: 8/17/99 4:15p $
 *
 * Copyright (c) 1996 Advanced RISC Machines Limited.
 * All Rights Reserved.
 *
 *   Project: ANGEL
 *
 *     Title: Test header for serial/parallel device driver
 */

#ifndef angel_serpar_h
#define angel_serpar_h

/*
 * 
 */

/* Nested header files, if required */

#include "devdriv.h"


/* General purpose constants, macros, enums, typedefs */

#define SERPAR_DEV_IDENT_0   0


/* Publically-accessible globals */
extern const struct angel_DeviceEntry angel_SerParDevice;


/* see devdriv.h for description of POLL handler functions */
extern void angel_SerParReadPollHandler( unsigned );
extern void angel_SerParWritePollHandler( unsigned );


#endif /* ndef angel_serpar_h */

/* EOF serial.h */
