/* uload_cmd.h
 *
 *------------------------------------------------------------
 *                                                                      
 *                  I N T E L   P R O P R I E T A R Y                   
 *                                                                      
 *     COPYRIGHT (c)  1998 BY  INTEL  CORPORATION.  ALL RIGHTS          
 *     RESERVED.   NO  PART  OF THIS PROGRAM  OR  PUBLICATION  MAY      
 *     BE  REPRODUCED,   TRANSMITTED,   TRANSCRIBED,   STORED  IN  A    
 *     RETRIEVAL SYSTEM, OR TRANSLATED INTO ANY LANGUAGE OR COMPUTER    
 *     LANGUAGE IN ANY FORM OR BY ANY MEANS, ELECTRONIC, MECHANICAL,    
 *     MAGNETIC,  OPTICAL,  CHEMICAL, MANUAL, OR OTHERWISE,  WITHOUT    
 *     THE PRIOR WRITTEN PERMISSION OF :                                
 *                                                                      
 *                        INTEL  CORPORATION                            
 *                                                                     
 *                     2200 MISSION COLLEGE BLVD                        
 *                                                                      
 *               SANTA  CLARA,  CALIFORNIA  95052-8119                  
 *                                                                      
 *------------------------------------------------------------
 * system: SA1200
 * subsystem: console
 * author: Henry Qian 03/04/99
 * revisions:
 *
 */
#ifndef ULOAD_CMD_H
#define ULOAD_CMD_H

#include "os.h"

extern ConsoleCommand uload_cmd[];

#ifdef __cplusplus
extern "C" {
#endif

    // uLoader library functions
    //
    void InitUcLoLib(char*);
    void LoadUofFile(char* param);
    void DeleteUofFile(char*);
    void BindSymbol(char* param);
    void GetUFuncID(char* param);
    void WriteUImageAll(char*);
    void WriteUImage(char* param);
    void VerifyUEngine(char* param);
    void VerifyUImage(char* param);
    void uLoad(char* param);

#ifdef __cplusplus
}
#endif


#endif /* ULOAD_CMD_H */

/* end of file, leave bland line at end */
