
/*		Copyright (C) 1998.  Intel Corporation.			*/

#include "uart.h"
#include "heap.h"

class AAA {
public:
    AAA();
    ~AAA();

    int aaa;
};

AAA::AAA()
{
    aaa = 0xa5a5a5a5;
    _printf("I am in class constructor: %x\n", this);
}

AAA::~AAA()
{
    _printf("I am leaving: %x\n", this);
}

// Staticly declared object.
// Test constructor is called before main().
//
AAA aaa;

int main (int argc, int *argv[])
{
    // Dynamicly declared.
    // Test our own malloc() works.
    //
    AAA* bbb = new(AAA);

    _printf("Hello, world!\n");

    delete bbb;

    while(1)
        ;

    return (0);
}
