/* utl_str.h
 * Utility Library
 *
 *---------------------------------------------------------------------------
 *                                                                      
 *                  I N T E L   P R O P R I E T A R Y                   
 *                                                                      
 *     COPYRIGHT (c)  1998-1999 BY  INTEL  CORPORATION.  ALL RIGHTS          
 *     RESERVED.   NO  PART  OF THIS PROGRAM  OR  PUBLICATION  MAY      
 *     BE  REPRODUCED,   TRANSMITTED,   TRANSCRIBED,   STORED  IN  A    
 *     RETRIEVAL SYSTEM, OR TRANSLATED INTO ANY LANGUAGE OR COMPUTER    
 *     LANGUAGE IN ANY FORM OR BY ANY MEANS, ELECTRONIC, MECHANICAL,    
 *     MAGNETIC,  OPTICAL,  CHEMICAL, MANUAL, OR OTHERWISE,  WITHOUT    
 *     THE PRIOR WRITTEN PERMISSION OF :                                
 *                                                                      
 *                        INTEL  CORPORATION                            
 *                                                                     
 *                     2200 MISSION COLLEGE BLVD                        
 *                                                                      
 *               SANTA  CLARA,  CALIFORNIA  95052-8119                  
 *                                                                      
 *---------------------------------------------------------------------------
 * system: IXP1200
 * subsystem: Utility Library
 * author: drj Aug 17, 2000 Initial version
 * revisions:
 * $History: utl_str.h $
 * 
 * *****************  Version 2  *****************
 * User: Drjohns1     Date: 8/30/00    Time: 2:15p
 * Updated in $/dev_1200/Include
 * 
 * *****************  Version 1  *****************
 * User: Drjohns1     Date: 8/17/00    Time: 2:24p
 * Created in $/dev_1200/Include
 * Utility string functions
 *
 * ---------------------------------------------------------------------
 */
#ifndef __UTL_STR_H
#define __UTL_STR_H

#ifdef __cplusplus
extern "C"{
#endif

char *utl_stripLeadBlanks(char *str);
char *utl_stripTrailBlanks(char *str);
char *utl_stripBlanks(char *str);
char *utl_strtoken(char *str, char *dlim, char **savPtr);
char *utl_strLowcase(char *s);
char *utl_strUpcase(char *s);

#ifdef __cplusplus
}
#endif

#endif			/* __UTL_STR_H	*/