//------------------------------------------------------------------------------------
//                                                                     
//                  I N T E L   P R O P R I E T A R Y                   
//                                                                      
//     COPYRIGHT (c)  1998-1999 BY  INTEL  CORPORATION.  ALL RIGHTS          
//     RESERVED.   NO  PART  OF THIS PROGRAM  OR  PUBLICATION  MAY      
//     BE  REPRODUCED,   TRANSMITTED,   TRANSCRIBED,   STORED  IN  A    
//     RETRIEVAL SYSTEM, OR TRANSLATED INTO ANY LANGUAGE OR COMPUTER    
//     LANGUAGE IN ANY FORM OR BY ANY MEANS, ELECTRONIC, MECHANICAL,    
//     MAGNETIC,  OPTICAL,  CHEMICAL, MANUAL, OR OTHERWISE,  WITHOUT    
//     THE PRIOR WRITTEN PERMISSION OF :                                
//                                                                      
//                        INTEL  CORPORATION                            
//                                                                     
//                     2200 MISSION COLLEGE BLVD                        
//                                                                      
//               SANTA  CLARA,  CALIFORNIA  95052-8119                  
//                                                                      
//-----------------------------------------------------------------------------------
// rec.h
// shared definitions
//
//
// system: SA1200
// subsystem: receive microcode
// usage: shared definitions
// author: dfh 2/20/98
// revisions:
//
// ---------------------------SA1200 microcode--------------------------


// data link layer discard exceptions:
//
#define	   MAC_CANCEL					0
#define	   MAC_RXFAIL					0x01
#define    MAC_ERR_PACKET				0x02
#define    MAC_EXP_SOP					0x03
#define    MAC_EXP_NOT_SOP				0x04
#define    PROT802_3_NOT_IMPLEMENTED	0x05

// bridge exceptions
#define		BR_SOURCE_EQ_DEST_PORT		0x06

// network layer exceptions
//
#define    IP_BAD_TOTAL_LENGTH			0x08
#define    IP_BAD_TTL					0x09
#define    IP_BAD_CHECKSUM				0x0a
#define    IP_NO_ROUTE					0x0b
#define    IP_CROSS_VPR             0x0c
