//------------------------------------------------------------------------------------
//                                                                      
//                   I N T E L   P R O P R I E T A R Y                   
//                                                                       
//      COPYRIGHT (c)  2000 BY  INTEL  CORPORATION.  ALL RIGHTS          
//      RESERVED.   NO  PART  OF THIS PROGRAM  OR  PUBLICATION  MAY      
//      BE  REPRODUCED,   TRANSMITTED,   TRANSCRIBED,   STORED  IN  A    
//      RETRIEVAL SYSTEM, OR TRANSLATED INTO ANY LANGUAGE OR COMPUTER    
//      LANGUAGE IN ANY FORM OR BY ANY MEANS, ELECTRONIC, MECHANICAL,    
//      MAGNETIC,  OPTICAL,  CHEMICAL, MANUAL, OR OTHERWISE,  WITHOUT    
//      THE PRIOR WRITTEN PERMISSION OF :                                
//                                                                       
//                         INTEL  CORPORATION                            
//                                                                      
//                      2200 MISSION COLLEGE BLVD                        
//                                                                       
//                SANTA  CLARA,  CALIFORNIA  95052-8119                  
//                                                                       
//------------------------------------------------------------------------------------
// constants.uc
//	define constants
//
//
// system: IXP1200
// subsystem: utility microcode
// usage: library macros
// author: dfh	May 1, 2000
//
// revisions:


#ifndef CONSTANTS_UC
#define CONSTANTS_UC

// for IXP1200
#define MAX_IMMEDIATE 0x1F


#define FALSE 0
#define TRUE 1
#define UNALLOCATED 0

#define FREELIST0 0
#define FREELIST1 1
#define FREELIST2 2
#define FREELIST3 3
#define FREELIST4 4
#define FREELIST5 5
#define FREELIST6 6
#define FREELIST7 7

#define XFRINDEX0 0
#define XFRINDEX1 1
#define XFRINDEX2 2
#define XFRINDEX3 3
#define XFRINDEX4 4
#define XFRINDEX5 5
#define XFRINDEX6 6
#define XFRINDEX7 7

#define QWCOUNT1	1
#define QWCOUNT2	2
#define QWCOUNT3	3
#define QWCOUNT4	4
#define QWCOUNT5	5
#define QWCOUNT6	6
#define QWCOUNT7	7
#define QWCOUNT8	8

#define QWOFFSET0	0
#define QWOFFSET1	1
#define QWOFFSET2	2
#define QWOFFSET3	3
#define QWOFFSET4	4
#define QWOFFSET5	5
#define QWOFFSET6	6
#define QWOFFSET7	7

#define LWCOUNT1	1
#define LWCOUNT2	2
#define LWCOUNT3	3
#define LWCOUNT4	4
#define LWCOUNT5	5
#define LWCOUNT6	6
#define LWCOUNT7	7
#define LWCOUNT8	8

#define LWOFFSET0	0
#define LWOFFSET1	1
#define LWOFFSET2	2
#define LWOFFSET3	3
#define LWOFFSET4	4
#define LWOFFSET5	5
#define LWOFFSET6	6
#define LWOFFSET7	7

#define BYTEOFFSET0 0
#define BYTEOFFSET1 1
#define BYTEOFFSET2 2
#define BYTEOFFSET3 3
#define BYTEOFFSET4 4
#define BYTEOFFSET5 5
#define BYTEOFFSET6 6
#define BYTEOFFSET7 7
#define BYTEOFFSET8 8
#define BYTEOFFSET9 9
#define BYTEOFFSET10 10
#define BYTEOFFSET11 11
#define BYTEOFFSET12 12
#define BYTEOFFSET13 13
#define BYTEOFFSET14 14
#define BYTEOFFSET15 15
#define BYTEOFFSET16 16
#define BYTEOFFSET17 17
#define BYTEOFFSET18 18
#define BYTEOFFSET19 19
#define BYTEOFFSET20 20
#define BYTEOFFSET21 21
#define BYTEOFFSET22 22
#define BYTEOFFSET23 23
#define BYTEOFFSET24 24
#define BYTEOFFSET25 25
#define BYTEOFFSET26 26
#define BYTEOFFSET27 27
#define BYTEOFFSET28 28
#define BYTEOFFSET29 29
#define BYTEOFFSET30 30
#define BYTEOFFSET31 31

// Packet Actions
#define PKT_DENY 		0x00
#define PKT_PERMIT 		0x01
#define	PKT_QUEUE_TO_CORE	0x02

#endif // CONSTANTS_UC


