//------------------------------------------------------------------------------------
//                                                                      
//                   I N T E L   P R O P R I E T A R Y                   
//                                                                       
//      COPYRIGHT (c)  2000 BY  INTEL  CORPORATION.  ALL RIGHTS          
//      RESERVED.   NO  PART  OF THIS PROGRAM  OR  PUBLICATION  MAY      
//      BE  REPRODUCED,   TRANSMITTED,   TRANSCRIBED,   STORED  IN  A    
//      RETRIEVAL SYSTEM, OR TRANSLATED INTO ANY LANGUAGE OR COMPUTER    
//      LANGUAGE IN ANY FORM OR BY ANY MEANS, ELECTRONIC, MECHANICAL,    
//      MAGNETIC,  OPTICAL,  CHEMICAL, MANUAL, OR OTHERWISE,  WITHOUT    
//      THE PRIOR WRITTEN PERMISSION OF :                                
//                                                                       
//                         INTEL  CORPORATION                            
//                                                                      
//                      2200 MISSION COLLEGE BLVD                        
//                                                                       
//                SANTA  CLARA,  CALIFORNIA  95052-8119                  
//                                                                       
//------------------------------------------------------------------------------------
// ixplib.uc
//	include ixp common macros files
//
// system: IXP1200
// subsystem: utility microcode
// usage: library macros
// author: dfh	May 1, 2000
//
// revisions:


// include common libs
#include "constants.uc"		// constants for use instead of magic numbers
#include "stdmac.uc"		// instruction set simplification macros
#include "xbuf.uc"			// transfer buffer macros
#include "buf.uc"			// memory buffer allocation macros
#include "mailbox.uc"		// mailbox macros
#include "sig.uc"			// signal macros
#include "critsect.uc"		// critical section macros
#include "cycle.uc"			// cycle count macros
#include "field.uc"			// field extract/compare/branch macros
#include "ether.uc"			// ethernet protocol macros
#include "ip.uc"			// internet protocol header processing macros
#include "port.uc"			// port receive and transmit macros
#include "rfifo.uc"			// rfifo macros
#include "packetq.uc"		// packet queuing macros
#include "scratch.uc"		// scratch access macros
#include "dram.uc"			// sdram access macros
#include "sram.uc"			// sram access macros

