// ports_validcard1.h
// port speeds for the first IXP1200 early Eval Cards 

//	MAC 0 is 21440 Octal Port 100Mbit MAC


// for IXP1200 validation boards, slow ports only

// this defines the ranges for slow and fast ports 
#define SLOW_PORT_LO 0
#define SLOW_PORT_HI 15
#define FAST_PORT_LO 31		; invalid port number
#define FAST_PORT_HI 31		; invalid port number

#define RDYBUS_PROG1 0x00db0000		; rx rdy mac 0 and 1 == 0xdb. flow control == 0x00
#define RDYBUS_PROG2 0x00d70000		; tx rdy mac 0 and 1 == 0xd7, flow control (executes faster than nop)
#define RDYBUS_PROG3 0x00000000		; flow control (executes faster than nop)
