startsdram#:
	; initialize some registers
	immed[ a1, 0x0 ]	; the address of lower sdram range
	immed[ a10, 0xfffe ]	; the address of higher sdram range
    immed[ count,  0x0 ]
    immed[ reg_1,  0xA5a5 ]
    immed[ $$r1 ,  0xA5a5 ]
				; this is the data that going to be written
				; but first move into transfer register.
				;
				; N.b. you can not access an out going 
				; port transf reg.
    immed[ reg_2, 0x5555 ]
    immed[ $$r2 , 0x5555 ]
    immed[ reg_3, 0x789a ]
    immed[ $$r3 , 0x789a ]
    immed[ reg_4, 0xffff ]	; ....
    immed[ $$r4 , 0xffff ]
    immed[ $$r5 , 0x1111 ]

lowersdram#:
	immed[ a1, 0x4  ]
			; note that fields 3 & 4 make up the address.
			; write lower part of sdram
			; also not allowed to address location 0
	sdram[ write, $$r1, a1, 0, 1],  sig_done 
	alu[ count, count, + , 0x1  ]	; perform compare now	
	ctx_arb	[ sdram ]  
	sdram[  read, $$r5, a1, 0, 1],  sig_done 
	alu[ count, count, + , 0x1  ]	; perform compare now	
	ctx_arb	[sdram]
	alu[ --, $$r5, xor , reg_1  ]	; perform compare now	
	br!=0[ error#]

highersdram#:		; write higher part of sdram
  	sdram[ write, $$r4, a10, 0, 1],  ctx_swap
	nop
	nop
  	sdram[ write, $$r4, a10, 1, 1],  ctx_swap
	nop
	nop
	; now read 
	sdram[  read, $$r6, a10, 0, 1],  ctx_swap 

sdramtx1#:			; perform compare now	
	alu[ --, $$r6, xor , reg_4  ]
	br=0[ done#]
	br[ error# ]



























