
startsram#:
	; initialize some registers
	immed[@done_flag, 0]
				; boundary 0 - 64K
	immed[ a1, 0x0 ]	; the address of lower sram range

	immed[ a10, 0xfffe ]	; the address of higher sram range
    immed[ reg_1,  0xA5a5 ]
    immed[ $r1 ,  0xA5a5 ]
				; this is the data that going to be written
				; but first move into transfer register.
				;
				; N.b. you can not access an out going 
				; port transf reg.
    immed[ reg_2, 0x5555 ]
    immed[ $r2 , 0x5555 ]
    immed[ reg_3, 0x789a ]
    immed[ $r3 , 0x789a ]
    immed[ reg_4, 0xffff ]	; ....
    immed[ $r4 , 0xffff ]
    immed[ $r5 , 0x1111 ]

lowersram#:
	immed[ a1, 0x4  ]
			; note that fields 3 & 4 make up the address.
			; write lower part of sdram
	sram[ write, $r1, a1, 0, 1],  ctx_swap
	nop
	sram[ write, $r1, a1, 1, 1],  ctx_swap
	nop
	sram[ read, $r5, a1, 0, 1],   ctx_swap
	nop
		; perform compare now	
	alu[ --, $r5, xor , reg_1  ]
	br!=0[ error#]

highersram#:		; write higher part of sdram
  	sram[ write, $r4, a10, 0, 1],  ctx_swap
	nop
  	sram[ write, $r4, a10, 1, 1],  ctx_swap
	nop
	sram[ read, $r6, a10, 0, 1],  ctx_swap

sramtx1#:			; perform compare now	
	alu[ --, $r6, xor , reg_4  ]
	br=0[ done#]
	br[ error# ]
























