/* GigEvDs.h
 * GigMacDriver Port Dispetcher file 
 *
 * ---------------------------------------------------------------------        
 *                                                                      
 *                  I N T E L   P R O P R I E T A R Y                   
 *                                                                      
 *     COPYRIGHT (c)  1998-1999 BY  INTEL  CORPORATION.  ALL RIGHTS         
 *     RESERVED.   NO  PART  OF THIS PROGRAM  OR  PUBLICATION  MAY      
 *     BE  REPRODUCED,   TRANSMITTED,   TRANSCRIBED,   STORED  IN  A    
 *     RETRIEVAL SYSTEM, OR TRANSLATED INTO ANY LANGUAGE OR COMPUTER    
 *     LANGUAGE IN ANY FORM OR BY ANY MEANS, ELECTRONIC, MECHANICAL,    
 *     MAGNETIC,  OPTICAL,  CHEMICAL, MANUAL, OR OTHERWISE,  WITHOUT    
 *     THE PRIOR WRITTEN PERMISSION OF :                                
 *                                                                      
 *                        INTEL  CORPORATION                            
 *                                                                     
 *                     2200 MISSION COLLEGE BLVD                        
 *                                                                      
 *               SANTA  CLARA,  CALIFORNIA  95052-8119                  
 *                                                                      
 * ---------------------------------------------------------------------
 *
 * system: SA1200
 * subsystem: GigMacDriver
 * author: sk, Apr 99 Initial version
 * $History: GigEvDs.h $
 * 
 * *****************  Version 1  *****************
 * User: Skornfel     Date: 4/28/99    Time: 3:50p
 * Created in $/dev_1200/SA1_CoreLibs/GigaMAC_GC82547EB
 * FIRST VERSION OF THE DRIVER 
 * lightly tested on NT 
 * 
 * ---------------------------------------------------------------------
 */

#ifndef GIG_MAC_DSTR
#define GIG_MAC_DSTR

#include "GigPort.h"


class GigMacEventDispatcher{

public:
	GigMacEventDispatcher(PortPtrs &ports):_ArrPort_prts(ports){
		//cout << "BigMacEventDispatcher CTOR" << endl;
	};
	
	~GigMacEventDispatcher(){};

	inline void
	Dispatch(void){

	//cout << " dispatch ISR if any" << endl;
 
		//8 bit SCR
		for(int port=0; port<2; port++){

			extern volatile int chip_int_source;
			if ( chip_int_source & (1 << port)){

				 chip_int_source = chip_int_source & ~( 1<< port); //Clear the bit
				 cout << " port " << port << endl;
                _ArrPort_prts.ptr_RxMsgDptr[port]->HandleInterrupt();

			};
		};
	};


private:
PortPtrs & _ArrPort_prts;   // Arrays of Port pointes
};





#endif //GIG_MAC_DSTR 
