#include <iostream.h>

//runs only on VXWORKS
#define LAB
#define VX_WORKS
#define INT 



//---------------------------------------------------------------------------------------------------------
#ifdef LAB
#define _CALL_  ->
#else 
#define _CALL_  .
#endif
int goutput_it=1;
#include "GigDrv.h"
//---------------------------------------------------------------------------------------------------------
//C++ static(s) 
//moved to global space in order to use in ISR
//PortPtrs
//GigMacDriver::
//P={0};
GigMacDriver  * GigMacDriver::This=0;
//--------------------------------------------------------------------------------------------------------

/*
STOP		14		Port stop.	Indicates that transmit or receive path is in the stop state,
OVFC		13		Counter overflow. at least one network statistic counter has reached its highest possible value.
					This bit is a logical OR of all bits in the counter overflow status registers 
LNCH		12		Link change.
TXOK		10		Transmit OK. Indicates successful packet transmission.
PKEV		9		Packet event. logical OR of all the bits in the transmit and receive status register (TX_RX_STT),
					excluding the packet count (PKC) bits. Upon receive events, this bit is set only after the
					packet is fully received by the chip.
RXOK		8		Receive OK. Indicates that a packet has been received without error. 
ANER		7		Auto-Negotiation error.
					Indicates that the link partner advertises that it does not support full-duplex operation, and
					that Auto-Negotiation was restarted.
PGRC		6		Page received.Indicates that a base or next page has been received during
                    Auto-Negotiation process.


//Extern NeworkControl STABS
extern void PortStop(int port);
extern void CounterOverflow(int port, SnmpStats &SnmpBeforeClear, 
							          RmonHostStats	&RmonHostBeforeClear, 
									  RmonEtherStats &RmonEtherBeforeClear);
extern void LinkChange(int port);
extern void TransmitOk(int port);
extern void PacketEvent(int port, unsigned char tx_rx_stat_reg);
extern void ReceiveOk(int port);
extern void AutoNegotiationErr(int port);
extern void AutoNegotiationPageRx(int port);

*/


//NeworkControl STABS (testing only ..will be provided by Don's NetControll)
//------------------------------------------------------------------------------------------------


inline void PortStop(int port)  {
/*
STOP		14		Port stop.
					Indicates that transmit or receive path is in the stop state, following disable programming in
					the port control register. If both transmit and receive paths are programmed to be stopped,
					this bit is set when they both reach the stop state.
*/
	if (goutput_it)
	cout << "#	Port stop. - was programmed to be stopped(TX & RX BOTH ONLY)... analyse ...restart " << endl << endl;	
	
};

inline void CounterOverflow(int port, SnmpStats &SnmpBeforeClear, RmonHostStats	&RmonHostBeforeClear, RmonEtherStats &RmonEtherBeforeClear){

	//test the DATA
	SnmpBeforeClear.Show();
	RmonHostBeforeClear.Show();
	RmonEtherBeforeClear.Show();	
/*
OVFC		13		Counter overflow.
					Indicates that at least one network statistic counter has reached its highest possible value. This
					bit is a logical OR of all bits in the counter overflow status registers (see Section 3.2.2.6 and
					Section 3.2.2.7).
*/
	cout << "#	NetStats Counter Overflow stuct/class will be passed " << endl << endl;

};


inline void LinkChange(int port)  {
/*
LNCH		12		Link change.
					Indicates that a link change has occurred while working in GPCS mode. The actual link
					status is reported in the GMII status register GMII_STT<LNKSTT> (see Section 3.2.5.2).
			11		RESERVED
*/
	if (goutput_it)
	cout << "#	Indicates that a link change has occurred while working in "<< endl <<
			"	SYM mode. The actual link status is reported in the link status register. " << endl << endl;	
};

inline void TransmitOk(int port)  {
/*
TXOK		10		Transmit OK.
					Indicates successful packet transmission.
*/
	if (goutput_it)
	cout << "#	Indicates successful packet transmission. " << endl << endl;	
	
};

inline void PacketEvent(int port, unsigned short tx_err_stat_reg=0)  {
	/*
PKEV		9		Packet event.
					A logical OR of all the bits in the transmit and receive status register (TX_RX_STT),
					excluding the packet count (PKC) bits. Upon receive events, this bit is set only after the
					packet is fully received by the chip.
*/
	if (goutput_it)
	cout << "#	A logical OR bit for all the bits in the transmit and receive error status	register. " << endl << endl;	
	
};

inline void ReceiveOk(int port)  {
/*
RXOK		8		Receive OK.
					Indicates that a packet has been received without error. This bit is set only after the packet
					is fully received by the chip.
*/
	if (goutput_it)
		cout << "#	Indicates that a packet has been received without error." << endl << endl;
		
};	
		
inline void AutoNegotiationErr(int port){
/*
ANER		7		Auto-Negotiation error.
					Indicates that the link partner advertises that it does not support full-duplex operation, and
					that Auto-Negotiation was restarted.
*/
	if (goutput_it)
		cout << "#	Indicates that the link partner advertises that it does not support full-duplex operation," << endl <<
		        " and that Auto-Negotiation was restarted." << endl << endl;

};

inline void AutoNegotiationPageRx(int port){
/*
PGRC		6		Page received.
					Indicates that a base or next page has been received during Auto-Negotiation process.
*/
	if (goutput_it)
		cout << "#	Indicates that a base or next page has been received during Auto-Negotiation process" << endl << endl;
};
//-----------------------------------------------------------------------------------------------------
enum GMACCreateErrorCodeEnum{
MAC_ERR_CREATE = -99,
MAC_OK_CREATE = 0
};
//---
int GMACCreateErrorCode=MAC_ERR_CREATE;

//---
const int RegBase = 0x38408000;



extern "C" void GigMACCreateDriver (){
	GigMAC = new GigMacDriver(RegBase);GMACCreateErrorCode=MAC_OK_CREATE;
};
//---
// info: 
//  enum PotrtRunDirection{
//  	RX_AND_TX = 0,
//	    RX = 1,
//	    TX = 2,
//  };
//  enum BusWidth{
//	    BUS_WIDTH_32 = 0,
//	    BUS_WIDTH_64 = 1
//  };




extern "C" int GigMACStartPort (int port, int potrt_run_direction = RX_AND_TX){

	if (GMACCreateErrorCode==MAC_ERR_CREATE)return MAC_ERR_CREATE;
				  GigMAC->StartPort (port, potrt_run_direction);return MAC_OK_CREATE; 
};
//---
extern "C" int GigMACStopPort (int port, int port_stop_direction = RX_AND_TX ) {

	if (GMACCreateErrorCode==MAC_ERR_CREATE )return MAC_ERR_CREATE;
				  GigMAC->StopPort (port, port_stop_direction);return MAC_OK_CREATE; 
};
//---
extern "C" int GigMACResetPort  (int port ) {

	if (GMACCreateErrorCode==MAC_ERR_CREATE )return MAC_ERR_CREATE;
				 GigMAC->ResetPort ( port); return MAC_OK_CREATE; 
};     
//---
extern "C" int GigMACCofigureFifoAndBusWidthOnPort(int port,
												 BusWidth bus_width=BUS_WIDTH_64/*BUS_WIDTH_32*/,
												 int /*FIFO_Threshold*/ rx_threshold=0x7 /*THRESHOLD_128THRESHOLD_64*/, 
												 int /*FIFO_Threshold*/ tx_threshold=0x3 /*THRESHOLD_64THRESHOLD_128*/
												 ) {

	if (GMACCreateErrorCode==MAC_ERR_CREATE )return MAC_ERR_CREATE;
		GigMAC->PassConfigurationToPort(	port, bus_width, rx_threshold, tx_threshold); 
	return MAC_OK_CREATE; 
};     

//---

extern "C" int GigMACResetAll(){  if (GMACCreateErrorCode==MAC_ERR_CREATE )return MAC_ERR_CREATE;
                                        GigMAC->ResetAll ();  return MAC_OK_CREATE;}; 


//---
extern "C" int GigMACCofigureEndian(Endian order=LITTLE){
	    if (GMACCreateErrorCode==MAC_ERR_CREATE )return MAC_ERR_CREATE;
		GigMAC->PassEndianToMAC( order );  //Endian
	return MAC_OK_CREATE; 

};

//---

//extern "C" void REG(void){
//	GigMacControlRegs * REGS = new((void *)0x38408000) GigMacControlRegs; 
//	REGS->Show();
//
//};






extern "C" void GigMAC_NetStat(int port=0){ GGLOB_NETSTAS_REGS[port] _CALL_ Show();};
extern "C" void GigMAC_CtrlReg(int port=0){ GGLOB_CONTROL_REGS[port] _CALL_ Show();};
extern "C" void GigMAC_NetStatCl(int port=0){ GGLOB_NETSTAS_REGS_CL[port] _CALL_ Show();};
extern "C" void GigMAC_NetRmonE(int port=0){ GigMAC->GetPortRmonEtherStatistics(port)->Show();};
extern "C" void GigMAC_NetRmonH(int port=0){ GigMAC->GetPortRmonHostStatistics(port)->Show();};
extern "C" void GigMAC_NetSnmp(int port=0){ GigMAC->GetPortSnmpStatistics(port)->Show();};
extern "C" void GigMAC_ISRCont(){ cout << endl << "ISR conter = " << gint_count << "  DRV counter = " << gdrv_count << endl << endl; };
extern "C" void GigMAC_Print(){
				if (goutput_it) {goutput_it=0; cout << "no output on ISR events " << endl;}
				else		   {goutput_it=1; cout << "output on ISR events reestablished " << endl;};
		};













































//#define MAIN__IT
#ifdef MAIN__IT


void main(){
GigMACCreateDriver ();
GigMACCofigureFifoAndBusWidthOnPort(0, BUS_WIDTH_64 , 0,0);///0xff,0xff);
GigMACCofigureFifoAndBusWidthOnPort(1, BUS_WIDTH_64 , 0xff,0xff);
GigMACStartPort (0);
GigMACStartPort (1);
GigMAC_CtrlReg(0);
GigMAC_CtrlReg(1);
GigMAC_NetStat(0);
GigMAC_NetStat(1);
}

//------------------------------------------------------------------------------------------------------------------
void main(){
//GigMacDriver GM;

//All Tetsing on the 21440 on the Port 1 !!!!
//Create Driver Instanse 
GigMAC = new GigMacDriver();
///////////////// GigMAC->HandleInterrupt();
///////////////// PortStop(1);
//Start port
//GigMAC->RestartPort(1);
GigMAC->StartPort(1, RX_AND_TX);
cout << "RESTART/START" ;GGLOB_CONTROL_REGS[1] _CALL_ RegPrint();
	
cout << "AFTER START" ;
GGLOB_CONTROL_REGS[1] _CALL_ RegPrint();
GGLOB_CONTROL_REGS[1] _CALL_ Show();
GGLOB_NETSTAS_REGS[1] _CALL_ Show();


///
//-----------------------------------------------------------------------------------------------
#ifndef LAB
//Set registers directly for simulation
GGLOB_CONTROL_REGS[0].SetInterruptStatus(0xffff);
GGLOB_CONTROL_REGS[1].SetInterruptStatus(0xffff);
//Show/print regs
//GGLOB_CONTROL_REGS[0].Show();

cout << sizeof(GGLOB_NETSTAS_REGS[1]) <<  " 0x   ----" << endl;
int *fillptr=(int *)&GGLOB_NETSTAS_REGS[1];
for (int i =0; i<212 ; i++)*fillptr++=0x1;

	cout << " " << (int)((GigMAC->GetPortRmonHostStatistics(1))->hostInPkts) << endl;
	cout << " " << (int)((GigMAC->GetPortRmonEtherStatistics(1))->etherStatsDropEvents) << endl;
	cout << " " << (int)((GigMAC->GetPortSnmpStatistics(1))->FramesTransmittedOK) << endl;

cout << sizeof(GGLOB_NETSTAS_REGS_CL[1]) <<  " 0x   ----" << endl;
fillptr=(int *)&GGLOB_NETSTAS_REGS_CL[1];

for (int ii =0; ii<212 ; ii++)*fillptr++=0x2;

//Call ISR directly
cout << " testISR ----------------------------- ";GISR();
cout << " testISR ----------------------------- ";GISR();
cout << " testISR ----------------------------- ";GISR();//MAC_ISR();
#endif
//-----------------------------------------------------------------------------------------------



///

//cout << sizeof(GGLOB_NETSTAS_REGS[1]) <<  " 0x   ----" << endl;
//int *fillptr=(int *)&GGLOB_NETSTAS_REGS[1];
//for (int i =0; i<212 ; i++)*fillptr++=0x1;

//	cout << " " << (int)((GigMAC->GetPortRmonHostStatistics(1))->hostInPkts) << endl;
//	cout << " " << (int)((GigMAC->GetPortRmonEtherStatistics(1))->etherStatsDropEvents) << endl;
//	cout << " " << (int)((GigMAC->GetPortSnmpStatistics(1))->FramesTransmittedOK) << endl;



char cd;
unsigned char data=1;
	while ( cd != 'q' ){
			if(cd == 'c')GGLOB_CONTROL_REGS[1] _CALL_ Show();
/*			if(cd == '0')GGLOB_CONTROL_REGS[0] _CALL_ Show();
			if(cd == '1')GGLOB_CONTROL_REGS[1] _CALL_ Show();
			if(cd == '2')GGLOB_CONTROL_REGS[2] _CALL_ Show();
			if(cd == '3')GGLOB_CONTROL_REGS[3] _CALL_ Show();
     		if(cd == '4')GGLOB_CONTROL_REGS[4] _CALL_ Show();
			if(cd == '5')GGLOB_CONTROL_REGS[5] _CALL_ Show();
			if(cd == '6')GGLOB_CONTROL_REGS[6] _CALL_ Show();	
			if(cd == '7')GGLOB_CONTROL_REGS[7] _CALL_ Show();
*/

			if(cd == 'n')GGLOB_NETSTAS_REGS[1] _CALL_ Show();
/*			if(cd == ')')GGLOB_NETSTAS_REGS[0] _CALL_ Show();
			if(cd == '!')GGLOB_NETSTAS_REGS[1] _CALL_ Show();
			if(cd == '@')GGLOB_NETSTAS_REGS[2] _CALL_ Show();
			if(cd == '#')GGLOB_NETSTAS_REGS[3] _CALL_ Show();
			if(cd == '$')GGLOB_NETSTAS_REGS[4] _CALL_ Show();
			if(cd == '%')GGLOB_NETSTAS_REGS[5] _CALL_ Show();
			if(cd == '^')GGLOB_NETSTAS_REGS[6] _CALL_ Show();
			if(cd == '&')GGLOB_NETSTAS_REGS[7] _CALL_ Show();
*/
			if(cd == 'm')GGLOB_NETSTAS_REGS_CL[1] _CALL_ Show();
			if(cd == 'e')GigMAC->GetPortRmonEtherStatistics(1)->Show();
			if(cd == 'h')GigMAC->GetPortRmonHostStatistics(1)->Show();
			if(cd == 's')GigMAC->GetPortSnmpStatistics(1)->Show();
			if(cd == 'i')cout << endl << "ISR conter = " << gint_count << "  DRV counter = " << gdrv_count << endl << endl;

			if(cd == 'p'){
				if (goutput_it) {goutput_it=0; cout << "no output on ISR events " << endl;}
				else		   {goutput_it=1; cout << "output on ISR events reestablished " << endl;};
			};
						
			if(cd == 'r')GISR();


#ifndef LAB
//			int *fillptr=(int *)&GGLOB_NETSTAS_REGS[1];
//			for (int i =0; i<212 ; i++)*fillptr++=data;
//			data++;
#endif
	cout << endl << "TO SEE NetCont/MnetCountClear/SNMP/HostRmon/EtherRMON/CSRs/ " 
		 << endl <<" ENTER n/m/s/h/e/c <enter> q(quit)<enter>." << endl;
			cin >>cd;
	};


};

#endif  // MAIN__IT
