/* test_utilities.h
 *
 *
 * ------------------------------------------------------------------------------------------------------------
 *                                                                      
 *                  I N T E L   P R O P R I E T A R Y                   
 *                                                                      
 *     COPYRIGHT (c)  1998 BY  INTEL  CORPORATION.  ALL RIGHTS          
 *     RESERVED.   NO  PART  OF THIS PROGRAM  OR  PUBLICATION  MAY      
 *     BE  REPRODUCED,   TRANSMITTED,   TRANSCRIBED,   STORED  IN  A    
 *     RETRIEVAL SYSTEM, OR TRANSLATED INTO ANY LANGUAGE OR COMPUTER    
 *     LANGUAGE IN ANY FORM OR BY ANY MEANS, ELECTRONIC, MECHANICAL,    
 *     MAGNETIC,  OPTICAL,  CHEMICAL, MANUAL, OR OTHERWISE,  WITHOUT    
 *     THE PRIOR WRITTEN PERMISSION OF :                                
 *                                                                      
 *                        INTEL  CORPORATION                            
 *                                                                     
 *                     2200 MISSION COLLEGE BLVD                        
 *                                                                      
 *               SANTA  CLARA,  CALIFORNIA  95052-8119                  
 *                                                                      
 *------------------------------------------------------------
 *
 * system: SA1200
 * subsystem: System Testing
 * author: Lai-Wah Hui 3/6/98
 * revisions:
 * $History: Test_Utilities.h $
 * 
 * *****************  Version 4  *****************
 * User: Drjohns1     Date: 6/19/98    Time: 4:49p
 * Updated in $/base_level3/qa-test/C-Utilities
 * 
 * *****************  Version 3  *****************
 * User: Lhui         Date: 5/20/98    Time: 6:30p
 * Updated in $/base_level2/qa-test/C-Utilities
 * Replace Digital copyright with Intel copyright statement
 * 
 * *****************  Version 2  *****************
 * User: Lhui         Date: 3/13/98    Time: 5:06p
 * Updated in $/base_level1/qa-test/C-Utilities
 * Add VxWork main function
 * 
 * *****************  Version 1  *****************
 * User: Lhui         Date: 3/11/98    Time: 10:16a
 * Created in $/base_level1/qa-test/C-Utilities
 * 
 */ 
#ifndef Test_Utilities_H
#define Test_Utilities_H
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <stdarg.h>
#include "xact.h"

/* MAIN TEST ROUTINGS   */

#if defined(__cplusplus)
extern "C"
{
#endif

/* FUNCTIONs DEFINITION */
extern int TestCntInc(int Reset, int cnt);
extern int FailCntInc(int Reset, int cnt);
int Utilities_Register();
//

#if defined(__cplusplus)
}
#endif



#endif /* UCLO_TEST_H */