///* ------------------------------------------------------------------------------
// *                                                                      
// *                  I N T E L   P R O P R I E T A R Y                   
// *                                                                      
// *     COPYRIGHT (c)  1998 BY  INTEL  CORPORATION.  ALL RIGHTS          
// *     RESERVED.   NO  PART  OF THIS PROGRAM  OR  PUBLICATION  MAY      
// *     BE  REPRODUCED,   TRANSMITTED,   TRANSCRIBED,   STORED  IN  A    
// *     RETRIEVAL SYSTEM, OR TRANSLATED INTO ANY LANGUAGE OR COMPUTER    
// *     LANGUAGE IN ANY FORM OR BY ANY MEANS, ELECTRONIC, MECHANICAL,    
// *     MAGNETIC,  OPTICAL,  CHEMICAL, MANUAL, OR OTHERWISE,  WITHOUT    
// *     THE PRIOR WRITTEN PERMISSION OF :                                
// *                                                                      
// *                        INTEL  CORPORATION                            
// *                                                                     
// *                     2200 MISSION COLLEGE BLVD                        
// *                                                                      
// *               SANTA  CLARA,  CALIFORNIA  95052-8119                  
// *                                                                      
// *------------------------------------------------------------------------------*/

// pkgen_fields.h
 // packet generation field definitions
 //
 //
 // system: SA1200
 // subsystem: packet_gen
 // author: Don Hooper 3/25/98
 // revisions:
 // $History pkgen_fields.h $
 // 
 // 
 // 


#define MAC_DA_FIRST_32			1
#define MAC_DA_SECOND_16		2
#define MAC_SA_FIRST_32			3
#define MAC_SA_SECOND_16		4
#define MAC_PROTOCOL_LEN		5		// little-endian
#define IP_VERSION				6
#define IP_TOTAL_LEN			7		// little-endian
#define IP_ID					8
#define IP_FLAGS				9
#define IP_FRAG					10
#define IP_TIME_TO_LIVE			11
#define IP_PROTOCOL				12
#define IP_CHECKSUM				13
#define IP_SA					14		// little-endian
#define IP_DA					15		// little-endian

