CPU		= ARMSA110
TOOL		= gnu
INCLUDE = \
-I../../utils \
-I../../osApi \
-I../../include \
-I../debug_1200 \
-I../../BoardSupport/VxWorks/ixp1200eb \
-I../core_utils \
-I../msgQ


ADDED_C++FLAGS  = -w -Wall -pedantic -DVxWorkTest \
-DOS=VXWORKS -DIOSTYLE=HARDWARE -DVX_WORKS -DVXWORKS -DROUTE -DBRIDGE -DBRM -DUCOMM_DRIVER -DMAC_21440 \
-DWB_SVR -DFBUS_DEVICE_COUNT=2 -D__unix -DUCLO_PCI -DSCOMM_HPC $(INCLUDE)
# -DOS=VXWORKS -DIOSTYLE=HARDWARE -DVX_WORKS -DROUTE -DVXWORKS -DUCOMM_DRIVER -DMAC_21440 -DFBUS_DEVICE_COUNT=2 -D__unix $(INCLUDE)
#-DMAC_21440

TGT_DIR=$(WIND_BASE)/target
default		: $(DEMO_DIR)
include $(TGT_DIR)/h/make/defs.bsp
include $(TGT_DIR)/h/make/make.$(CPU)$(TOOL)
include $(TGT_DIR)/h/make/defs.$(WIND_HOST_TYPE)

default		: $(DEMO_DIR)

NetApp_DBG	:	
			if not exist "../../vxworks_lib" mkdir "../../vxworks_lib"
			if not exist "../../vxworks_lib/debug" mkdir "../../vxworks_lib/debug"
			$(CC) -g -c ../core_utils/intlibvx.s
			$(CC) -g $(C++FLAGS) -c hw_svlib_tests.cpp
			$(CC) -g $(C++FLAGS) -c ../hal_1200/hal_sram.cpp 
			$(CC) -g $(C++FLAGS) -c ../hal_1200/hal_sdram.cpp 
			$(CC) -g $(C++FLAGS) -c ../hal_1200/hal_fbi.cpp 
			$(CC) -g $(C++FLAGS) -c version.cpp
			$(CC) -g $(C++FLAGS) -c ../app_1200/net_app.cpp 
			$(CC) -g $(C++FLAGS) -c ../app_1200/ucld.c 
			$(CC) -g $(C++FLAGS) -c ../app_1200/config_1200.cpp 
			$(CC) -g $(C++FLAGS) -c ../rtm/rtm.cpp 	
			$(CC) -g $(C++FLAGS) -c ../rtm/rtm_console.cpp 	
			$(CC) -g $(C++FLAGS) -c ../bridge/br_tables.cpp 	
			$(CC) -g $(C++FLAGS) -c ../bridge/br_console.cpp 	
			$(CC) -g $(C++FLAGS) -c ../../utils/utl_bits.c
			$(CC) -g $(C++FLAGS) -c ../../utils/utl_crc.c 
			$(CC) -g $(C++FLAGS) -c ../../utils/utl_str.c 
			$(CC) -g $(C++FLAGS) -c ../../osApi/sem.c
			$(CC) -g $(C++FLAGS) -c ../../osApi/thread.c
			$(CC) -g $(C++FLAGS) -c ../../osApi/delay.c
			$(CC) -g $(C++FLAGS) -c ../../utils/sram_man.cpp
			$(CC) -g $(C++FLAGS) -c ../uclo/uclo_pci.cpp
			$(CC) -g $(C++FLAGS) -D_DBG_PRINT -c ../uclo/uclo.c
			$(CC) -g $(C++FLAGS) -c ../debug_1200/udbg_lib.cpp  
			$(CC) -g $(C++FLAGS) -c ../debug_1200/udbg_umm.cpp  
			$(CC) -g $(C++FLAGS) -D_DBG_PRINT -c ../debug_1200/udbg_clib.cpp  
			$(CC) -g $(C++FLAGS) -D_DBG_PRINT -c ../debug_1200/control.cpp
			$(CC) -g $(C++FLAGS) -c ../octalmac_21440/macdrv.cpp
			$(CC) -g $(C++FLAGS) -D_DBG_PRINT -c ../../share/rs_udebug/rs_uDbg_events_clnt.c
			$(CC) -g $(C++FLAGS) -D_DBG_PRINT -c ../../share/rs_udebug/rs_uDbg_events_xdr.c
			$(CC) -g $(C++FLAGS) -D_DBG_PRINT -c ../../share/rs_udebug/rs_udbg_interface.cpp
			$(CC) -g $(C++FLAGS) -D_DBG_PRINT -c ../../share/rs_udebug/rs_udebug_svc.c
			$(CC) -g $(C++FLAGS) -D_DBG_PRINT -c ../../share/rs_udebug/rs_udebug_xdr.c
			$(CC) -g $(C++FLAGS) -D_DBG_PRINT -c ../../share/rs_udebug/rsSC_udebug_svc.c
			$(CC) -g $(C++FLAGS) -D_DBG_PRINT -c ../../share/rs_udebug/rs_SCudbg_xdr.c
			$(CC) -g $(C++FLAGS) -D_DBG_PRINT -c ../../share/rs_udebug/rs_udebug_comm.c
			$(CC) -g $(C++FLAGS) -D_DBG_PRINT -c ../../share/rs_udebug/rs_udbg_init.cpp
			$(CC) -g $(C++FLAGS) -c ../../share/scomm/scomm_buff.cpp
			$(CC) -g $(C++FLAGS) -c ../../share/scomm/scomm.cpp
			$(CC) -g $(C++FLAGS) -c ../../share/scomm/scomm_llc.cpp
			$(CC) -g $(C++FLAGS) -c ../../share/scomm/vxWrkHpcDev.cpp
			$(CC) -g $(C++FLAGS) -c ../../share/scomm/scommPrint.cpp
			$(CC) -g $(C++FLAGS) -c ../../share/scomm/memLog.cpp
			$(CC) -g $(C++FLAGS) -c ../libd/libd.cpp
			$(CC) -g $(C++FLAGS) -c ../libd/libd_router.cpp
			$(CC) -g $(C++FLAGS) -c ../libd/libd_exec.cpp
			$(CC) -g $(C++FLAGS) -c ../msgq/msgq.cpp
			$(CC) -g $(C++FLAGS) -c ../msgq/msgqmgr.cpp
			$(CC) -g $(C++FLAGS) -c ../driver/UcommDriver.cpp
			$(CC) -g $(C++FLAGS) -c ../../utils/poolmgr.cpp
			$(CC) -g $(C++FLAGS) -c ../sv_libs/hashsv.cpp
			$(CC) -g $(C++FLAGS) -c ../sv_libs/memsv.cpp
			$(CC) -g $(C++FLAGS) -c ../ueng/ueng.cpp
			$(CC) -g $(C++FLAGS) -c ../ueng/ueng_clib.cpp
			$(CC) -g $(C++FLAGS) -c ../pciComm/pci.c
			$(CC) -g $(C++FLAGS) -c ../pciComm/devnode.c
			$(CC) -g $(C++FLAGS) -c ../pciComm/pciinit.cpp
			$(CC) -g $(C++FLAGS) -c ../pciComm/pcimsgq.cpp
			$(CC) -g $(C++FLAGS) -c ../pciComm/pciaccess.cpp
			$(CC) -g $(C++FLAGS) -c ../pciComm/pcisignal.cpp
			$(CC) -g $(C++FLAGS) -c ../pciComm/pcimail.cpp
			$(CC) -g $(C++FLAGS) -c ../pciComm/pcishow.cpp
			$(CC) -g $(C++FLAGS) -c ../pciComm/pcitest.cpp





			ldarm -o netapp.o -r \
			intlibvx.o \
			rtm.o \
			rtm_console.o \
			br_tables.o \
			br_console.o \
			../bridge/hash.o \
			version.o \
			config_1200.o \
			net_app.o \
			hal_sram.o \
			hal_sdram.o \
			hal_fbi.o \
			ueng.o \
			ueng_clib.o \
			uclo_pci.o \
			uclo.o \
			utl_bits.o \
			utl_crc.o \
			utl_str.o \
			sem.o \
			thread.o \
			delay.o \
			sram_man.o \
			udbg_lib.o \
			udbg_clib.o \
			udbg_umm.o \
			control.o \
			rs_uDbg_events_clnt.o \
			rs_uDbg_events_xdr.o \
			rs_udbg_interface.o \
			rs_udebug_svc.o \
			rs_udebug_xdr.o \
			rsSC_udebug_svc.o \
			rs_SCudbg_xdr.o \
			rs_udebug_comm.o \
			rs_udbg_init.o \
			scomm_buff.o \
			scomm.o \
			scomm_llc.o \
			vxWrkHpcDev.o \
			scommPrint.o \
			memLog.o \
			libd.o \
			libd_router.o \
			libd_exec.o \
			msgq.o \
			msgqmgr.o \
			UcommDriver.o \
			poolmgr.o \
			hashsv.o \
			memsv.o \
			hw_svlib_tests.o \
			ucld.o \
			macdrv.o \
			pci.o \
			devnode.o \
			pciinit.o \
			pcimsgq.o \
			pciaccess.o \
			pcisignal.o \
			pcimail.o \
			pcishow.o \
			pcitest.o  
 

			nmarm netapp.o | munch > __CtorDtor.c
			$(CC)  -c -traditional __CtorDtor.c
			ldarm -o ../../vxworks_lib/debug/VxWorks_BRM.o -r __CtorDtor.o netapp.o


NetApp_REL		: 	
			if not exist "../../vxworks_lib" mkdir "../../vxworks_lib"
			$(CC)  -c ../core_utils/intlibvx.s
			$(CC)  $(C++FLAGS) -c ../hal_1200/hal_sram.cpp 
			$(CC)  $(C++FLAGS) -c ../hal_1200/hal_sdram.cpp 
			$(CC)  $(C++FLAGS) -c ../hal_1200/hal_fbi.cpp
			$(CC)  $(C++FLAGS) -c version.cpp  
			$(CC)  $(C++FLAGS) -c ../app_1200/config_1200.cpp 
			$(CC)  $(C++FLAGS) -c ../app_1200/net_app.cpp 
			$(CC)  $(C++FLAGS) -c ../app_1200/ucld.c 
			$(CC)  $(C++FLAGS) -c ../../utils/utl_bits.c
			$(CC)  $(C++FLAGS) -c ../../utils/utl_crc.c
			$(CC)  $(C++FLAGS) -c ../../utils/utl_str.c 
			$(CC)  $(C++FLAGS) -c ../../osApi/sem.c
			$(CC)  $(C++FLAGS) -c ../../osApi/thread.c
			$(CC)  $(C++FLAGS) -c ../../osApi/delay.c
			$(CC)  $(C++FLAGS) -c ../../utils/sram_man.cpp
			$(CC)  $(C++FLAGS) -c ../uclo/uclo_pci.cpp
			$(CC)  $(C++FLAGS) -c ../uclo/uclo.c
			$(CC)  $(C++FLAGS) -c ../debug_1200/udbg_lib.cpp  
			$(CC)  $(C++FLAGS) -c ../debug_1200/udbg_umm.cpp  
			$(CC)  $(C++FLAGS) -c ../debug_1200/udbg_clib.cpp  
			$(CC)  $(C++FLAGS) -c ../../share/rs_udebug/rs_uDbg_events_clnt.c
			$(CC)  $(C++FLAGS) -c ../../share/rs_udebug/rs_uDbg_events_xdr.c
			$(CC)  $(C++FLAGS) -c ../../share/rs_udebug/rs_udbg_interface.cpp
			$(CC)  $(C++FLAGS) -c ../../share/rs_udebug/rs_udebug_svc.c
			$(CC)  $(C++FLAGS) -c ../../share/rs_udebug/rs_udebug_xdr.c
			$(CC)  $(C++FLAGS) -c ../../share/rs_udebug/rsSC_udebug_svc.c
			$(CC)  $(C++FLAGS) -c ../../share/rs_udebug/rs_SCudbg_xdr.c
			$(CC)  $(C++FLAGS) -c ../../share/rs_udebug/rs_udebug_comm.c
			$(CC)  $(C++FLAGS) -c ../../share/rs_udebug/rs_udbg_init.cpp
			$(CC)  $(C++FLAGS) -c ../../share/scomm/scomm_buff.cpp
			$(CC)  $(C++FLAGS) -c ../../share/scomm/scomm.cpp
			$(CC)  $(C++FLAGS) -c ../../share/scomm/scomm_llc.cpp
			$(CC)  $(C++FLAGS) -c ../../share/scomm/vxWrkHpcDev.cpp
			$(CC)  $(C++FLAGS) -c ../../share/scomm/scommPrint.cpp
			$(CC)  $(C++FLAGS) -c ../../share/scomm/memLog.cpp
			$(CC)  $(C++FLAGS) -c ../debug_1200/control.cpp
			$(CC)  $(C++FLAGS) -c ../octalmac_21440/macdrv.cpp
			$(CC)  $(C++FLAGS) -c ../rtm/rtm.cpp 
			$(CC)  $(C++FLAGS) -c ../rtm/rtm_console.cpp 		
			$(CC)  $(C++FLAGS) -c ../bridge/br_tables.cpp 	
			$(CC)  $(C++FLAGS) -c ../bridge/br_console.cpp
			$(CC)  $(C++FLAGS) -c ../libd/libd.cpp
			$(CC)  $(C++FLAGS) -c ../libd/libd_router.cpp
			$(CC)  $(C++FLAGS) -c ../libd/libd_exec.cpp
			$(CC)  $(C++FLAGS) -c ../msgq/msgq.cpp
			$(CC)  $(C++FLAGS) -c ../msgq/msgqmgr.cpp
			$(CC)  $(C++FLAGS) -c ../driver/UcommDriver.cpp
			$(CC)  $(C++FLAGS) -c ../../utils/poolmgr.cpp
			$(CC)  $(C++FLAGS) -c ../sv_libs/hashsv.cpp
			$(CC)  $(C++FLAGS) -c ../sv_libs/memsv.cpp
			$(CC)  $(C++FLAGS) -c hw_svlib_tests.cpp
			$(CC)  $(C++FLAGS) -c ../ueng/ueng.cpp
			$(CC)  $(C++FLAGS) -c ../ueng/ueng_clib.cpp
			$(CC)  $(C++FLAGS) -c ../pciComm/pci.c
			$(CC)  $(C++FLAGS) -c ../pciComm/devnode.c
			$(CC)  $(C++FLAGS) -c ../pciComm/pciinit.cpp
			$(CC)  $(C++FLAGS) -c ../pciComm/pcimsgq.cpp
			$(CC)  $(C++FLAGS) -c ../pciComm/pciaccess.cpp
			$(CC)  $(C++FLAGS) -c ../pciComm/pcisignal.cpp
			$(CC)  $(C++FLAGS) -c ../pciComm/pcimail.cpp
			$(CC)  $(C++FLAGS) -c ../pciComm/pcishow.cpp
			$(CC)  $(C++FLAGS) -c ../pciComm/pcitest.cpp

			ldarm -o netapp.o -r \
			intlibvx.o \
			rtm.o \
			rtm_console.o \
			br_tables.o \
			br_console.o \
			../bridge/hash.o \
			version.o \
			rs_uDbg_events_clnt.o \
			rs_uDbg_events_xdr.o \
			rs_udbg_interface.o \
			rs_udebug_svc.o \
			rs_udebug_xdr.o \
			rsSC_udebug_svc.o \
			rs_SCudbg_xdr.o \
			rs_udebug_comm.o \
			rs_udbg_init.o \
			scomm_buff.o \
			scomm.o \
			scomm_llc.o \
			vxWrkHpcDev.o \
			scommPrint.o \
			memLog.o \
			config_1200.o \
			net_app.o \
			hal_sram.o \
			hal_sdram.o \
			hal_fbi.o \
			ueng.o \
			ueng_clib.o \
			uclo_pci.o \
			uclo.o \
			utl_bits.o \
			utl_crc.o \
			utl_str.o \
			sem.o \
			thread.o \
			delay.o \
			sram_man.o \
			udbg_lib.o \
			udbg_clib.o \
			udbg_umm.o \
			control.o \
			libd.o \
			libd_router.o \
			libd_exec.o \
			msgq.o \
			msgqmgr.o \
			UcommDriver.o \
			poolmgr.o \
			hashsv.o \
			memsv.o \
			hw_svlib_tests.o \
			ucld.o \
			macdrv.o \
			pci.o \
			devnode.o \
			pciinit.o \
			pcimsgq.o \
			pciaccess.o \
			pcisignal.o \
			pcimail.o \
			pcishow.o \
			pcitest.o  




			nmarm netapp.o | munch > __CtorDtor.c
			$(CC)  -c -traditional __CtorDtor.c
			ldarm -o ../../vxworks_lib/VxWorks_BRM.o -r __CtorDtor.o netapp.o

		
clean		: 
		$(RM) *.o

