%/* RsSimExt.x
%
%    This file contains RPC protocol specification describing remote
%	procedure.  You need to use rpcgen32 to create client and server RPC code. 
%	
% * 
% * ---------------------------------------------------------------------	
% *                                                                      
% *                  I N T E L   P R O P R I E T A R Y                   
% *                                                                      
% *     COPYRIGHT (c)  1998-1999 BY  INTEL  CORPORATION.  ALL RIGHTS          
% *     RESERVED.   NO  PART  OF THIS PROGRAM  OR  PUBLICATION  MAY      
% *     BE  REPRODUCED,   TRANSMITTED,   TRANSCRIBED,   STORED  IN  A    
% *     RETRIEVAL SYSTEM, OR TRANSLATED INTO ANY LANGUAGE OR COMPUTER    
% *     LANGUAGE IN ANY FORM OR BY ANY MEANS, ELECTRONIC, MECHANICAL,    
% *     MAGNETIC,  OPTICAL,  CHEMICAL, MANUAL, OR OTHERWISE,  WITHOUT    
% *     THE PRIOR WRITTEN PERMISSION OF :                                
% *                                                                      
% *                        INTEL  CORPORATION                            
% *                                                                     
% *                     2200 MISSION COLLEGE BLVD                        
% *                                                                      
% *               SANTA  CLARA,  CALIFORNIA  95052-8119                  
% *                                                                      
% * ---------------------------------------------------------------------
% *
% * system: SA1200
% * subsystem: Remote simulation extension example
% * author: Lai-Wah Hui
% * revisions:
% * $History: RsSimExt.x $
% */
#ifdef RPC_HDR
%#ifndef __RSSIMEXT_H
%#define __RSSIMEXT_H
#endif
program RSSIMEXTPROG {
	version RSSIMEXTVERS {
		int RS_FOREIGN_MODEL_INITIALIZE(string)=1;
		int RS_FOREIGN_MODEL_PRE_SIM(string) = 2;
		int RS_FOREIGN_MODEL_POST_SIM(string) = 3;
		int RS_FOREIGN_MODEL_EXIT(string) = 4;
	} = 1;
} = 1099;
#ifdef RPC_HDR
%#endif         /* __RSSIMEXT_H */
#endif
