/*
 * test_tree.c
 * This program tests the doubly-linked list package.
 */
#include <stdio.h>
#include "list.h"

int testmain ()
{
/*   List        *my_list; */
  Element     *p_elem;
  char v_first[80] ;
  Element     *found;
  char        line[80];
  
  FILE fd;
 
  strcpy(v_first,"First");

  /* Initialize a list an insert several numbers to it. */
  my_list = list_init();

list_add (my_list, "First");
list_add (my_list, "Second");

  /* Print the content of the list. */
  p_elem = my_list->p_head;
  while (p_elem != NULL)
  {
    printf ("%s<>%g ", p_elem->p_url, p_elem->value);
    p_elem = p_elem->p_next;
  }
  printf ("\n");
  printf ("%d elements in the list.\n", my_list->size);

  list_add (my_list, "First");

  printf("Added duplicate first\n");  

  p_elem = my_list->p_head;
  while (p_elem != NULL)
  {
    printf ("%s<>%g ", p_elem->p_url, p_elem->value);
    p_elem = p_elem->p_next;
  }
  printf ("\n");

  return (0);
}
