/*
** Controling client for rulemodule
** pieces of code taken from modssl which is protected under the below licence
 *			ganesh kumar godavari (gkgodava@archie.uccs.edu)
 *
 * modified: Longhua Li  01/22/02 
 * modified: Jayant 04/18/03
*/

/* general libraries */
/*#include <setjmp.h>*/

#include "msock.h"  
#include "symlib.h"

/*  Declare here to avoid compilation errors...*/

int rmshutdown()
{
  int data_read =0;
  char request[1024];
  int rule_fd;


  data_read = sprintf(request, "Method:SHUTDOWN\r\n\r\n");

  printf("Before connectTo\n");

  if((rule_fd=connectTo(RULE_SERVER_NAME,RULE_SERVER_PORT )) == -1) {
     (void) fprintf(stderr,"Failed to connect to the rule module %s\n",DEFAULT_RULE_SERVER_NAME);
     return -1;
   }

  printf("Before sockWrite\n");

  if (data_read != sockWrite(rule_fd, request, data_read))
     {
	(void) fprintf(stderr,"pid %d unable to pump more data on content length\n",taskIdSelf()); 
        return -1;
     }

  return 1;

}

void myst() {

/*  sp(FUNCPTR "rulemodule");  */

    char       name[1024];
    char       **pValue;
    SYM_TYPE   *pType;              
    STATUS mystatus;
    SYMTAB_ID symTblId;

    sprintf(name, "rulemodule\n");

    symTblId = tgtSymTblIdGet();
    mystatus = symFindByName(symTblId, name, pValue, pType);

    if(taskSpawn("rulemodule",100,0,20000,(FUNCPTR)pValue,0,0,0,0,0,0,0,0,0,0) == ERROR) 
      {
        printf("Error in spawning taskrulest");
      }

}
