#!/usr/bin/perl

if ($ENV{'REQUEST_METHOD'} eq 'GET') {
 $form_info = $ENV{'QUERY_STRING'};
}
else {
 $input_size = $ENV{'CONTENT_LENGTH'};
 read(STDIN,$form_info, $input_size);
}

@input_pairs = split (/[&;]/,$form_info);

%input = ();
foreach $pair (@input_pairs) {
  $pair =~ s/\+/ /g;

  ($name,$value) = split (/=/, $pair);

$name=~ s/%([A-Fa-f0-9]{2})/pack("c",hex($1))/ge;
$value=~ s/%([A-Fa-f0-9]{2})/pack("c",hex($1))/ge;

 $input{$name} = $value;
}

print "Content-type:text/html\n\n";

print "<HTML><HEAD><TITLE>Name and value pairs</TITLE></HEAD><BODY>\n";

foreach $key (keys %input) {
  print "<p>$key : $input{$key}</p>\n";
}

print "</BODY></HTML>\n";
