;*************************************************************************
; *
; * H_GDIAGS.S : Equate file for the GPIO diagnostic codes.
; * 
; *
; * ---------------------------------------------------------------------	
; *                                                                      
; *                  I N T E L   P R O P R I E T A R Y                   
; *                                                                      
; *     COPYRIGHT (c)  1998-2000 BY  INTEL  CORPORATION.  ALL RIGHTS          
; *     RESERVED.   NO  PART  OF THIS PROGRAM  OR  PUBLICATION  MAY      
; *     BE  REPRODUCED,   TRANSMITTED,   TRANSCRIBED,   STORED  IN  A    
; *     RETRIEVAL SYSTEM, OR TRANSLATED INTO ANY LANGUAGE OR COMPUTER    
; *     LANGUAGE IN ANY FORM OR BY ANY MEANS, ELECTRONIC, MECHANICAL,    
; *     MAGNETIC,  OPTICAL,  CHEMICAL, MANUAL, OR OTHERWISE,  WITHOUT    
; *     THE PRIOR WRITTEN PERMISSION OF :                                
; *                                                                      
; *                        INTEL  CORPORATION                            
; *                                                                     
; *                     2200 MISSION COLLEGE BLVD                        
; *                                                                      
; *               SANTA  CLARA,  CALIFORNIA  95052-8119                  
; *                                                                      
; * ---------------------------------------------------------------------
; *
; * system: IXP1200
; * subsystem: Diagnostics
; * author: tep
; * revisions:
; * $History: h_gdiags.s $
; *
;*************************************************************************

;Gpio Diagnostic (GD_) execution markers

GD_RegTest		EQU	0x0
GD_UARTCfg		EQU	0x1
GD_SDRAMReset	EQU	0x2
GD_CSRInit		EQU	0x3
GD_MMUInit		EQU	0x4
GD_CacheOff		EQU	0x5
GD_FinalCSR		EQU	0x6
GD_MemTest		EQU	0x7
GD_ROMTest		EQU	0x8
GD_PCITimer		EQU	0x9
GD_UstoreTest	EQU	0xA
GD_MACPresence	EQU	0xB
GD_MACPort		EQU	0xC
GD_UengFunc		EQU	0xD

GD_Error		EQU	0xE

	END