;*************************************************************************
; *
; * IXBMSGS.S : Header file for the IX bus test msg strings.
; * 
; *
; * ---------------------------------------------------------------------	
; *                                                                      
; *                  I N T E L   P R O P R I E T A R Y                   
; *                                                                      
; *     COPYRIGHT (c)  1998-2000 BY  INTEL  CORPORATION.  ALL RIGHTS          
; *     RESERVED.   NO  PART  OF THIS PROGRAM  OR  PUBLICATION  MAY      
; *     BE  REPRODUCED,   TRANSMITTED,   TRANSCRIBED,   STORED  IN  A    
; *     RETRIEVAL SYSTEM, OR TRANSLATED INTO ANY LANGUAGE OR COMPUTER    
; *     LANGUAGE IN ANY FORM OR BY ANY MEANS, ELECTRONIC, MECHANICAL,    
; *     MAGNETIC,  OPTICAL,  CHEMICAL, MANUAL, OR OTHERWISE,  WITHOUT    
; *     THE PRIOR WRITTEN PERMISSION OF :                                
; *                                                                      
; *                        INTEL  CORPORATION                            
; *                                                                     
; *                     2200 MISSION COLLEGE BLVD                        
; *                                                                      
; *               SANTA  CLARA,  CALIFORNIA  95052-8119                  
; *                                                                      
; * ---------------------------------------------------------------------
; *
; * system: IXP1200
; * subsystem: Diagnostics
; * author: tep
; * revisions:
; * $History: ixbmsgs.s $
; *
;*************************************************************************

	AREA	IXBTMSGS, DATA, READONLY

	INCLUDE	H_CONFIG.S
	
	IF	:DEF:	IXBUS_TEST

	EXPORT	ixbtest1	
	EXPORT	ixbthelp1
	EXPORT	ixbthelp2
	EXPORT	ixbthelp3
	EXPORT	ixbthelp3a
	EXPORT	ixbthelp4
	EXPORT	ixbthelp5
	EXPORT	ixbthelp5a
	EXPORT	ixbthelp6
	EXPORT	ixbthelp7
	EXPORT	ixbthelp8
	EXPORT	ixbthelp9
	EXPORT	ixbthelp10
	EXPORT	ixbthelp11
	EXPORT	ixbthelp13
	EXPORT	ixbthelp12
	EXPORT	ixbtstat1
	EXPORT	ixbtstat1a
	EXPORT	ixbtrestrt
	EXPORT	ixbtpaused
	EXPORT	ixbtclear
	EXPORT	ixbtclearall
	EXPORT	ixbtquit
	EXPORT	ixbtlib
	EXPORT	ixbtint
	EXPORT	ixbtext
	EXPORT	ixbtstat10
	EXPORT	ixbtstat10a
	EXPORT	ixbtstat11
	EXPORT	ixbtstat12
	EXPORT	ixbtstat13
	EXPORT	ixbtstat14
	EXPORT	ixbtstgs	
	EXPORT	ixbtlbm		
	EXPORT	ixbtints		
	EXPORT	ixbtexts		
	EXPORT	ixbtmm		
	EXPORT	ixbtgig		
	EXPORT	ixbtoct		
	EXPORT	ixbtcur 	
	EXPORT	ixbtpause
	EXPORT	ixbtrun 	
	EXPORT	ixbtfptx 	
	EXPORT	ixbtfprx 	
	EXPORT	ixbtnorun 	
	EXPORT	ixbthelp14 	
	EXPORT	ixbtbursting 	
			
	
ixbtest1			DCB	&a, &d,"IXBus test started...", &a, &d, 0

ixbthelp1			DCB	&a, &d,"IXBus test console commands (NOTE: case sensitive):", &a, &d, 0
ixbthelp2			DCB	"	p = Pause the transmit thread(s)", &a, &d, 0
ixbthelp3			DCB	"	s = Report current MAC status to console", &a, &d, 0
ixbthelp3a			DCB	"	S = Report all MAC status to console", &a, &d, 0
ixbthelp4			DCB	"	r = Run IXBus test continuously", &a, &d, 0
ixbthelp5			DCB	"	c = Clear current MAC test status parameters", &a, &d, 0
ixbthelp5a			DCB	"	C = Clear all MAC test status parameters", &a, &d, 0
ixbthelp6			DCB	"	d = Display the packet library", &a, &d, 0
ixbthelp7			DCB	"	i = Set internal loopback mode", &a, &d, 0
ixbthelp8			DCB	"	e = Set external loopback mode", &a, &d, 0
ixbthelp9			DCB	"	h = Command summary help", &a, &d, 0
ixbthelp10			DCB	"	o = Octal MAC port test", &a, &d, 0
ixbthelp11			DCB	"	g = GigaMAC port test", &a, &d, 0
ixbthelp13			DCB	"	? = Display current test settings", &a, &d, 0
ixbthelp12			DCB	"	x = Exit the ixbus test", &a, &d, 0
ixbthelp14			DCB	"	b = TX burst of 16 packets", &a, &d, 0

ixbtstat1			DCB	&a, &d,"IXBus test octal MAC port status:", &a, &d, 0
ixbtstat1a			DCB	&a, &d,"IXBus test GigaMAC port status:", &a, &d, 0

ixbtstat10			DCB	"Port #", 0
ixbtstat10a			DCB	"Thread #", 0
ixbtstat11			DCB	" TX packets:", 0
ixbtstat12			DCB	" RX packets:", 0
ixbtstat13			DCB	" Data errors:", 0
ixbtstat14			DCB	" RX cancels:", 0
ixbtfptx			DCB	"GigaMAC total TX packets: ", 0
ixbtfprx			DCB	"GigaMAC total RX packets: ", 0


ixbtrestrt			DCB	&a, &d,"IXBus test continuous run enabled...", &a, &d, 0
ixbtpaused			DCB	&a, &d,"IXBus test paused...", &a, &d, 0
ixbtclear			DCB	&a, &d,"IXBus test status parameters cleared for current MAC...", &a, &d, 0
ixbtclearall		DCB	&a, &d,"IXBus test status parameters cleared for all MACs...", &a, &d, 0
ixbtlib				DCB	&a, &d,"IXBus test displaying packet library...", &a, &d, 0
ixbtext				DCB	&a, &d,"IXBus test external loopback mode set...", &a, &d, 0
ixbtint				DCB	&a, &d,"IXBus test internal loopback mode set...", &a, &d, 0
ixbtquit			DCB	&a, &d,"IXBus test terminated...", &a, &d, 0
ixbtstgs			DCB	&a, &d,"IXBus test current settings:", &a, &d, 0
ixbtbursting		DCB	&a, &d,"IXBus test bursting 16 TX packets...", &a, &d, 0
ixbtnorun			DCB	&a, &d,"No continuous run support for GigaMAC mode, burst only.", &a, &d, 0
ixbtlbm				DCB	"Loopback Mode is ", 0
ixbtints			DCB	"internal", &a, &d, 0
ixbtexts			DCB	"external", &a, &d, 0
ixbtmm				DCB	"MAC selection is ", 0
ixbtgig				DCB	"gigaMAC", &a, &d, 0
ixbtoct				DCB	"octalMAC", &a, &d, 0
ixbtcur 			DCB	"IX Bus test is currently ", 0
ixbtpause 			DCB	"paused", &a, &d, 0
ixbtrun 			DCB	"running", &a, &d, 0



	EXPORT	rx
	EXPORT	tx
	EXPORT	rxschd  
	EXPORT	rxschdfp
	EXPORT	txfp

rx			DCB	"Loading RX Microcode...", &a, &d, 0
tx			DCB	"Loading TX Microcode...", &a, &d, 0
txfp		DCB	"Loading TXFP Microcode...", &a, &d, 0
rxschd		DCB	"Loading RXSCHD Microcode...", &a, &d, 0
rxschdfp	DCB	"Loading RXSCHDFP Microcode...", &a, &d, 0


	EXPORT	octalmode
	EXPORT	gigamode

octalmode	DCB	&a, &d,"Initalizing OCTAL MAC test mode.", &a, &d, 0
gigamode	DCB	&a, &d,"Initalizing GIGA  MAC test mode.", &a, &d, 0


	EXPORT	rdyctl
rdyctl				DCB	"Xmit_Rdy_Ctrl:", 0
	EXPORT	xmitptr
xmitptr				DCB	"Xmit_Ptr:", 0
	EXPORT	rcvrdylo
rcvrdylo			DCB	"Rcv_Rdy_Lo:", 0
	EXPORT	xmitrdylo
xmitrdylo			DCB	"Xmit_Rdy_Lo:", 0
	EXPORT	xmitrdyctl
xmitrdyctl			DCB	"Xmit_Rdy_Ctl:", 0
	EXPORT	thrtlparm
thrtlparm			DCB	"Throttle Parm:", 0
	EXPORT	rdyprg3
rdyprg3				DCB	"Rdy_Bus_Prog_3:", 0
	EXPORT	rdyprg2
rdyprg2				DCB	"Rdy_Bus_Prog_2:", 0
	EXPORT	rdyprg1
rdyprg1				DCB	"Rdy_Bus_Prog_1:", 0
	EXPORT	rdytmpltctl
rdytmpltctl			DCB	"Rdy_Bus_Tmplt_Ctl:", 0
	EXPORT	rcvctl
rcvctl				DCB	"Rcv_Ctl:", 0
	EXPORT	rcvrdycnt
rcvrdycnt				DCB	"Rcv_Rdy_Cnt:", 0


	ENDIF	;IXBUSTEST

	END
