;*************************************************************************
; *
; * TRANSMITFP.UC : Micro code source file for transmit thread used in IX bus
; * 				test.
; * 
; *
; * ---------------------------------------------------------------------	
; *                                                                      
; *                  I N T E L   P R O P R I E T A R Y                   
; *                                                                      
; *     COPYRIGHT (c)  1998-2000 BY  INTEL  CORPORATION.  ALL RIGHTS          
; *     RESERVED.   NO  PART  OF THIS PROGRAM  OR  PUBLICATION  MAY      
; *     BE  REPRODUCED,   TRANSMITTED,   TRANSCRIBED,   STORED  IN  A    
; *     RETRIEVAL SYSTEM, OR TRANSLATED INTO ANY LANGUAGE OR COMPUTER    
; *     LANGUAGE IN ANY FORM OR BY ANY MEANS, ELECTRONIC, MECHANICAL,    
; *     MAGNETIC,  OPTICAL,  CHEMICAL, MANUAL, OR OTHERWISE,  WITHOUT    
; *     THE PRIOR WRITTEN PERMISSION OF :                                
; *                                                                      
; *                        INTEL  CORPORATION                            
; *                                                                     
; *                     2200 MISSION COLLEGE BLVD                        
; *                                                                      
; *               SANTA  CLARA,  CALIFORNIA  95052-8119                  
; *                                                                      
; * ---------------------------------------------------------------------
; *
; * system: IXP1200
; * subsystem: Diagnostics
; * author: tep
; * revisions:
; *
;*************************************************************************

;SDRAM memory data defines...
#define SDRAM_PktBase   0x100           ;Location of test packet library in SDRAM
#define SDRAM_PktLibSz  (TestPktLn*QtyTestPkt)
#define SDRAM_PktLibEnd SDRAM_PktLibSz+SDRAM_PktBase

#define TestPktLn       8               ;packets are 64 bytes (8 qwords)
#define QtyTestPkt      25

;Tfifo control field defines...
#define TfifoCtlEOP     0x0200
#define TfifoCtlSOP     0x0100

;Scratch area define...
#define	OPpassStat		0x10
#define	OPfailStat		0x20
#define	OPcnclStat		0x30

#define	FPHandShake		0x44

#define	FPpassStat		0x50
#define	FPfailStat		0x60
#define	FPcnclStat		0x70

#define	IXbusTestFlags	0x80
#define	BurstTestFlag	0x08							
#define	RunTestFlag		0x04							
#define	GigMacModeFlg	0x01
