
#include <vxWorks.h>
#include <stdLib.h>
#include <ramDrv.h>
#include <dosFsLib.h>
#include <ioLib.h>
#include <LoadLib.h>
#include <unldLib.h>
#include "wtx.h"
#include "dirent.h"
#include "stat.h"

#define BYTES_PER_BLOCK 512
#define SIZEKB          200

/*  Forward declaration    */
void unldrulemodule();
void ldrule1();
extern rulemodule();

STATUS RamDrvInit ()
{
    BLK_DEV               *pBlkDev; 
    DOS_VOL_DESC          *pVolDesc; 
    char *dev = "DEV1:";
    int status;
    int nBlocks;

    int fdX;

    nBlocks = SIZEKB * 1024;
    nBlocks /= BYTES_PER_BLOCK;
        
    pBlkDev = ramDevCreate (0, 512, nBlocks, nBlocks, 0);   

    status = dosFsMkfsOptionsSet (DOS_OPT_AUTOSYNC | DOS_OPT_LONGNAMES);    
    if (status != OK)
        return (ERROR);
    
    pVolDesc = dosFsMkfs (dev, pBlkDev);  

/*    ldrule1();  
    ldothers();  */
/*  Load rulemodule into memory                 

    if ( (fdX = open ("D:/jayant/npcs/VxRulemodule/ARMSA110gnu/VxRulemodule.out", O_RDONLY, 0)) == ERROR) {  
       printf("ERROR\n");
    }
    else {
    loadModule (fdX, LOAD_ALL_SYMBOLS);
    close (fdX);
    }

    Load rulecontrol into memory                

    if ( (fdX = open ("D:/jayant/npcs/rulecontrol/ARMSA110gnu/rulecontrol.out", O_RDONLY, 0)) == ERROR) {  
       printf("ERROR\n");
    }
    else {
    loadModule (fdX, LOAD_ALL_SYMBOLS);
    close (fdX);
    }
*/
}

void delfile(filename) 
{
    remove(filename);
}

void makdir(dirname)
{
int status;
    int fd;

    fd = open ("DEV1:", O_CREAT | O_RDWR, 0644);

    status = ioctl (fd, FIOMKDIR, dirname);


}
void listdir (char *dev)
{
	struct stat filestat;
	struct dirent *dentry;
	char devname[100];
	DIR* rootDir;

        devname[0] = '\0';

        strcat(devname,dev);

	rootDir = opendir(devname);

	while ((dentry = readdir(rootDir)) != NULL) {
		stat(dentry->d_name, &filestat);
                printf("%s\n",dentry->d_name);
        }

        closedir(rootDir);
}

void ldmymodule() {

int fdX;

/*    if ( (fdX = open ("DEV1:\\\\rulem.out", O_RDONLY, 0)) == ERROR) {  */
    if ( (fdX = open ("DEV1:\\\\j\\\\VxRulemodule.out", O_RDONLY, 0)) == ERROR) {  
       printf("ERROR\n");
    }
    else {
    loadModule (fdX, LOAD_ALL_SYMBOLS);
    close (fdX);
    }
}

void ldanymodule(char *mod) {
int fdX;

    if ( (fdX = open (mod, O_RDONLY, 0)) == ERROR) {  
       printf("ERROR\n");
    }
    else {
    loadModule (fdX, LOAD_ALL_SYMBOLS);
    close (fdX);
    }
}

void unldanymodule(char *mod) {

    unld(mod, NULL);

}

void ldrulemodule() {
int fdX;

    if ( (fdX = open ("DEV1:\\\\VxRulemodule.out", O_RDONLY, 0)) == ERROR) {  
       printf("ERROR\n");
    }
    else {
    loadModule (fdX, LOAD_ALL_SYMBOLS);
    close (fdX);
    }
}

void unldrulemodule() {

    unld("VxRulemodule.out", NULL);

}

void reldanymodule(char *mod) {

    reld(mod, NULL);

}

void ldrule1() {
    int fdX, module_id;
    char *pText; /* load text segment at addr. pointed to by this ptr, */
                    /* load addr. via this ptr */
    char *pText2; /* load text segment at addr. pointed to by this ptr, */
                    /* load addr. via this ptr */
    char *pText3; /* load text segment at addr. pointed to by this ptr, */
                    /* load addr. via this ptr */

    char *pData; /* load data segment at addr. pointed to by this */
                   /* return load addr. via this ptr */
    char *pBss;   /* load BSS segment at addr. pointed to by this pointer, */
                    /* load addr. via this ptr */

   pText = 0x4702e8;        
   pData = pBss = LD_NO_ADDRESS;  

/*    pText = 0x4ca238;   
    pData = 0x4c95ac;
    pBss =  0x7fe684;*/

/*    pText = 0x4702e8;   
    pData = 0x4c9234;
    pBss =  0x7fe620;  */

    if ( (fdX = open ("D:/jayant/npcs/VxRulemodule/ARMSA110gnu/VxRulemodule.out", O_RDONLY, 0)) == ERROR) {  
       printf("ERROR\n");
    }
    else {
/*         if ((module_id = loadModuleAt (fdX, LOAD_GLOBAL_SYMBOLS, &pText, &pData, &pBss)) == ERROR) {
            printf("ERROR loading rulemodule");  
            };                                  */
            loadModule (fdX, LOAD_ALL_SYMBOLS);
    close (fdX);
    }

}

void ldrule2() {
    int fdX, module_id;
    char *pText; /* load text segment at addr. pointed to by this ptr, */
                    /* load addr. via this ptr */
    char *pText2; /* load text segment at addr. pointed to by this ptr, */
                    /* load addr. via this ptr */
    char *pText3; /* load text segment at addr. pointed to by this ptr, */
                    /* load addr. via this ptr */

    char *pData; /* load data segment at addr. pointed to by this */
                   /* return load addr. via this ptr */
    char *pBss;   /* load BSS segment at addr. pointed to by this pointer, */
                    /* load addr. via this ptr */

/*    pText = 0x4702e8;        
    pData = pBss = LD_NO_ADDRESS; */

    pText = 0x4ca238;                 /* address of text segment        */
    pData = 0x4c95ac;
    pBss =  0x7fe684;      /* other segments follow by default */

    if ( (fdX = open ("DEV1:/VxRulemodule.out", O_RDONLY, 0)) == ERROR) {  
       printf("ERROR\n");
    }
    else {
         if ((module_id = loadModuleAt (fdX, LOAD_GLOBAL_SYMBOLS, &pText, &pData, &pBss)) == ERROR) {
            printf("ERROR loading rulemodule");
            };
    close (fdX);
    }

}

ldothers() {
    int fdX, module_id;

    char *pText2; /* load text segment at addr. pointed to by this ptr, */
                    /* load addr. via this ptr */
    char *pText3; /* load text segment at addr. pointed to by this ptr, */
                    /* load addr. via this ptr */

    char *pData; /* load data segment at addr. pointed to by this */
                   /* return load addr. via this ptr */
    char *pBss;   /* load BSS segment at addr. pointed to by this pointer, */
                    /* load addr. via this ptr */

  pText2 = 0x4cd2fc;                
    pData = pBss = LD_NO_ADDRESS;     

/*    pText2 = 0x4d69e4; 
    pData = 0x7fe76c;
    pBss = 0x7fe78c; */

/*    pText2 = 0x4cd2fc; 
    pData = 0x7fe708;
    pBss = 0x7fe728;     */

    if ( (fdX = open ("D:/jayant/npcs/rulecontrol/ARMSA110gnu/rulecontrol.out", O_RDONLY, 0)) == ERROR) {  
       printf("ERROR\n");
    }
    else {
         if ((module_id = loadModuleAt (fdX, LOAD_GLOBAL_SYMBOLS, &pText2, &pData, &pBss)) == ERROR) {
            printf("ERROR loading rulemodule");
            };
    close (fdX);
    }

/*    pText3 = 0x30042c;      
    pData = pBss = LD_NO_ADDRESS;  

    pText3 = 0x2fa8d8;           
    pData = 0x2fa254;
    pBss = 0x4d7f4c; 

    if ( (fdX = open ("D:/jayant/goahead/ARMSA110gnu/GoAhead.out", O_RDONLY, 0)) == ERROR) {  
       printf("ERROR\n");
    }
    else {
         if ((module_id = loadModuleAt (fdX, LOAD_GLOBAL_SYMBOLS, &pText3, &pData, &pBss)) == ERROR) {
            printf("ERROR loading rulemodule");
            };
    close (fdX);
    }
*/
}
