/* hpcFsRpc.h - Simple "RPC" protocol for HPCFS */

/* Copyright 1996-1998 Wind River Systems, Inc.; Copyright 2000 Intel Corp. */

/*
modification history
--------------------
01a,29Jun00,jdg  written
*/

/*
DESCRIPTION

This library provides a very simple implementation of RPC for use 
by the HPCFS
*/

#ifndef __IXP1200HPC_H
#define __IXP1200HPC_H


#ifdef __cplusplus
extern "C" {
#endif

char* hpcRpcWrInt (char *buf, int data);
char* hpcRpcWrCStr (char *buf, char *str);
char* hpcRpcWrData (char *buf, char *data, int   data_len);
char* hpcRpcRdInt (char *buf, int *data);
char* hpcRpcRdCStr (char *buf, char *str);
char* hpcRpcRdData (char *buf, char *data, int  *data_len);
char* hpcRpcGetCStr (char *buf, char **str);

#ifdef __cplusplus
}
#endif

#endif /* ifdef __IXP1200HPC_H */
