/* FDriverAPI.h
 * Fdriver API file 
 *
 * ---------------------------------------------------------------------        
 *  Copyright Digital Equipment Corporation 1997-1998. All rights reserved.
 *
 *  Restricted  Rights:  Use,  duplication,  or  disclosure by the U.S.
 *  Government is subject to restrictions  as set forth in subparagraph
 *  (c)(1)(ii) of DFARS 252.227-7013,  or  in FAR 52.227-19,  or in FAR
 *  52.227-14 Alt. III, as applicable.
 *
 *  This software  is  proprietary  to  and  embodies  the confidential
 *  technology  of  Digital  Equipment  Corporation.  Possession,  use,
 *  or copying of this software and  media  is authorized only pursuant
 *  to  a  valid  written   license   from  Digital  or  an  authorized
 *  sublicensor.
 * ---------------------------------------------------------------------
 *
 * system: SA1200
 * subsystem: FDriver
 * author: sk, Apr 99 Initial version
 * $History: FdriverAPI.h $
 * 
 * *****************  Version 5  *****************
 * User: Dmwhite      Date: 5/09/00    Time: 9:37a
 * Updated in $/dev_1200/Include
 * remove unwanted comments
 * 
 * *****************  Version 1  *****************
 * User: Skornfel     Date: 4/26/99    Time: 5:15p
 * Created in $/dev_1200/Include
 * 
 * ---------------------------------------------------------------------
 */
#ifndef F_DRIVER_API_H
#define F_DRIVER_API_H

/* PURPOSE: Fdriver's Extern C API's */



#ifdef __cplusplus
extern "C" {
#endif
/**/
void FDriver_Init();
void FDriver_PutMsg( int * msg , int thread);
void FDriver_PutMsgQue( int * msg , int thread);
void FDriver_HoldTxToEngine(int engine);
void FDriver_ResumeTxToEngine(int engine);

/**/
#ifdef __cplusplus
}
#endif
#endif  /* F_DRIVER_API_H */ // leave next extra line 
