/* ------------------------------------------------------------------------------
 *                                                                      
 *                  I N T E L   P R O P R I E T A R Y                   
 *                                                                      
 *     COPYRIGHT (c)  1999 BY  INTEL  CORPORATION.  ALL RIGHTS          
 *     RESERVED.   NO  PART  OF THIS PROGRAM  OR  PUBLICATION  MAY      
 *     BE  REPRODUCED,   TRANSMITTED,   TRANSCRIBED,   STORED  IN  A    
 *     RETRIEVAL SYSTEM, OR TRANSLATED INTO ANY LANGUAGE OR COMPUTER    
 *     LANGUAGE IN ANY FORM OR BY ANY MEANS, ELECTRONIC, MECHANICAL,    
 *     MAGNETIC,  OPTICAL,  CHEMICAL, MANUAL, OR OTHERWISE,  WITHOUT    
 *     THE PRIOR WRITTEN PERMISSION OF :                                
 *                                                                      
 *                        INTEL  CORPORATION                            
 *                                                                     
 *                     2200 MISSION COLLEGE BLVD                        
 *                                                                      
 *               SANTA  CLARA,  CALIFORNIA  95052-8119                  
 *                                                                      
 *------------------------------------------------------------------------------*/

/* packet_gen.h
 * extern file for packet_gen library
 *
 *
 * system: SA1200
 * subsystem: packet_gen
 * author: Don Hooper 3/18/99
 * revisions:
 * $History packet_gen.h $
 * 
 * 
 */
#ifndef PACKET_GEN_H
#define PACKET_GEN_H

#if defined(__cplusplus)
extern "C"
{
#endif

	extern int pkpool_add_from_buf(void **buf, int len);
	extern int pkgen_model_initialize();
	extern int fmon_model_initialize();
	extern int fdrive_model_initialize();
    extern void FMon_Reset();
#if defined(__cplusplus)
}
#endif

#endif		// PACKET_GEN_H