/* utils.h
 * Utility Library
 *
 *---------------------------------------------------------------------------
 *                                                                      
 *                  I N T E L   P R O P R I E T A R Y                   
 *                                                                      
 *     COPYRIGHT (c)  1998-1999 BY  INTEL  CORPORATION.  ALL RIGHTS          
 *     RESERVED.   NO  PART  OF THIS PROGRAM  OR  PUBLICATION  MAY      
 *     BE  REPRODUCED,   TRANSMITTED,   TRANSCRIBED,   STORED  IN  A    
 *     RETRIEVAL SYSTEM, OR TRANSLATED INTO ANY LANGUAGE OR COMPUTER    
 *     LANGUAGE IN ANY FORM OR BY ANY MEANS, ELECTRONIC, MECHANICAL,    
 *     MAGNETIC,  OPTICAL,  CHEMICAL, MANUAL, OR OTHERWISE,  WITHOUT    
 *     THE PRIOR WRITTEN PERMISSION OF :                                
 *                                                                      
 *                        INTEL  CORPORATION                            
 *                                                                     
 *                     2200 MISSION COLLEGE BLVD                        
 *                                                                      
 *               SANTA  CLARA,  CALIFORNIA  95052-8119                  
 *                                                                      
 *---------------------------------------------------------------------------
 *
 *
 *  system: SA1200
 *  subsystem: Debug Library
 *  author: drj, Dec 2,98  Initial version
 *  revisions:
 *  $History: utils.h $
 * 
 * *****************  Version 17  *****************
 * User: Drjohns1     Date: 8/17/00    Time: 4:32p
 * Updated in $/dev_1200/Include
 * Utility string functions
 * 
 * *****************  Version 16  *****************
 * User: Qabuild      Date: 8/02/00    Time: 5:17p
 * Updated in $/dev_1200/Include
 * Cleanup
 * 
 * ---------------------------------------------------------------------
 */
#ifndef __UTILS_H
#define __UTILS_H

#ifndef TRUE
#define TRUE 1
#endif
#ifndef FALSE
#define FALSE 0
#endif

#include "sem.h"
#include "delay.h"
#include "thread.h"
#include "utl_crc.h"
#include "utl_str.h"
#include "utl_bits.h"

#endif			/* __UTILS_H */
