//                                                                      
//     COPYRIGHT (c)  1998-99 BY  INTEL  CORPORATION.  ALL RIGHTS          
//     RESERVED.   NO  PART  OF THIS PROGRAM  OR  PUBLICATION  MAY      
//     BE  REPRODUCED,   TRANSMITTED,   TRANSCRIBED,   STORED  IN  A    
//     RETRIEVAL SYSTEM, OR TRANSLATED INTO ANY LANGUAGE OR COMPUTER    
//     LANGUAGE IN ANY FORM OR BY ANY MEANS, ELECTRONIC, MECHANICAL,    
//     MAGNETIC,  OPTICAL,  CHEMICAL, MANUAL, OR OTHERWISE,  WITHOUT    
//     THE PRIOR WRITTEN PERMISSION OF :                                
//                                                                      
//                        INTEL  CORPORATION                            
//                                                                     
//                     2200 MISSION COLLEGE BLVD                        
//                                                                      
//               SANTA  CLARA,  CALIFORNIA  95052-8119                  
//                                                                      
//-----------------------------------------------------------------------------------
// cksum_le_test.uc
// little-endian checksum test
//
#include "endian.uc"

	immed[hw0, 0x4500]			; len_version
	immed_w1[hw12, 0x0032]		; total len
	immed_w0[hw34, 0x0000]		; id
	immed_w1[hw34, 0x0000]		; frag
	immed_w0[hw12, 0x0406]		; ttl, prot
	immed_w1[hw56, 0xb4c5]		; cksum
	immed_w0[hw56, 0x0000]		; sa bytes 0-1
	immed_w1[hw78, 0x0000]		; sa bytes 2-3
	immed_w0[hw78, 0x0101]		; da bytes 0-1
	immed_w1[hw9, 0x0101]		; da bytes 2-3
	immed[error, 0]

init_complete#:
	IP_VerifyChecksum_HwLE[newcksum, hw0, hw12, hw34, hw56, hw78, hw9, badcksum#]

goodcksum#:
	br[goodcksum#]
	

badcksum#:
	immed[error, 1]
	ctx_arb[voluntary]
	br[badcksum#]
