// tx_uc.uc
//
//
// API
// 
// _tx_fifo_elem_init[out_fifo_element, IN_CONST_FID]
// tx_ether1gig_init[out_abs_assign1, out_abs_assign2, out_abs_assign3, out_abs_port_info_lock, out_assigned_mpkt_cnt, out_abs_fifo_elem, out_gig_ele_count_addr, out_skip_assign, CONST_FID, CONST_FAST_PORT_QUEUE, CONST_ASSIGN_SKIP, CONST_XMIT_FPORT1_ELE_COUNT, CONST_XMIT_FPORT2_ELE_COUNT]
// tx_gig_assign[io_assigned_cnt, io_abs_assign, in_enqueued_packets, in_const_0, in_const_1, in_skip_assign]// tx_gig_fill_init[out_const_0, out_const_1, out_const_2, out_const_x38, out_const_fc_x256, out_skip_bit_on, out_bit15on, out_bit20on, out_pkt_buffer_base, out_buf_descriptor_base, out_xfr_reg, out_bank_mask, out_bit20_15on, out_bank, out_next_thread_ir, out_queue_descriptor_base, out_port_rdy_bit, FAST_PORT_QUEUE, XMIT_FPORT_DESCRIPTOR_BASE_1, XMIT_FPORT_DESCRIPTOR_BASE_2, ASSIGN_SKIP, PORT_NUM, FID]
// tx_gigassignment_read[out_tfifo_entry, out_queue, out_skip_flag, io_abs_assign, io_abs_fifo_elem, in_skip_bit, in_const_0, in_const_2]
// tx_gig_portinfo_save[out_buf_base_offset, out_fast_port_info, io_ele_remaining, io_buf_offset, in_status_byte, in_bank] 
// tx_portinfo_save[out_abs_port0_in_prog, out_abs_port1_in_prog, out_abs_port2_in_prog, out_abs_port3_in_prog, out_abs_port4_in_prog, out_abs_port5_in_prog, out_abs_port6_in_prog, out_abs_port7_in_prog, out_abs_port8_in_prog, out_abs_port9_in_prog, out_abs_port10_in_prog, out_abs_port11_in_prog, out_abs_port12_in_prog, out_abs_port13_in_prog, out_abs_port14_in_prog, out_abs_port15_in_prog, in_last_mpkt_byte_cnt, in_top_buf_byte_offset, in_ele_remaining, in_bank, in_buf_offset, in_queue] 
// tx_portinfo_save_no_decr[out_abs_port0_in_prog, out_abs_port1_in_prog, out_abs_port2_in_prog, out_abs_port3_in_prog, out_abs_port4_in_prog, out_abs_port5_in_prog, out_abs_port6_in_prog, out_abs_port7_in_prog, out_abs_buf_base_offset0, out_abs_buf_base_offset1, out_abs_buf_base_offset2, out_abs_buf_base_offset3, out_abs_buf_base_offset4, out_abs_buf_base_offset5, out_abs_buf_base_offset6, out_abs_buf_base_offset7, in_last_mpkt_byte_cnt, in_top_buf_byte_offset, in_ele_remaining, in_bank, in_buf_offset, in_queue, IN_PORT_INFO_SOP_BIT] 
// tx_portinfo_update[out_abs_port0_in_prog, out_abs_port1_in_prog, out_abs_port2_in_prog, out_abs_port3_in_prog, out_abs_port4_in_prog, out_abs_port5_in_prog, out_abs_port6_in_prog, out_abs_port7_in_prog, out_abs_port8_in_prog, out_abs_port9_in_prog, out_abs_port10_in_prog, out_abs_port11_in_prog, out_abs_port12_in_prog, out_abs_port13_in_prog, out_abs_port14_in_prog, out_abs_port15_in_prog, in_port_info, in_queue, PORT_TO_TFIFO_MULT, PORT_INFO_SOP_BIT]	
// tx_gig_portinfo_restore[out_port_info, out_ele_remaining, out_bank, out_buf_offset, out_orig_status_byte, in_abs_fast_port_info, in_bank_mask]
// tx_portinfo_restore[out_port_info, out_ele_remaining, out_buf_offset, out_bank, out_last_mpkt_byte_cnt, out_top_buf_byte_offset, in_bank_mask, in_queue, in_abs_port0_in_prog, in_abs_port1_in_prog, in_abs_port2_in_prog, in_abs_port3_in_prog, in_abs_port4_in_prog, in_abs_port5_in_prog, in_abs_port6_in_prog, in_abs_port7_in_prog, in_abs_port8_in_prog, in_abs_port9_in_prog, in_abs_port10_in_prog, in_abs_port11_in_prog, in_abs_port12_in_prog, in_abs_port13_in_prog, in_abs_port14_in_prog, in_abs_port15_in_prog]
// tx_gig_portinfo_update[in_port_info, in_const_1, out_abs_fast_port_info]	
// tx_last_mpkt_xfr[in_bank, in_buf_offset, in_orig_status_byte, in_tfifo_entry, in_bit20on, in_bit20_15on, in_pkt_buffer_base, CONST_SDRAM_VALIDATE_FLAG]
// tx_mpkt_xfr[in_bank, in_buf_offset, in_tfifo_entry, in_bit20_15on, in_bit20, in_pkt_buffer_base, IN_NUM_OF_8_BYTE_XFERS]
// tx_buf_free[in_buf_offset, in_bank, in_const_0, in_bit20on, in_buf_descriptor_base, io_mpacket_cnt, TOTAL_TRANSMITS]
// tx_ll_buf_free[queue_descriptor0, bit20on, bank, buf_descriptor_base, RIGHT_SHIFT_BIT_CNT]
// tx_head_read[out_xfr_packet_link0, io_abs_head_ptr, in_queue_descriptor_base, in_const_1]
// tx_packetlink_read[out_buf_offset, out_xfr_packet_link0, out_xfr_packet_link1, out_ele_remaining, out_bank, out_last_byte_cnt, out_start_byte_offset, in_bank_mask, in_const_3f, in_queue, in_const_x38, in_queue_descriptor_base, in_const_1]	
// tx_que_cnt_incr[FAST_PORT_QUEUE, XMIT_FPORT1_ELE_COUNT, XMIT_FPORT2_ELE_COUNT]
// tx_status_set[out_status_byte, in_status_byte, BITS_TO_SET, PORT_NUM]
// tx_ether100m_init[out_abs_target_element, out_abs_assign1, out_abs_assign2, out_abs_assign3, out_pwp_addr, IN_CONST_FID, IN_CONST_PWP_VECTOR]
// tx_100m_assign[io_target_port, io_abs_assign, in_pwp, CONST_SKIP_BIT, CONST_PORT_INCR, CONST_PORT_MASK]
// tx_100m_fill_init[out_queue_descriptor_base, out_pkt_buffer_base, out_buf_descriptor_base, out_xfr_tfifo_ctl_wd1, out_bank_mask, out_port0_in_prog, out_port1_in_prog, out_port2_in_prog, out_port3_in_prog, out_port4_in_prog, out_port5_in_prog, out_port6_in_prog, out_port7_in_prog, out_port8_in_prog, out_port9_in_prog, out_port10_in_prog, out_port11_in_prog, out_port12_in_prog, out_port13_in_prog, out_port14_in_prog, out_port15_in_prog, out_pwp_addr, out_const_0, out_skip_bit_on, out_const_3f, out_bit15on, out_bit20on, out_bit20_15on, CONST_SRAM_QUEUE_DESCRIPTOR_BASE, CONST_SDRAM_PKT_BUFFER_BASE, CONST_SRAM_BUFF_DESCRIPTOR_BASE, CONST_XMIT_PWP_VECTOR, CONST_SKIP_BIT_SET, CONST_THREAD_1]
// tx_assignment_read[out_queue, out_skip_flag, out_tfifo_entry, io_abs_assign, in_const_0, in_skip_bit, CONST_PORT_TO_TFIFO_MULT]
// tx_packetlinklist_read[out_xfr_queue_descriptor0, out_xfr_queue_descriptor1, out_head_ptr, out_xfr_packet_link0, out_xfr_packet_link1, out_tail_ptr, out_ele_remaining, out_bank, out_buf_offset, out_last_byte_cnt, in_queue_descriptor_base, in_queue_offset, in_buf_descriptor_base, in_bank_mask, in_const_3f]
// tx_portvector_clear[in_queue, in_pwp_address]
// tx_packetlinklist_update[in_queue_descriptor0, in_queue_descriptor1, in_queue_descriptor_base, in_tail_ptr, in_queue, in_packet_link0, in_port]
// tx_packetlink_unlock[in_queue, in_queue_descriptor_base]
// hw_init[CONST_FID, CONST_INIT_FBOX, SDRAM_VALIDATE_FLAG, RDYBUS_PROG1, RDYBUS_PROG2, RDYBUS_PROG3, ALT_BANKS_FLAG, BUFFER_COUNT]
// tx_portvect_modify[@pwp, port, 1] 
// 
#ifndef TX_UC
#define TX_UC

#define BANK_OFFSET 20	; bank field is bits 21:20

#include "stdmac.uc"
#include "buf.uc"
#include "port.uc"
#include "sig.uc"
#include "tfifo.uc"
#include "packetq.uc"

// _tx_fifo_elem_init
//
// Description: Transmit internal macro used to initialize the register
//				that keeps track of transmit FIFO element number.  The register
//				is initialized based on FBox ID.  FBox 4 starts with FIFO element
//				0, and FBox 5 starts with FIFO element 1.
//
// arguments:
// 		out_fifo_element:	Next tfifo element to be filled by this FBox.
//		IN_CONST_FID:		This FBox's identification number.  
//
// size: 3 instructions
// side effects: Input register can be GPR or absolute.  This macro is used
//				 in the "even/odd Fbox" transmit protocol.
// see also: N/A
// example usage: 	_tx_fifo_elem_init[@fifo_elem, CONST_FID]
//
#macro _tx_fifo_elem_init[out_fifo_element, IN_CONST_FID]
.local tfei_temp
	alu[tfei_temp, --, b, IN_CONST_FID]
	alu[tfei_temp, tfei_temp, AND, 1]
	alu[out_fifo_element, --, b, tfei_temp]				
.endlocal
#endm


// tx_ether1gig_init
//
// Description: Initialize transmit scheduler general purpose and absolute registers.
//
// arguments:
//		out_abs_assign1					- thread 1 assignment reg. init to "no assignment"
//		out_abs_assign2					- thread 2 assignment reg. init to "no assignment"
//		out_abs_assign3					- thread 3 assignment reg. init to "no assignment"
//		out_abs_port_info_lock			- semaphore used to protect gigabit port info
//		out_assigned_mpkt_cnt			- counter of mpackets scheduled for output
//		out_abs_fifo_elem				- Next tfifo element to be filled by this FBox.
//		out_gig_ele_count_addr			- mpackets enqueued for tx on our output port
//		out_skip_assign					- register that stores a skip assignment
//		CONST_FID						- Fbox ID
//		CONST_FAST_PORT_QUEUE			- Our fast port queue number.  Possible values are 1 and 2.
//		CONST_ASSIGN_SKIP				- Skip assignment bit(s) set.
//		CONST_XMIT_FPORT1_ELE_COUNT		- Address in memory of mpkts enqueued on fport 1
//		CONST_XMIT_FPORT2_ELE_COUNT		- Address in memory of mpkts enqueued on fport 2
//
// size: 14 instructions
// side effects: CONST_FAST_PORT_QUEUE can be 1 or 2 only, so only 2 fast ports supported.
// see also: N/A
// example usage: 	Tx_Ether1Gig_Init[@assign1, @assign2, @assign3, @port_info_lock, assigned_mpkt_cnt, 
//						@fifo_elem, gig_ele_count_addr, skip_assign, FID, FAST_PORT_QUEUE, 
//						ASSIGN_SKIP, XMIT_FPORT1_ELE_COUNT, XMIT_FPORT2_ELE_COUNT]  
//
#macro tx_ether1gig_init[out_abs_assign1, out_abs_assign2, out_abs_assign3, out_abs_port_info_lock, out_assigned_mpkt_cnt, out_abs_fifo_elem, out_gig_ele_count_addr, out_skip_assign, out_const_0, out_const_1, CONST_FID, CONST_FAST_PORT_QUEUE, CONST_ASSIGN_SKIP, CONST_XMIT_FPORT1_ELE_COUNT, CONST_XMIT_FPORT2_ELE_COUNT]

.local _temp

	sem_flip[out_abs_assign1]				; Initialize all assignments to "no assignment"
	sem_flip[out_abs_assign2]
	sem_flip[out_abs_assign3]
	sem_flip[out_abs_port_info_lock]		; clear the semaphore


	alu[out_const_0, --, b, 0]
	alu[out_const_1, --, b, 1]

	alu[out_assigned_mpkt_cnt, --, b, out_const_0] 	; initialize 

	// Determine which tfifo element will be written to first based on FID.
	_tx_fifo_elem_init[out_abs_fifo_elem, CONST_FID]

	// Initialize address of fast port elements queued counter based on CONST_FAST_PORT_NUM
	alu[_temp, --, b, CONST_FAST_PORT_QUEUE]
	alu[--, _temp, AND, 1]
	br!=0[skip_fport2_assign#], defer[1]		; if FAST_PORT_NUM = 1, then skip fast port #2 assignment
		immed[out_gig_ele_count_addr, CONST_XMIT_FPORT1_ELE_COUNT]	; address of fast port1 elements queued counter
		immed[out_gig_ele_count_addr, CONST_XMIT_FPORT2_ELE_COUNT]	; address of fast port2 elements queued counter
skip_fport2_assign#:

	// initialize out_skip_bit_set
	immed32[out_skip_assign, CONST_ASSIGN_SKIP]

.endlocal
#endm


// tx_gig_assign
//
// Description: This macro determines if there are any mpackets to be transmitted
//				and then assigns a fill thread the task of either transmitting an
//				mpacket or performing a skip tfifo element sequence.
//
// arguments:
//		io_assigned_mpkt_cnt   - Running count of the number of mpackets assigned for transmit.
//		io_abs_assign		   - Absolute register used for communication of assignments and
//                               status between the scheduler and the fill thread.
//		in_gig_ele_count_addr  - Memory address where the running count of mpkts 
//								 enqueued for transmit is stored
//		in_skip_assign         - Register that contains a skip assignment
//
// size: 14 instructions
// side effects: None.
// see also: N/A
// example usage: 	tx_gig_assign[assigned_cnt, @assign1, enqueued_packets, const_0, const_1, skip_assign]
//
#macro 	tx_gig_assign[io_assigned_cnt, io_abs_assign, in_enqueued_packets, in_const_0, in_const_1, in_skip_assign]

.local _temp 

	alu[io_assigned_cnt, in_const_0, +16, io_assigned_cnt] ; limit count to 16 bits
	alu[--, in_enqueued_packets, -, io_assigned_cnt]		; check assigned vs. enqueued
	br!=0[tx_assign#], defer[2]								; if different, make assignment

	alu[io_assigned_cnt, in_const_1, +16, io_assigned_cnt] ; increment processed mpacket count
	alu[_temp, --, b, 0]                         			; clear skip bit (temp to be coppied to abs_assign)
    
	// If we get here then there are no mpackets ready for transmit, so set skip bit 
	alu[io_assigned_cnt, in_const_1, B-A, io_assigned_cnt]		; remove the count that was just added in
	alu[_temp, _temp, OR, in_skip_assign]		            	; assign skip

tx_assign#:
	sem_wait[io_abs_assign]									; wait for fill thread to become available
	move[io_abs_assign, _temp]								; make assignment

.endlocal
#endm



// tx_gig_fill_init
//
// Description: Start up initialization for the gigabit fill threads.
//
// arguments:
//		out_const_0						- register used to store the number 0
//		out_const_1						- register used to store the number 1 
//		out_const_2						- register used to store the number 2
//		out_const_x38					- register used to store the number 0x38
//		out_const_x3f					- register used to store the number 0x3f
//		out_skip_bit_on					- register used to store a skip assignment
//		out_bit15on						- register used to store the number 0x8000
//		out_bit20on						- register used to store the number 0x100000
//		out_pkt_buffer_base				- base address of SDRAM packet buffers
//		out_buf_descriptor_base			- base address of buffer descriptors
//		out_xfr_reg						- sram xfer reg.  must be the second of two xfer regs
//										  used for holding the tfifo control word.
//		out_bank_mask					- mask used to determine which sdram bank the
//										  packet to be transmitted is stored in.
//		out_bit20_15on					- register used to store the number 0x108000
//		out_bank						- register used to store the output memory bank
//		out_next_thread_ir				- thread number of the thread that is to be
//										  inter_thread signaled when this thread has 
//										  validated its tfifo element.  the thread number is 
//										  saved as (32-thread number) so that this register
//										  can be used only as in indirect reference.
//		out_queue_descriptor_base		- base address of queue descriptors circular buffer
//		out_port_rdy_bit				- bit is set that corresponds to this threads output port
//										  this register is used to compare with xmit_rdy
//		FAST_PORT_QUEUE					- Our fast port queue number.  Possible values are 1 and 2.
//		XMIT_FPORT_DESCRIPTOR_BASE_1	- Base address of descriptor circular queue for fast port 1
//		XMIT_FPORT_DESCRIPTOR_BASE_2	- Base address of descriptor circular queue for fast port 2
//		ASSIGN_SKIP						- Bit set indicating skip assignment
//		PORT_NUM						- Output port number
//		FID								- Fbox ID
//
// size: 53 instructions
// side effects: N/A
// see also: N/A
// example usage: 	tx_gig_fill_init[const_0, const_1, const_2, const_x38, const_3f, skip_bit, 
//						bit15on, bit20on, pkt_buffer_base, buf_descriptor_base, 
//						$tfifo_ctl_wd1, bank_mask, bit20_15on, bank, next_thread_ir, 
//						queue_descriptor_base, port_rdy_bit, 
//						FAST_PORT_QUEUE, XMIT_FPORT_DESCRIPTOR_BASE, 
//						XMIT_FPORT_DESCRIPTOR_BASE_2, ASSIGN_SKIP, PORT_NUM, FID]
//
#macro	tx_gig_fill_init[out_const_0, out_const_1, out_const_2, out_const_x38, out_const_x3f, out_skip_bit_on, out_bit15on, out_bit20on, out_pkt_buffer_base, out_buf_descriptor_base, out_xfr_reg, out_bank_mask, out_bit20_15on, out_bank, out_next_thread_ir, out_queue_descriptor_base, out_port_rdy_bit, out_abs_port_info_lock, FAST_PORT_QUEUE, XMIT_FPORT_DESCRIPTOR_BASE_1, XMIT_FPORT_DESCRIPTOR_BASE_2, ASSIGN_SKIP, PORT_NUM, FID]
.local _temp $$_xfer0 $$_xfer1
.xfer_order $$_xfer0 $$_xfer1

	immed[out_const_0, 0]
	immed[out_const_1, 1]
	immed[out_const_2, 2]
    immed[out_const_x38, 0x38]
	immed[out_const_x3f, 0x3f]
	immed32[out_skip_bit_on, ASSIGN_SKIP]
	alu[out_bit15on, --, b, 1, <<15]
	alu[out_bit20on, --, b, 1, <<20]
	immed[out_xfr_reg, 0]								; second status word always 0
	alu[out_bank_mask, --, b, 3, <<20]					; bank_mask - 21:20
	alu[_temp, --, b, 1, <<5]							; set up indirect shift reference
	alu[_temp, _temp, -, PORT_NUM]
	alu[--, _temp, -, 1]								; "a" opperand used as indirect
	alu[out_port_rdy_bit, --, b, 1, <<indirect]
	alu_shf[out_bit20_15on, out_bit20on, or, out_bit15on]
    immed32[out_pkt_buffer_base, SDRAM_PKT_BUFFER_BASE]
	immed32[out_buf_descriptor_base, SRAM_BUFF_DESCRIPTOR_BASE]

	br=ctx[1, cont#]
	br=ctx[2, cont#]
	br=ctx[3, cont#]

	sem_init[out_abs_port_info_lock]	; initialize lock

cont#:


	// Set variable next_thread_ir == number of the thread that will
	// validate after this thread.  next_thread_ir is used exclusively
	// as an indirect reference.  
	alu[--, out_const_1, AND, FID]
	br!=0[odd_fbox_processing#]

	// Even Fbox processing
	immed[out_bank, 0]
	br=ctx[1, ctx1_even#]
	br=ctx[2, ctx2_even#]


ctx3_even#:
		alu[out_next_thread_ir, --, b, 17, <<5]
		br[end_thread_init#]
ctx2_even#:
		alu[out_next_thread_ir, --, b, 19, <<5]
		br[end_thread_init#]
ctx1_even#:
		alu[out_next_thread_ir, --, b, 18, <<5]
		br[end_thread_init#]

odd_fbox_processing#:

	alu_shf[out_bank, --, B, 1, <<20]								; bank_mask - 21:20

	br=ctx[1, ctx1_odd#]
	br=ctx[2, ctx2_odd#]

ctx3_odd#:
		alu[out_next_thread_ir, --, b, 21, <<5]
		br[end_thread_init#]
ctx2_odd#:
		alu[out_next_thread_ir, --, b, 23, <<5]
		br[end_thread_init#]
ctx1_odd#:
		alu[out_next_thread_ir, --, b, 22, <<5]

end_thread_init#:

	// Set bit 15 to override the immediate value in the fast_wr instructions that 
	// use this variable.
	alu[out_next_thread_ir, out_next_thread_ir, or, 1, <<15]



	.if (FAST_PORT_QUEUE == 1)
		immed[out_queue_descriptor_base, XMIT_FPORT_DESCRIPTOR_BASE_1]
	.else ; FAST_PORT_QUEUE == 2
		immed[out_queue_descriptor_base, XMIT_FPORT_DESCRIPTOR_BASE_2]
	.endif


	ctx_arb[inter_thread]							; wait for scheduler to initialize


	// The first fill thread signals itself so that it will validate and not get stuck at ctx_arb[inter_thread]
	br=ctx[2, skip_fast_wr#]
	br=ctx[3, skip_fast_wr#]
	alu[_temp, --, b, FID]
	alu[_temp, _temp, AND, 1]
	.if (_temp)						; FID is odd
		fast_wr[21, inter_thd_sig]
	.else 							; else, FID is Even
		fast_wr[17, inter_thd_sig]
	.endif

skip_fast_wr#:

	immed[$$_xfer0, 0]
	immed[$$_xfer1, 0]
	sdram[write, $$_xfer0, out_pkt_buffer_base, out_bank, 1]

.endlocal
#endm




// tx_gigassignment_read
//
// Description: This macro waits for an assignment from the transmit scheduler.
//
// arguments:
//		out_tfifo_entry		- Assigned transmit FIFO element number
//		out_queue			- Output queue. Format:
//							    bits 7:4 = output port number
//		out_skip_flag		- Flag indicating skip assignment
//		io_abs_assign		- Absolute register used to communicate between 
//							  scheduler and fill threads.  The format of the assignment is: 
//								7:4 = port/element, 3:1 = queue select within port
//		io_abs_fifo_elem	- Contains the next tfifo element to be filled by
//							  this FBox.  This register is incremented by 2 for
//							  the next fill thread.  
//		in_skip_bit			- Register that has a bit set which indicates a skip assignment
//		in_const_0			- constant
//		in_const_2			- constant
//
// size: 7 instructions
// side effects: This macro should only be used with the even and odd scheduler system.
// see also: N/A
// example usage: 	tx_gigassignment_read[tfifo_entry, queue, skip_flag, 
//						@assign1, @fifo_elem, skip_bit, const_0, const_2]	
//
#macro tx_gigassignment_read[out_tfifo_entry, out_queue, out_skip_flag, io_abs_assign, io_abs_fifo_elem, in_skip_bit, in_const_0, in_const_2]

wait_for_assignment#:
	ctx_arb[voluntary]								; let other threads go
	alu[--, --, b, io_abs_assign]
	br<0[wait_for_assignment#], defer[1]				; defer[2] in the assumption that we have an assignment

	alu[out_queue, const_0, +8, io_abs_assign]	   			; peal off queue number (= zero)
	alu[out_tfifo_entry, in_const_0, +4, io_abs_fifo_elem]	; limit tfifo_entry to 4 bits
	alu[io_abs_fifo_elem, in_const_2, +4, io_abs_fifo_elem]	; increment fifo element number for next thread
	alu[out_skip_flag, io_abs_assign, AND, in_skip_bit]		; test for skip
	sem_flip[io_abs_assign]									; let sched give this tread another assignment

#endm


// tx_gig_portinfo_save
//
// Description: Save status bits, mpackets remaining, bank, and buffer offset for the
//				next fill thread.
//
// arguments:
//		out_buf_base_offset		- Offset from freelist base address to current buffer's base address
//		out_fast_port_info		- Saved port info.  Format of data:
//									29:26 - last_mpkt_byte_cnt
//									23:19 - mpackets remaining 
//									18:16 - bank
//									15:0  - buf_offset
//		io_ele_remaining		- Number of mpackets remaining for transmit
//		io_buf_offset			- Offset to the next mpacket that is to be transmitted
//		in_last_mpkt_byte_cnt	- Contains byte enables for last mpacket 
//		in_bank					- SDRAM memory bank that the packet resides in
//
// size: 7 instructions
// side effects: None.
// see also: N/A
// example usage: tx_gig_portinfo_save[@buf_base_offset, @fast_port_info, ele_remaining, 
//											buf_offset, orig_status_byte, bank] 
//
#macro tx_gig_portinfo_save[out_buf_base_offset, out_fast_port_info, io_ele_remaining, io_buf_offset, in_last_mpkt_byte_cnt, in_bank] 
.local _port_info
	// out_buf_base_offset is used to push buffer back onto the freelist
	alu[out_buf_base_offset, --, b, io_buf_offset]
	alu_shf[io_ele_remaining, io_ele_remaining, -, 1]			; decrement elements remaining
	alu[io_buf_offset, io_buf_offset, +, 1]						; increment for next mpacket
	alu_shf[_port_info, io_buf_offset, OR, in_last_mpkt_byte_cnt, <<24]; from 5:0 to 29:24
	alu_shf[_port_info, _port_info, OR, io_ele_remaining, <<19]
	alu_shf[_port_info, _port_info, OR, in_bank, >>4]           ; save bits bank[21:20] in bits port_info[17:16]
	alu[out_fast_port_info, --, B, _port_info]		            ; restore port info
.endlocal
#endm


// tx_portinfo_save
//
// Description: Save elements remaining, status byte, and buffer offset 
//				in a global port in progress info
//
// arguments:
//		out_abs_port0_in_prog	- Port status for port0 
//		out_abs_port1_in_prog	- Port status for port1 
//		out_abs_port2_in_prog	- Port status for port2 
//		out_abs_port3_in_prog	- Port status for port3 
//		out_abs_port4_in_prog	- Port status for port4 
//		out_abs_port5_in_prog	- Port status for port5 
//		out_abs_port6_in_prog	- Port status for port6 
//		out_abs_port7_in_prog	- Port status for port7 
//		in_last_mpkt_byte_cnt	- byte enable for last mpacket
//		in_top_buf_byte_offset	- byte offset from buffer top to first valid byte.
//								  If there is no offset, then an immediate value should be passed
//								  into this macro.  
//		in_ele_remaining		- Mpackets remaining for this packet
//		in_bank					- SDRAM bank
//		in_buf_offset			- Offset 
//		io_buf_offset			- Offset to the next mpacket that is to be transmitted
//		in_queue				- bits 7:4 are port number
//
// size: 38-39 instructions
// side effects: None.
// see also: N/A
// example usage: tx_portinfo_save[@port0_in_prog, @port1_in_prog, @port2_in_prog, @port3_in_prog, 
//					@port4_in_prog, @port5_in_prog, @port6_in_prog, @port7_in_prog, 
//					last_mpkt_byte_cnt, top_buf_byte_offset, ele_remaining, bank, buf_offset, queue] 
//
#macro tx_portinfo_save[out_abs_port0_in_prog, out_abs_port1_in_prog, out_abs_port2_in_prog, out_abs_port3_in_prog, out_abs_port4_in_prog, out_abs_port5_in_prog, out_abs_port6_in_prog, out_abs_port7_in_prog, out_abs_buf_base_offset0, out_abs_buf_base_offset1, out_abs_buf_base_offset2, out_abs_buf_base_offset3, out_abs_buf_base_offset4, out_abs_buf_base_offset5, out_abs_buf_base_offset6, out_abs_buf_base_offset7, in_last_mpkt_byte_cnt, in_top_buf_byte_offset, in_ele_remaining, in_bank, in_buf_offset, in_queue, IN_PORT_TO_TFIFO_MULT] 
.local _jump _temp _port_info

	#if (IN_PORT_TO_TFIFO_MULT == 1)
		alu[_jump, 2, ~AND, in_queue, <<1]  ; clear bit 1
	#endif
	#if (IN_PORT_TO_TFIFO_MULT == 2)
		alu[_jump, --, b, in_queue, <<2]
	#endif

	alu[_temp, --, b, in_buf_offset, >>3]
	#if (!isnum(in_top_buf_byte_offset))	; if in_top_buf_byte_offset is a gpr, then save its value
		alu[_temp, _temp, or, in_top_buf_byte_offset, <<16]
	#endif

	alu_shf[in_ele_remaining, in_ele_remaining, -, 1]				; decrement elements remaining
	alu_shf[_port_info, in_buf_offset, OR, in_bank, >>4]


	jump[_jump, save_0#],  
		targets[save_0#, save_1#, save_2#, save_3#, save_4#, save_5#, save_6#, save_7#],
		defer[3]
	alu_shf[_port_info, _port_info, OR, in_last_mpkt_byte_cnt, <<24]	; move from 5:0 to 29:24
	alu_shf[_port_info, _port_info, OR, in_ele_remaining, <<19]
	alu[_port_info, _port_info, +, 1]							; increment for next mpacket
save_0#:
	alu[out_abs_buf_base_offset0, --, b, _temp]
	br[end#], defer[1]
	alu[out_abs_port0_in_prog, --, B, _port_info]
	nop
save_1#:
	alu[out_abs_buf_base_offset1, --, b, _temp]
	br[end#], defer[1]
	alu[out_abs_port1_in_prog, --, B, _port_info]
	nop
save_2#:
	alu[out_abs_buf_base_offset2, --, b, _temp]
	br[end#], defer[1]
	alu[out_abs_port2_in_prog, --, B, _port_info]
	nop
save_3#:
	alu[out_abs_buf_base_offset3, --, b, _temp]
	br[end#], defer[1]
	alu[out_abs_port3_in_prog, --, B, _port_info]
	nop
save_4#:
	alu[out_abs_buf_base_offset4, --, b, _temp]
	br[end#], defer[1]
	alu[out_abs_port4_in_prog, --, B, _port_info]
	nop
save_5#:
	alu[out_abs_buf_base_offset5, --, b, _temp]
	br[end#], defer[1]
	alu[out_abs_port5_in_prog, --, B, _port_info]
	nop
save_6#:
	alu[out_abs_buf_base_offset6, --, b, _temp]
	br[end#], defer[1]
	alu[out_abs_port6_in_prog, --, B, _port_info]
	nop
save_7#:
	alu[out_abs_buf_base_offset7, --, b, _temp]
	alu[out_abs_port7_in_prog, --, B, _port_info]
end#:	
.endlocal
#endm



// tx_portinfo_save_no_decr
//
// Description: Save elements remaining, status byte, and buffer offset 
//				in a global port in progress info.  Do not decrement counters
//				before saving.  This macro is used when the target MAC was not
//				ready for data, so the same mpacket will be transmitted the 
//				next time this port is processed.
//
// arguments:
//		out_abs_port0_in_prog	- Port status for port0 
//		out_abs_port1_in_prog	- Port status for port1 
//		out_abs_port2_in_prog	- Port status for port2 
//		out_abs_port3_in_prog	- Port status for port3 
//		out_abs_port4_in_prog	- Port status for port4 
//		out_abs_port5_in_prog	- Port status for port5 
//		out_abs_port6_in_prog	- Port status for port6 
//		out_abs_port7_in_prog	- Port status for port7 
//		in_last_mpkt_byte_cnt	- byte enable for last mpacket
//		in_top_buf_byte_offset  - byte offset from top of mpkt buffer to first valid byte of data.
//								  If this value is a don't care then an immediate value should be
//								  passed into this macro
//		in_ele_remaining		- Mpackets remaining for this packet
//		in_bank					- SDRAM bank
//		in_buf_offset			- Offset 
//		io_buf_offset			- Offset to the next mpacket that is to be transmitted
//		in_queue				- bits 7:4 are port number
//
// size: 38-39 instructions
// side effects: None.
// see also: N/A
// example usage: tx_portinfo_save_no_decr[@port0_in_prog, @port1_in_prog, @port2_in_prog, @port3_in_prog, 
//					@port4_in_prog, @port5_in_prog, @port6_in_prog, @port7_in_prog, 
//					last_mpkt_byte_cnt, top_buf_byte_offset, ele_remaining, bank, buf_offset, queue] 
//
#macro tx_portinfo_save_no_decr[out_abs_port0_in_prog, out_abs_port1_in_prog, out_abs_port2_in_prog, out_abs_port3_in_prog, out_abs_port4_in_prog, out_abs_port5_in_prog, out_abs_port6_in_prog, out_abs_port7_in_prog, out_abs_buf_base_offset0, out_abs_buf_base_offset1, out_abs_buf_base_offset2, out_abs_buf_base_offset3, out_abs_buf_base_offset4, out_abs_buf_base_offset5, out_abs_buf_base_offset6, out_abs_buf_base_offset7, in_last_mpkt_byte_cnt, in_top_buf_byte_offset, in_ele_remaining, in_bank, in_buf_offset, in_queue, IN_PORT_INFO_SOP_BIT] 
#define_eval SHIFT_FOR_SOP_BIT IN_PORT_INFO_SOP_BIT
.local _jump _temp _port_info

	#if (PORT_TO_TFIFO_MULT == 1)
		alu[_jump, 2, ~AND, in_queue, <<1]
	#endif
	#if (PORT_TO_TFIFO_MULT == 2)
		alu[_jump, --, b, in_queue, <<2]
	#endif

	alu[_temp, --, b, in_buf_offset, >>3]						; save original buffer address
	#if (!isnum(in_top_buf_byte_offset))	; if in_top_buf_byte_offset is a gpr, then save its value
		alu[_temp, _temp, or, in_top_buf_byte_offset, <<16]
	#endif

	alu_shf[_port_info, in_buf_offset, OR, in_bank, >>4] 		;save buf offset and bank

	jump[_jump, save_0#],  
		targets[save_0#, save_1#, save_2#, save_3#, save_4#, save_5#, save_6#, save_7#],
		defer[3]
	alu[_port_info, _port_info, OR, 1, <<SHIFT_FOR_SOP_BIT]		;set SOP bit
	alu_shf[_port_info, _port_info, OR, in_last_mpkt_byte_cnt, <<24]	; move from 5:0 to 31:24
	alu_shf[_port_info, _port_info, OR, in_ele_remaining, <<19] ; save elements remaining
save_0#:
	alu[out_abs_buf_base_offset0, --, b, _temp]
	br[end#], defer[1]
	alu[out_abs_port0_in_prog, --, B, _port_info]
	nop
save_1#:
	alu[out_abs_buf_base_offset1, --, b, _temp]
	br[end#], defer[1]
	alu[out_abs_port1_in_prog, --, B, _port_info]
	nop
save_2#:
	alu[out_abs_buf_base_offset2, --, b, _temp]
	br[end#], defer[1]
	alu[out_abs_port2_in_prog, --, B, _port_info]
	nop
save_3#:
	alu[out_abs_buf_base_offset3, --, b, _temp]
	br[end#], defer[1]
	alu[out_abs_port3_in_prog, --, B, _port_info]
	nop
save_4#:
	alu[out_abs_buf_base_offset4, --, b, _temp]
	br[end#], defer[1]
	alu[out_abs_port4_in_prog, --, B, _port_info]
	nop
save_5#:
	alu[out_abs_buf_base_offset5, --, b, _temp]
	br[end#], defer[1]
	alu[out_abs_port5_in_prog, --, B, _port_info]
	nop
save_6#:
	alu[out_abs_buf_base_offset6, --, b, _temp]
	br[end#], defer[1]
	alu[out_abs_port6_in_prog, --, B, _port_info]
	nop
save_7#:
	alu[out_abs_buf_base_offset7, --, b, _temp]
	alu[out_abs_port7_in_prog, --, B, _port_info]
end#:	
.endlocal
#endm






// tx_portinfo_sop_save
//
// Description: Save elements remaining, status byte, and buffer offset 
//				in a global port in progress register.  Also save the address that
//				will be pushed onto the freelist when this packet is transmitted.  
//				The packet address is saved to avoid having to read the packet link again.
//
// arguments:
//		out_abs_port0_in_prog			- Port status for port0 
//		out_abs_port1_in_prog			- Port status for port1 
//		out_abs_port2_in_prog			- Port status for port2 
//		out_abs_port3_in_prog			- Port status for port3 
//		out_abs_port4_in_prog			- Port status for port4 
//		out_abs_port5_in_prog			- Port status for port5 
//		out_abs_port6_in_prog			- Port status for port6 
//		out_abs_port7_in_prog			- Port status for port7 
//		out_abs_base_buffer_address0	- Packet buffer base offset
//		out_abs_base_buffer_address1	- Packet buffer base offset
//		out_abs_base_buffer_address2	- Packet buffer base offset
//		out_abs_base_buffer_address3	- Packet buffer base offset
//		out_abs_base_buffer_address4	- Packet buffer base offset
//		out_abs_base_buffer_address5	- Packet buffer base offset
//		out_abs_base_buffer_address6	- Packet buffer base offset
//		out_abs_base_buffer_address7	- Packet buffer base offset
//		in_last_mpkt_byte_cnt			- byte enable for last mpacket
//		in_top_buf_byte_offset			- byte offset from buffer top to first valid byte
//		in_ele_remaining				- Mpackets remaining for this packet
//		in_bank							- SDRAM bank
//		io_buf_offset					- Offset to the next mpacket that is to be transmitted
//		in_port							- port number
//		IN_PORT_INFO_SOP_BIT			- port_info bit, when set, indicates sop mpacket was not xmit
//		IN_PORT_TO_TFIFO_MULT			- multiplication factor used to convert port to tfifo entry.
//											must be 1 or 2.
//
// size: 38-39 instructions
// side effects: None.
// see also: N/A
// example usage: 	tx_portinfo_sop_save[@port0_in_prog, @port1_in_prog, @port2_in_prog, 
//							@port3_in_prog, @port4_in_prog, @port5_in_prog, @port6_in_prog, 
//							@port7_in_prog, @port0_buf_addr, @port1_buf_addr, @port2_buf_addr,
//							@port3_buf_addr, @port4_buf_addr, @port5_buf_addr, @port6_buf_addr,
//							@port7_buf_addr, last_mpkt_byte_cnt, top_buf_byte_offset, ele_remaining, 
//							bank, buf_offset, port, PORT_INFO_SOP_BIT, PORT_TO_TFIFO_MULT] 
//
//
#macro tx_portinfo_sop_save[out_abs_port0_in_prog, out_abs_port1_in_prog, out_abs_port2_in_prog, out_abs_port3_in_prog, out_abs_port4_in_prog, out_abs_port5_in_prog, out_abs_port6_in_prog, out_abs_port7_in_prog, out_abs_base_buffer_address0, out_abs_base_buffer_address1, out_abs_base_buffer_address2, out_abs_base_buffer_address3, out_abs_base_buffer_address4, out_abs_base_buffer_address5, out_abs_base_buffer_address6, out_abs_base_buffer_address7, in_last_mpkt_byte_cnt, in_top_buf_byte_offset, in_ele_remaining, in_bank, in_buf_offset, in_port, IN_PORT_INFO_SOP_BIT, IN_PORT_TO_TFIFO_MULT] 
.local _jump _temp _port_info

#define_eval SHIFT_FOR_SOP_BIT IN_PORT_INFO_SOP_BIT
	// Calculate jump offset.  
	// This FBOX services 8 10/100 ports.  We must convert port number to a jump offset.
	// When IN_PORT_TO_TFIFO_MULT == 2 then there are only 8 slow ports in the system, so
	// jump = port * 4 (instructions).  When IN_PORT_TO_TFIFO_MULT == 1, then there are 16 slow port
	// in our system.  So we must divide port by 2 to get which one of our 8 ports we
	// are processing, and then multiply this result by 4 (instructions).
	#if (IN_PORT_TO_TFIFO_MULT == 1)
		alu[_jump, 2, ~AND, in_port, <<1]
	#endif
	#if (IN_PORT_TO_TFIFO_MULT == 2)
		alu[_jump, --, b, in_port, <<2]
	#endif

	alu[_temp, --, b, in_buf_offset, >>3]
	#if (!isnum(in_top_buf_byte_offset))	; if in_top_buf_byte_offset is a gpr, save its value
		alu[_temp, _temp, or, in_top_buf_byte_offset, <<16]
	#endif
	alu_shf[_port_info, in_buf_offset, OR, in_bank, >>4]


	jump[_jump, save_0#],  
		targets[save_0#, save_1#, save_2#, save_3#, save_4#, save_5#, save_6#, save_7#],
		defer[3]
	//set sop bit because we failed to get tx_ready
	alu[_port_info, _port_info, OR, 1, <<SHIFT_FOR_SOP_BIT]
	alu_shf[_port_info, _port_info, OR, in_last_mpkt_byte_cnt, <<24]	; move from 5:0 to 29:24
	alu_shf[_port_info, _port_info, OR, in_ele_remaining, <<19]
save_0#:
	alu[out_abs_base_buffer_address0, --, b, _temp]
	br[end#], defer[1]
	alu[out_abs_port0_in_prog, --, B, _port_info]
	nop
save_1#:
	alu[out_abs_base_buffer_address1, --, b, _temp]
	br[end#], defer[1]
	alu[out_abs_port1_in_prog, --, B, _port_info]
	nop
save_2#:
	alu[out_abs_base_buffer_address2, --, b, _temp]
	br[end#], defer[1]
	alu[out_abs_port2_in_prog, --, B, _port_info]
	nop
save_3#:
	alu[out_abs_base_buffer_address3, --, b, _temp]
	br[end#], defer[1]
	alu[out_abs_port3_in_prog, --, B, _port_info]
	nop
save_4#:
	alu[out_abs_base_buffer_address4, --, b, _temp]
	br[end#], defer[1]
	alu[out_abs_port4_in_prog, --, B, _port_info]
	nop
save_5#:
	alu[out_abs_base_buffer_address5, --, b, _temp]
	br[end#], defer[1]
	alu[out_abs_port5_in_prog, --, B, _port_info]
	nop
save_6#:
	alu[out_abs_base_buffer_address6, --, b, _temp]
	br[end#], defer[1]
	alu[out_abs_port6_in_prog, --, B, _port_info]
	nop
save_7#:
	alu[out_abs_base_buffer_address7, --, b, _temp]
	alu[out_abs_port7_in_prog, --, B, _port_info]
end#:	
.endlocal
#endm








// tx_portinfo_update
//
// Description: <brief description>
//
// arguments:
//		out_abs_port0_in_prog
//		 through out_abs_port7_in_prog		- Absolute registers used to 
//											  save port state
//		in_port_info						- 31:26 status_byte 
//											  23:19 elements remaining
//											  18:16 bank	
//											  15:0 buf_offset 	
//		in_queue							- 8:4 port number
// 
// size: 36 instructions
// side effects: N/A
// see also: N/A
// example usage: 	tx_portinfo_update[@port0_in_prog, @port1_in_prog, @port2_in_prog, @port3_in_prog, 
//					  @port4_in_prog, @port5_in_prog, @port6_in_prog, @port7_in_prog,  
//					  port_info, queue, PORT_TO_TFIFO_MULT, PORT_INFO_SOP_BIT]	
//
#macro tx_portinfo_update[out_abs_port0_in_prog, out_abs_port1_in_prog, out_abs_port2_in_prog, out_abs_port3_in_prog, out_abs_port4_in_prog, out_abs_port5_in_prog, out_abs_port6_in_prog, out_abs_port7_in_prog, in_port_info, in_port, IN_PORT_TO_TFIFO_MULT, IN_PORT_INFO_SOP_BIT]	
.local _temp
#define_eval SHIFT_FOR_SOP_BIT IN_PORT_INFO_SOP_BIT

	#if (IN_PORT_TO_TFIFO_MULT == 1)
		alu[_temp, in_port, AND~, 1] 		; clear bit 0 
	#endif
	#if (IN_PORT_TO_TFIFO_MULT == 2)
		alu[_temp, --, b, in_port, <<1]
	#endif

	jump[_temp, update_0#], defer[3], 
		targets[update_0#, update_1#, update_2#, update_3#, update_4#, update_5#, update_6#, update_7#]
	alu_shf[in_port_info, in_port_info, -, 1, <<19]					; decrement elements remaining
	alu[in_port_info, in_port_info, +, 1]							; increment for next mpacket
	alu[in_port_info, in_port_info, AND~, 1, <<SHIFT_FOR_SOP_BIT]   ; clear sop bit

update_0#:
	br[end#], defer[1]
	alu[out_abs_port0_in_prog, --, B, in_port_info]
update_1#:
	br[end#], defer[1]
	alu[out_abs_port1_in_prog, --, B, in_port_info]
update_2#:
	br[end#], defer[1]
	alu[out_abs_port2_in_prog, --, B, in_port_info]
update_3#:
	br[end#], defer[1]
	alu[out_abs_port3_in_prog, --, B, in_port_info]
update_4#:
	br[end#], defer[1]
	alu[out_abs_port4_in_prog, --, B, in_port_info]
update_5#:
	br[end#], defer[1]
	alu[out_abs_port5_in_prog, --, B, in_port_info]
update_6#:
	br[end#], defer[1]
	alu[out_abs_port6_in_prog, --, B, in_port_info]
update_7#:
	alu[out_abs_port7_in_prog, --, B, in_port_info]
end#:	
.endlocal
#endm






// tx_gig_portinfo_restore	
//
// Description: Restore packet information (location and ammount of data) so that this 
//				thread can transmit the next mpacket.
//
// arguments:
//		out_port_info			- Gigabit port current status.  Format:
//									31:26 last mpacket valid byte count 
//									23:19 elements remaining
//									18:16 bank	
//									15:0 buf_offset 	
//		out_ele_remaining		- Mpackets remaining to be output for this packet
//		out_bank				- SDRAM bank
//		out_buf_offset			- Offset to packet data in memory
//		out_last_mpkt_byte_cnt	- byte enable for last mpacket
//		in_abs_fast_port_info	- Saved port info
//		in_bank_mask			- Mask used to determing the bank
//
// size: 6 instructions
// side effects: None
// see also: N/A
// example usage: 	tx_gig_portinfo_restore[port_info, ele_remaining, bank, buf_offset, 
//						 last_mpkt_byte_cnt, @fast_port_info, bank_mask]	
//	inputs:
#macro tx_gig_portinfo_restore[out_port_info, out_ele_remaining, out_bank, out_buf_offset, out_last_mpkt_byte_cnt, in_abs_fast_port_info, in_bank_mask, in_const_3f]

	alu[out_port_info, --, B, in_abs_fast_port_info]		
	alu[out_ele_remaining, 0x1f, AND, out_port_info, >>19]				; extract elements remaining
	br<=0[endm#]
	alu[out_bank, in_bank_mask, AND, out_port_info, <<4]
	alu[out_buf_offset, 0, +16, out_port_info]								; get next buf_offset
	alu[out_last_mpkt_byte_cnt, in_const_3f, AND, out_port_info, >>24]
endm#:
#endm


// tx_portinfo_restore	
//						
// Description:
//
// arguments:
//		out_port_info					- Gigabit port current status.  Format:
//											31:26 status_byte 
//											23:19 elements remaining
//											18:16 bank	
//											15:0 buf_offset 	
//		out_ele_remaining				- Mpackets remaining to be output for this packet
//		out_buf_offset					- Offset to packet data in memory
//		out_bank						- SDRAM bank
//		out_last_mpkt_byte_cnt			- byte enable for last mpacket
//		out_top_buf_byte_offset			- Offset from the top of mpacket buffer to the start
//										  of valid data.  This parameter should be an immediate
//									      value if this field is a don't care (will save 2 cycles)
//		in_bank_mask					- Mask used to determing the bank
//		in_port							- Which port to process
//      in_const_3f						- Constant
//		in_abs_port0_in_prog
//		 through in_abs_port15_in_prog	- Saved packet in progress data
//
// size: 40-42 instructions
// side effects: None
// see also: N/A
// example usage: tx_portinfo_restore[port_info, ele_remaining, buf_offset, bank, last_mpkt_byte_cnt, top_buf_byte_offset,
//					bank_mask, port, const_3f, @port0_in_prog, @port1_in_prog, 
//					@port2_in_prog, @port3_in_prog, @port4_in_prog, @port5_in_prog, 
//					@port6_in_prog, @port7_in_prog, @port0_buf_addr, @port1_buf_addr, @port2_buf_addr,
//					@port3_buf_addr, @port4_buf_addr, @port5_buf_addr, @port6_buf_addr,
//					@port7_buf_addr, ]
//
//	inputs:	queue		8:4 port number 
//	output: port_info	31:26 last_mpkt_byte_cnt 
//						23:19 elements remaining
//						18:16 bank	
//						15:0 buf_offset 	
//
#macro tx_portinfo_restore[out_port_info, out_ele_remaining, out_buf_offset, out_bank, out_last_mpkt_byte_cnt, out_top_buf_byte_offset, out_buffer_address_offset, in_bank_mask, in_port, in_const_3f, in_abs_port0_in_prog, in_abs_port1_in_prog, in_abs_port2_in_prog, in_abs_port3_in_prog, in_abs_port4_in_prog, in_abs_port5_in_prog, in_abs_port6_in_prog, in_abs_port7_in_prog, in_abs_port0_buf_addr, in_abs_port1_buf_addr, in_abs_port2_buf_addr, in_abs_port3_buf_addr, in_abs_port4_buf_addr, in_abs_port5_buf_addr, in_abs_port6_buf_addr, in_abs_port7_buf_addr, IN_PORT_TO_TFIFO_MULT]
.local _temp

	#if (IN_PORT_TO_TFIFO_MULT == 1)
		alu[_temp, 2, ~AND, in_port, <<1]	;clear bit 1
	#endif
	#if (IN_PORT_TO_TFIFO_MULT == 2)
		alu[_temp, --, b, in_port, <<2]
	#endif

	jump[_temp, restore_0#], 
		targets[restore_0#, restore_1#, restore_2#, restore_3#, restore_4#, restore_5#, restore_6#, restore_7#],
		defer[3]
	nop
	nop
	nop
restore_0#:
	alu[out_buffer_address_offset, --, b, in_abs_port0_buf_addr]
	br[end#], defer[1]
	alu[out_port_info, --, B, in_abs_port0_in_prog]
	nop
restore_1#:
	alu[out_buffer_address_offset, --, b, in_abs_port1_buf_addr]
	br[end#], defer[1]
	alu[out_port_info, --, B, in_abs_port1_in_prog]
	nop
restore_2#:
	alu[out_buffer_address_offset, --, b, in_abs_port2_buf_addr]
	br[end#], defer[1]
	alu[out_port_info, --, B, in_abs_port2_in_prog]
	nop
restore_3#:
	alu[out_buffer_address_offset, --, b, in_abs_port3_buf_addr]
	br[end#], defer[1]
	alu[out_port_info, --, B, in_abs_port3_in_prog]
	nop
restore_4#:
	alu[out_buffer_address_offset, --, b, in_abs_port4_buf_addr]
	br[end#], defer[1]
	alu[out_port_info, --, B, in_abs_port4_in_prog]
	nop
restore_5#:
	alu[out_buffer_address_offset, --, b, in_abs_port5_buf_addr]
	br[end#], defer[1]
	alu[out_port_info, --, B, in_abs_port5_in_prog]
	nop
restore_6#:
	alu[out_buffer_address_offset, --, b, in_abs_port6_buf_addr]
	br[end#], defer[1]
	alu[out_port_info, --, B, in_abs_port6_in_prog]
	nop
restore_7#:
	alu[out_buffer_address_offset, --, b, in_abs_port7_buf_addr]
	alu[out_port_info, --, B, in_abs_port7_in_prog]
end#:	

	alu[out_ele_remaining, 0x1f, AND, out_port_info, >>19]		; extract elements remaining
	alu[out_bank, in_bank_mask, AND, out_port_info, <<4]
	ld_field_w_clr[out_buf_offset, 0011, out_port_info]
	alu[out_last_mpkt_byte_cnt, in_const_3f, AND, out_port_info, >>24]

	// if out_top_buf_byte_offset is a gpr, then set it.  if out_top_buf_byte_offset not a gpr, then
	// out_buffer_address_offset was saved corectly, and doesn't need to be modified
	#if (!isnum(out_top_buf_byte_offset))	
		ld_field_w_clr[_temp, 0011, out_buffer_address_offset]
		alu[out_buffer_address_offset, --, b, _temp]
		ld_field_w_clr[out_top_buf_byte_offset, 0011, out_buffer_address_offset, >>16]
	#endif

.endlocal
#endm



// tx_gig_portinfo_update								
//
// Description: This macro decrement elements remaining in port_info 
//				and saves it in an absolute port in progress register
//
// arguments:
// 		in_port_info			- Port into that is to be updated and stored in abs reg
//		in_const_1				- Need register to do add with abs reg
//		out_abs_fast_port_info	- Updated and saved output port info
//
// size: 2 instructions
//
// side effects: in_const_1 can not be an immediate value.
// see also: N/A
// example usage: 	tx_gig_portinfo_update[port_info, const_1, @fast_port_info]	
//
//	
//
//	inputs:	
//			port_info	31:26 status_byte 
//						23:19 elements remaining
//						18:16 bank	
//						15:0 buf_offset 	
//
#macro tx_gig_portinfo_update[in_port_info, in_const_1, out_abs_fast_port_info]	
	alu_shf[in_port_info, in_port_info, -, 1, <<19]				; decrement elements remaining
	alu[out_abs_fast_port_info, in_port_info, +, in_const_1]	; increment buf_offset by 1
#endm



// tx_last_mpkt_xfr
//
// Description: Transfer the last mpacket of a packet to a tfifo element.  This macro
//				uses the input status_byte to determine how many of the 64 possible
//				bytes are valid data.  This macro supports dual valid bit functionality .
// arguments:
//		in_bank						- SDRAM section that the packet resides
//		in_buf_offset				- Offset from packet buffer base address to our mpacket
//		in_last_mpkt_byte_cnt		- valid byte count
//      in_start_byte_offset		- Offset from the top of the data buffer to the first valid byte
//							  			of data.  An immediate value of 0 should be used for this 
//							 			field whenever possible, as it results in this macro 
//							 			expanding into fewer lines of code.
//		in_tfifo_entry				- Where the mpacket is to be transfered.
//		in_bit20on					- Constant 
//		in_bit20_15on				- Constant
//		in_pkt_buffer_base			- base address of packet data in SDRAM
//		CONST_SDRAM_VALIDATE_FLAG	- Immediate value used to support dual validate functionality.
//
// size: 9 instructions
// side effects: The transfer from SDRAM to the tfifo generates an SDRAM signal when the
//				 transfer is complete.  In dual validate mode, this signal is used by the
//				 transmit hardware and is ignored by this thread.  When we are running in single
//				 validate mode the SDRAM signal is ctx_arb'ed on in the tfifo_validate macro.
// see also: tfifo_validate macro
// example usage: tx_last_mpkt_xfr[bank, buf_offset, last_byte_cnt, top_buff_offset, tfifo_entry,
//							 bit20on, bit20_15on, pkt_buffer_base, SDRAM_VALIDATE]
//
#macro tx_last_mpkt_xfr[in_bank, in_buf_offset, in_last_mpkt_byte_cnt, in_start_byte_offset, in_tfifo_entry, in_bit20on, in_bit20_15on, in_pkt_buffer_base, CONST_SDRAM_VALIDATE_FLAG]
.local _indirect _qw_offset tlm_byte_cnt tlm_byte_allign
	alu_shf[_qw_offset, in_bank, OR, in_buf_offset, <<3]
	#if (isnum(in_start_byte_offset))		; if in_start_byte_offset is an immediate value
		#if (in_start_byte_offset != 0)		; if the immediate value is not 0
			immed32[tlm_byte_cnt, in_start_byte_offset]					; move the immed into a gpr
			alu_shf[_qw_offset, _qw_offset, +, tlm_byte_cnt, >>3]		; offset using start_byte_offset
		#endif		; if the immed = 0, then do nothing
	#else	; if in_start_byte_offset is a gpr
		alu_shf[_qw_offset, _qw_offset, +, in_start_byte_offset, >>3]	; offset using start_byte_offset
	#endif


	alu[_indirect, 0x7, AND, in_last_mpkt_byte_cnt, >>3]		; divide by 8 for conversion to quadwords
	#if (CONST_SDRAM_VALIDATE_FLAG == 1)
		#if (VERSION_MIN == 0)									; will not work on A3 chip
			#error 3 "Dual validate not supported on chip version 0"
		#endif
		alu[_indirect, in_bit20_15on, OR, _indirect, <<16]	; place quadword count in 19:16
	#else
		alu[_indirect, in_bit20on, OR, _indirect, <<16]		; place quadword count in 19:16
	#endif

	#if (isnum(in_start_byte_offset))		; if in_start_byte_offset is an immediate value
		#if (in_start_byte_offset != 0)		; if the immediate value is not 0
			alu[tlm_byte_allign, 0x7, and, tlm_byte_cnt]			; only look at bottom 3 bits
			alu_shf[_indirect, _indirect, OR, tlm_byte_allign, <<12]; put byte allignment in 14:12
		#endif			; do nothing if the immediate = 0
	#else		; in_start_byte_offset is a GPR
		alu[tlm_byte_allign, 0x7, and, in_start_byte_offset]			; only look at bottom 3 bits
		alu_shf[_indirect, _indirect, OR, tlm_byte_allign, <<12]		; put byte allignment in 14:12
	#endif

	alu_shf[--, _indirect, OR, in_tfifo_entry, <<7]			; put element no. in 10:7
	sdram[t_fifo_wr, --, in_pkt_buffer_base, _qw_offset, 8], indirect_ref, priority, sig_done	; transfer to tfifo, sig done
.endlocal
#endm



// tx_mpkt_xfr
//
// Description: This macro transfers one mpacket (64 bytes) from SDRAM to a 
//				TFIFO element.
// arguments:
//      in_start_byte_offset- Offset from the top of the data buffer to the first valid byte
//							  of data.  An immediate value of 0 should be used for this 
//							  field whenever possible, as it results in this macro 
//							  expanding into fewer lines of code.
//		in_bank				- Section of SDRAM that the data resides
//		in_buf_offset		- Offset from the base address
//		in_tfifo_entry		- Where the data should be written.  Valid values: 0 - 15.
//		in_bit20_15on		- Constant
//		in_bit20			- Constant
//		in_pkt_buffer_base	- Base SDRAM address of the packet buffer
//		IN_NUM_OF_8_BYTE_XFERS - Number of 8 byte xfers. Min = 1 (8 bytes), max = 8 (64 bytes)
//
// size: 8 instructions
// side effects: The transfer from SDRAM to the tfifo generates an SDRAM signal when the
//				 transfer is complete.  In dual validate mode, this signal is used by the
//				 transmit hardware and is ignored by this thread.  When we are running in single
//				 validate mode the SDRAM signal is ctx_arb'ed on in the tfifo_validate macro.
// see also: tfifo_validate macro
// example usage: tx_mpkt_xfr[start_byte_offset ,bank, buf_offset, tfifo_entry, bit20_15on, bit20on, pkt_buffer_base, 8]
//				
#macro tx_mpkt_xfr[in_start_byte_offset, in_bank, in_buf_offset, in_tfifo_entry, in_bit20_15on, in_bit20on, in_pkt_buffer_base, IN_NUM_OF_8_BYTE_XFERS]
.local _indirect _qw_offset tmx_byte_cnt tmx_byte_allign

	alu_shf[_qw_offset, in_bank, OR, in_buf_offset, <<3]

	#if (isnum(in_start_byte_offset))		; if in_start_byte_offset is an immediate value
		#if (in_start_byte_offset != 0)		; if the immediate value is not 0
			immed32[tmx_byte_cnt, in_start_byte_offset]					; move the immed into a gpr
			alu_shf[_qw_offset, _qw_offset, +, tmx_byte_cnt, >>3]		; offset using start_byte_offset
		#endif		; if the immed = 0, then do nothing
	#else	; if in_start_byte_offset is a gpr
		alu_shf[_qw_offset, _qw_offset, +, in_start_byte_offset, >>3]	; offset using start_byte_offset
	#endif

	#ifdef SDRAM_VALIDATE
		alu[_indirect, in_bit20_15on, OR, 7, <<16]			; place quadword count 7 in 19:16
	#else
		alu[_indirect, in_bit20on, OR, 7, <<16]				; place quadword count 7 in 19:16
	#endif
	alu_shf[_indirect, _indirect, OR, in_tfifo_entry, <<7]			; put element no. in 10:7

	#if (isnum(in_start_byte_offset))		; if in_start_byte_offset is an immediate value
		#if (in_start_byte_offset != 0)		; if the immediate value is not 0
			alu[tmx_byte_allign, 0x7, and, tmx_byte_cnt]			; only look at bottom 3 bits
			alu_shf[_indirect, _indirect, OR, tmx_byte_allign, <<12]; put byte allignment in 14:12
		#endif			; do nothing if the immediate = 0
	#else		; in_start_byte_offset is a GPR
		alu[tmx_byte_allign, 0x7, and, in_start_byte_offset]			; only look at bottom 3 bits
		alu_shf[_indirect, _indirect, OR, tmx_byte_allign, <<12]		; put byte allignment in 14:12
	#endif

	sdram[t_fifo_wr, --, in_pkt_buffer_base, _qw_offset, IN_NUM_OF_8_BYTE_XFERS], indirect_ref, priority, sig_done	; transfer to tfifo, sig done
.endlocal
#endm




// tx_buf_free
//
// Description: This macro is used to calculate the starting address of a 
//				buffer, and then push the buffer onto the freelist.
//
// arguments:
//		in_buf_offset			- (Offset * 8) from SRAM base buffer address of element to be pushed. 
//		in_bank					- SDRAM memory section that the buffer resides
//		in_bit20on				- Constant
//		in_buf_descriptor_base	- SRAM base address of buffers
//
// size: 3 instructions 
// side effects: N/A
// see also: N/A
// example usage:	tx_buf_free[buf_offset, bank, bit20on, buf_descriptor_base]
//
#macro tx_buf_free[in_buf_offset, in_bank, in_bit20on, in_buf_descriptor_base]
.local _descriptor_ptr
	alu[_descriptor_ptr, --, b, in_buf_offset]					; in_buf_offset can be absolute address
	alu[_descriptor_ptr, --, b, _descriptor_ptr, >>3]
	alu_shf[--, in_bit20on, OR, in_bank, >>4]					; merge ov bit with freelist id/bank
	sram[push, --, _descriptor_ptr, in_buf_descriptor_base, 0], indirect_ref
.endlocal
#endm


// tx_ll_buf_free
//
// Description: This macro is used to push a packet buffer onto the freelist.
//				The input queue descriptor is a linked list descriptor.
//
// arguments:
//		in_queue_descriptor		- Relative buffer address to be pushed onto freelist.
//								  Value can be offset from the right through use of IN_RIFHT_SHIFT
//		in_bit20on				- Constant
//		in_bank					- SDRAM memory section that the buffer resides
//		in_buf_descriptor_base	- SRAM base address of buffers
//		IN_RIGHT_SHIFT			- in_queue_descriptor is shifted by this amount before being pushed
//
// size: 3 instructions 
// side effects: N/A
// see also: N/A
// example usage:	#macro tx_ll_buf_free[queue_descriptor0, bit20on, bank, buf_descriptor_base, 
//								16]

//
#macro tx_ll_buf_free[in_queue_descriptor, in_bit20on, in_bank, in_buf_descriptor_base, IN_RIGHT_SHIFT]
.local _descriptor_ptr _temp
#define_eval RIGHT_SHIFT_AMT IN_RIGHT_SHIFT
	#if (IN_RIGHT_SHIFT != 0)
		alu_shf[_descriptor_ptr, 0, B, in_queue_descriptor, >>RIGHT_SHIFT_AMT]	; relative address
		alu_shf[--, in_bit20on, OR, in_bank, >>4]				; merge ov bit with freelist id/bank
		sram[push, --, _descriptor_ptr, in_buf_descriptor_base, 0], indirect_ref
	#else ; IN_RIGHT_SHIFT == 0, so save one instruction
		alu_shf[--, in_bit20on, OR, in_bank, >>4]				; merge ov bit with freelist id/bank
		sram[push, --, in_queue_descriptor, in_buf_descriptor_base, 0], indirect_ref
	#endif
.endlocal
#endm


// tx_head_read
//
// Description: This macro reads the next packet descriptor from a circular
//				buffer head	pointer.  
// arguments:
//		out_xfr_packet_link0		- First of two consecutive xfer regs.
//									  Link0 is currently not used.  Link1
//									  contains: 7:0 ele_remaining, 15:8 status
//									  and 22:20 bank
//		io_abs_head_ptr				- Pointer to the head of the queue
//		in_queue_descriptor_base	- Base address of descriptors
//		in_const_1					- Constant
// 
// size: 3 instructions 
// side effects: out_xfr_packet_link 0 must be the first of two consecutive
//				 SRAM xfer registers.
// see also: N/A
// example usage: 	tx_head_read[out_xfr_packet_link0, @head_ptr_q0, 
//									in_queue_descriptor_base, in_const_1]
//
#macro tx_head_read[out_xfr_packet_link0, io_abs_head_ptr, in_queue_descriptor_base, in_const_1]
.local _head_ptr
	alu[_head_ptr, in_const_1, +8, io_abs_head_ptr]						; start at 1
	sram[read, out_xfr_packet_link0, in_queue_descriptor_base, _head_ptr, 2],
					optimize_mem, ctx_swap, defer[1]					; read packet_link 2 words get next head, status 
	alu[io_abs_head_ptr, in_const_1, +8, _head_ptr]						; increment head ptr
.endlocal
#endm

// tx_packetlink_read
//
// Description: This macro selects the correct priority queue and then
//				reads the head pointer.
// arguments:
//		out_buf_offset
//		out_xfr_packet_link0		- First of two consecutive xfer regs.
//									  Link0 contains head and tail pointer.  
//		out_xfr_packet_link1		- Link1 contains: 7:0 ele_remaining, 
//									  15:8 status and 22:20 bank
//		out_ele_remaining			- Number of packets in the queue
//		out_bank					- SDRAM memory bank data is stored in
//		out_last_byte_cnt			- Contains valid byte count for eop mpacket.
//		in_bank_mask				- Mask used to determine out_bank
//		in_const_3f					- Constant
//		in_queue					- Priority queue that is to be read. Valid values: 0..7
//		in_const_x38				- Constant
//		in_queue_descriptor_base	- Base address of queue descriptors 
//		in_const_1					- Constant
//
// size: 32 instructions
// side effects: N/A
// see also: N/A
// example usage: tx_packetlink_read[buf_offset, $packet_link0, $packet_link1,
//								 ele_remaining, bank, orig_status_byte, 	
//								bank_mask, const_fc_x256, queue, const_x38, 
//								queue_descriptor_base, const_1]	
//
#macro	tx_packetlink_read[out_buf_offset, out_xfr_packet_link0, out_xfr_packet_link1, out_ele_remaining, out_bank, out_last_byte_cnt, in_bank_mask, in_const_3f, in_queue, in_const_x38, in_queue_descriptor_base, in_const_1]	
// note: @head_ptr_q0 through @head_ptr_q8 should only be used inside this macro, so they are not
//	passed in as parameters.

#define_eval SHIFT_RT_AMT (DESC1_FREELIST - BANK_OFFSET)	; DESC1_FREELIST is defined in packetq.uc
#define_eval SHIFT_LT_AMT (BANK_OFFSET - DESC1_FREELIST)

.local _temp


	alu[_temp, in_const_x38, AND, in_queue, <<2]			; queue select == 3:1, jump target is 8 insns
	jump[_temp, read_pl#], 
		targets[read_head0#, read_head1#, read_head2#,read_head3#, read_head4#,
				read_head5#, read_head6#, read_head7#], 
		defer[3]
	nop
	nop
	nop
read_pl#:
read_head0#:
	tx_head_read[out_xfr_packet_link0, @head_ptr_q0, in_queue_descriptor_base, in_const_1]
	br[read_pl_end#], defer[1]
	alu_shf[out_buf_offset, 0, +16, out_xfr_packet_link0, <<3]
read_head1#:
	tx_head_read[out_xfr_packet_link0, @head_ptr_q1, in_queue_descriptor_base, in_const_1]
	br[read_pl_end#], defer[1]
	alu_shf[buf_offset, 0, +16, out_xfr_packet_link0, <<3]
read_head2#:
	tx_head_read[out_xfr_packet_link0, @head_ptr_q2, in_queue_descriptor_base, in_const_1]
	br[read_pl_end#], defer[1]
	alu_shf[buf_offset, 0, +16, out_xfr_packet_link0, <<3]
read_head3#:
	tx_head_read[out_xfr_packet_link0, @head_ptr_q3, in_queue_descriptor_base, in_const_1]
	br[read_pl_end#], defer[1]
	alu_shf[buf_offset, 0, +16, out_xfr_packet_link0, <<3]
read_head4#:
	tx_head_read[out_xfr_packet_link0, @head_ptr_q4, in_queue_descriptor_base, in_const_1]
	br[read_pl_end#], defer[1]
	alu_shf[buf_offset, 0, +16, out_xfr_packet_link0, <<3]
read_head5#:
	tx_head_read[out_xfr_packet_link0, @head_ptr_q5, in_queue_descriptor_base, in_const_1]
	br[read_pl_end#], defer[1]
	alu_shf[buf_offset, 0, +16, out_xfr_packet_link0, <<3]
read_head6#:
	tx_head_read[out_xfr_packet_link0, @head_ptr_q6, in_queue_descriptor_base, in_const_1]
	br[read_pl_end#], defer[1]
	alu_shf[buf_offset, 0, +16, out_xfr_packet_link0, <<3]
read_head7#:
	tx_head_read[out_xfr_packet_link0, @head_ptr_q7, in_queue_descriptor_base, in_const_1]
	alu_shf[buf_offset, 0, +16, out_xfr_packet_link0, <<3]
read_pl_end#:

	ld_field_w_clr[out_ele_remaining, 0001, out_xfr_packet_link1, >>DESC1_ELE_COUNT]
	#if (SHIFT_RT_AMT < 0)	; figure out which way to shift packet_link1 to get bank mask into bits BANK_OFFSET
		alu[out_bank, in_bank_mask, AND, out_xfr_packet_link1, <<SHIFT_LT_AMT]
	#else 
		alu[out_bank, in_bank_mask, AND, out_xfr_packet_link1, >>SHIFT_RT_AMT]
	#endif
	alu[out_last_byte_cnt, in_const_3f, AND, out_xfr_packet_link1, >>DESC1_PKT_END_BYTE]

#undef SHIFT_RT_AMT
#undef SHIFT_LT_AMT





.endlocal
#endm


// tx_que_cnt_incr
//
// Description: This macro increments the memeory location that keeps
//				track of the number of mpackets enqueued for transmit
//				on fast port 1 and fast port 2.
//
// arguments:
//		FAST_PORT_QUEUE			- Port number.  Must be 1 or 2
//		XMIT_FPORT1_ELE_COUNT	- Scratch memory addres of fast port 1 counter
//		XMIT_FPORT2_ELE_COUNT	- Scratch memory addres of fast port 2 counter
//
// size: 6 instructions
// side effects: None
// see also: N/A
// example usage: tx_que_cnt_incr[FAST_PORT_QUEUE, XMIT_FPORT1_ELE_COUNT, XMIT_FPORT2_ELE_COUNT]
//
#macro tx_que_cnt_incr[FAST_PORT_QUEUE, XMIT_FPORT1_ELE_COUNT, XMIT_FPORT2_ELE_COUNT]
.local _temp
	// Increment mpacket count so that scheduler will schedule another mpacket for this port
	.if (FAST_PORT_QUEUE==1)
		immed[_temp, XMIT_FPORT1_ELE_COUNT]					; use address for queue #1
	.else
		immed[_temp, XMIT_FPORT2_ELE_COUNT]					; use address for queue #2
	.endif
	scratch [incr, --, _temp, 0, 1]							; increment the current count
.endlocal
#endm



// tx_status_set
//
// Description: This macro is used to set the transmit status control word.
//				The output register can be a GP or absolute.
//
// arguments:
//		out_status_byte 		- Output regester containing tfifo control word
//									bit		Field Name
//									6:0		Port number
//									7		Tx error
//									8		SOP
//									9		EOP
//									15:10	valid byte count
//		in_last_mpkt_byte_cnt	- Packet valid bits
//		BITS_TO_SET				- Bit mask for bits to be set in out_status_byte >> 8
//								  typically used to set sop and eop using immediate value
//								  e.g. A BITS_TO_SET value of 0x1 will set bit 8.
//		PORT_NUM				- Output port number.
// 
// size: 3 instructions 
// side effects: N/A
// see also: N/A
// example usage: 	tx_status_set[$tfifo_ctl_wd0, 0xfc, const_0, PORT_NUM]
//
#macro tx_status_set[out_status_byte, in_last_mpkt_byte_cnt, BITS_TO_SET, PORT_NUM]
.local _bits_to_set _temp
	#if (BITS_TO_SET > 32)
		immed32[_bits_to_set, BITS_TO_SET]
		alu_shf[_temp, _bits_to_set, OR, in_last_mpkt_byte_cnt, <<2]	; use temp so that out_status_byte can be a xfer reg
	#else
		alu_shf[_temp, BITS_TO_SET, OR, in_last_mpkt_byte_cnt, <<2]
	#endif
	alu_shf[out_status_byte, PORT_NUM, OR, _temp, <<8]
.endlocal
#endm


// tx_ether100m_init
//
// Description: This macro performs register initialization for the ethernet
//				8 100 MBit port scheduler.  The scheduler can run in either
//				the even or odd FBox.
//
// arguments:
//		out_abs_target_element	- Next TFIFO element to be filled by this microengine
//		out_pwp_addr			- Address of ports with packets (pwp) vector.  pwp is
//								  used for communicating between rx and tx.
//		IN_CONST_FID			- Fbox, or microengine, ID
//		IN_CONST_PWP_VECTOR		- Address of pwp vector.
//
// size: 7 instructions
// side effects: N/A
// see also:N/A
// example usage: 	tx_ether100m_init[target_port, pwp_addr, FID, XMIT_PWP_VECTOR]
//
#macro tx_ether100m_init[out_abs_target_element, out_pwp_addr, IN_CONST_FID, IN_CONST_PWP_VECTOR]

	// init target port based on FID - ports are mapped to fifo elements
	_tx_fifo_elem_init[out_abs_target_element, IN_CONST_FID]	;

	immed[out_pwp_addr, IN_CONST_PWP_VECTOR]	; initialize ports with packets hardware address

#endm


// tx_100m_assign
//
// Description: This macro makes work assignments to the 3 fill threads of this 
//				microengine.  Slow ports are mapped directly to tfifo elements,
//				so if the target port has no packets, then the fill thread
//				is given a skip assignment.  When the fill thread executes
//				a skip assignment it forces the HW to skip a tfifo element
//				without transmitting any data from the tfifo element onto the 
//				IX bus.
//
// arguments:
//		io_target_port		- Next port to be assigned to a fill thead
//		io_abs_assign		- Absolute register used to communiciate with fill thread
//								3:0 are output port number
//		in_pwp				- Ports with packets vector
//		CONST_SKIP_BIT		- Bit which, when set, indicates skip assignment.
//		CONST_PORT_INCR		- The target port is incremented by this amount
//		CONST_PORT_MASK		- Mask used on the PWP vector
//
// size: 13 instructions
// side effects: N/A
// see also: N/A
// example usage: 		tx_100m_assign[target_port, @assign1, pwp, 
//										SKIP_BIT, PORT_INCR, PORT_MASK]
//
#macro tx_100m_assign[io_target_port, io_abs_assign, in_pwp, IN_CONST_SKIP_BIT, CONST_PORT_INCR, CONST_PORT_MASK]
#define_eval BIT_TO_SET IN_CONST_SKIP_BIT
.local _new_assignment _new_target_port

	alu[_new_target_port, io_target_port, +, CONST_PORT_INCR]	; indirect.  Also increment for next packet
	alu[--, 1, AND, in_pwp, >>indirect]							; if not port with packet, set skip
	br>0[tx_assign#], defer[1], guess_branch

	alu[_new_assignment, --, B, io_target_port]			; tell fill thread which port to process 
	// optional: put queue select in 3:1
	alu[_new_assignment, _new_assignment, OR, 1, <<BIT_TO_SET]	; no data for this port.  skip fifo elem.

tx_assign#:
	sem_wait[io_abs_assign]						; wait for fill thread to process last assignment
	move[io_abs_assign, _new_assignment]					; 
	alu[io_target_port, _new_target_port, AND, CONST_PORT_MASK] ; only process ports assigned to this fbox

.endlocal
#endm


// tx_100m_fill_init
//
// Description: This macro is the 100 MBit transmit fill start up initialization
//				routine.
//
// arguments:
//		out_queue_descriptor_base			- Base address of queue descriptors
//		out_pkt_buffer_base					- Packet buffer base address
//		out_buf_descriptor_base				- Descriptors base address
//		out_xfr_tfifo_ctl_wd1				- Initialized to 0
//		out_bank_mask						- Mask used to determine bank
//		out_port0_in_prog through			
//			out_port7_in_prog				- registers containing ports 0 through 7's state
//		out_pwp_addr						- Address in Scratch of Ports With Packets vector
//		out_const_0							- Constant
//		out_skip_bit_on						- Register that has bit set that indicats skip assignment
//		out_const_3f						- Constant
//		out_bit15on							- Constant
//		out_bit20on							- Constant
//		out_bit20_15on						- Constant
//		CONST_SRAM_QUEUE_DESCRIPTOR_BASE	- SRAM queue descriptor base
//		CONST_SDRAM_PKT_BUFFER_BASE			- SDRAM packet buffer base address
//		CONST_SRAM_BUFF_DESCRIPTOR_BASE		- Base address of buff descriptors
//		CONST_XMIT_PWP_VECTOR				- Scratch address of ports with packets vector
//		CONST_SKIP_BIT_SET					- Bit set indicating skip assignment
//		CONST_THREAD_1						- Thread id of thread 1 in this FBox
// 
// size: instruction count
// side effects: N/A
// see also: N/A
// example usage: 	tx_100m_fill_init[queue_descriptor_base, pkt_buffer_base, buf_descriptor_base,	
//						$tfifo_ctl_wd1, bank_mask, @port0_in_prog, @port1_in_prog, 
//						@port2_in_prog, @port3_in_prog, @port4_in_prog, @port5_in_prog, 
//						@port6_in_prog, @port7_in_prog, pwp_addr, const_0, skip_bit_on, 
//						const_3f, bit15on, bit20on, bit20_15on, SRAM_QUEUE_DESCRIPTOR_BASE, 
//						SDRAM_PKT_BUFFER_BASE, SRAM_BUFF_DESCRIPTOR_BASE, 
//						XMIT_PWP_VECTOR, SKIP_BIT_SET, THREAD1]
//
#macro tx_100m_fill_init[out_queue_descriptor_base, out_pkt_buffer_base, out_buf_descriptor_base, out_xfr_tfifo_ctl_wd1, out_bank_mask, out_port0_in_prog, out_port1_in_prog, out_port2_in_prog, out_port3_in_prog, out_port4_in_prog, out_port5_in_prog, out_port6_in_prog, out_port7_in_prog, out_pwp_addr, out_const_0, out_skip_bit_on, out_const_3f, out_bit15on, out_bit20on, out_bit20_15on, CONST_SRAM_QUEUE_DESCRIPTOR_BASE, CONST_SDRAM_PKT_BUFFER_BASE, CONST_SRAM_BUFF_DESCRIPTOR_BASE, CONST_XMIT_PWP_VECTOR, CONST_SKIP_BIT_SET, CONST_THREAD_1]
.local _temp $$_xfer0 $$_xfer1 out_bank
.xfer_order $$_xfer0 $$_xfer1

	immed32[out_queue_descriptor_base, CONST_SRAM_QUEUE_DESCRIPTOR_BASE]
    immed32[out_pkt_buffer_base, CONST_SDRAM_PKT_BUFFER_BASE]
	immed32[out_buf_descriptor_base, CONST_SRAM_BUFF_DESCRIPTOR_BASE]
	immed[out_xfr_tfifo_ctl_wd1, 0]										; second status word always 0
	alu_shf[out_bank_mask, --, B, 3, <<20]							; bank_mask - 21:20
	immed[out_port0_in_prog, 0]					; for long packet, hold port info
	immed[out_port1_in_prog, 0]
	immed[out_port2_in_prog, 0]
	immed[out_port3_in_prog, 0]
	immed[out_port4_in_prog, 0]
	immed[out_port5_in_prog, 0]
	immed[out_port6_in_prog, 0]
	immed[out_port7_in_prog, 0]


	immed32[out_pwp_addr, CONST_XMIT_PWP_VECTOR]				; scratch location for ports with packets queued
	immed[out_const_0, 0]
	immed32[out_skip_bit_on, CONST_SKIP_BIT_SET]
	immed[out_const_3f, 0x3f]
	alu_shf[out_bit15on, --, B, 1, <<15]				; setup indirect ov bit to save a cycle
	alu_shf[out_bit20on, --, B, 1, <<20]				; setup indirect ov bit to save a cycle
	alu_shf[out_bit20_15on, bit20on, or, bit15on]
	
	alu[_temp, --, b, 1]			; if FID is odd, then bank = 1<<20.  else bank = 0.
	alu[_temp, _temp, AND, FID]				
	alu[out_bank, --, b, _temp, <<20]

	immed[$$_xfer0, 0]				; initialize packet buffer base
	immed[$$_xfer1, 0]
	sdram[write, $$_xfer0, out_pkt_buffer_base, out_bank, 1]

	br=ctx[2, endm#]						; if ctx 2, goto end
	br=ctx[3, endm#]						; if ctx 3, goto end
	fast_wr[CONST_THREAD_1, inter_thd_sig] 	; signal self - need this to do first fifo validate
endm#:
.endlocal
#endm


// tx_assignment_read
//
// Description: This macro waits for an assignment for the tx scheduler. When
//				an assignment is received this macro sets the output queue, 
//				skip flag, and tfifo element.  The absolute register that 
//				is used for communication with the scheduler is then flipped
//				so that the scheduler can make another assignment to this thread.
//
// arguments:
//		out_queue					- 8 = skip bit, 7:4 = output port, 3:0 = queue
//		out_skip_flag				- Skip TFIFO element command flag
//		out_tfifo_entry				- Transmit FIFO element that we are assigned
//		io_abs_assign				- 8 = skip bit, 7:4 = output port, 3:0 = queue
//		in_const_0					- Constant
//		in_skip_bit					- Constant with bit 8 set
//		CONST_PORT_TO_TFIFO_MULT	- Target port times this constant = tfifo element
//									  This design supports two possible values for this constant.
//									  For 16 port design, port to tfifo mult = 1. 
//									  ie port 3 is mapped to tfifo element 3
//       							  For 8_1f design, port to tfifo mult = 2. 
//									  ie port 3 is mapped to tfifo element 6
//
// size: 7 instructions
// side effects: None.
// see also: N/A
// example usage: 	tx_assignment_read[queue, skip_flag, tfifo_entry, @assign1, 
//										const_0, skip_bit_on, PORT_TO_TFIFO_MULT]
//
#macro tx_assignment_read[out_queue_offset, out_port, out_skip_flag, out_tfifo_entry, io_abs_assign, in_const_0, in_skip_bit, CONST_PORT_TO_TFIFO_MULT]

#define_eval FIFO_ENTRY_OFFSET CONST_PORT_TO_TFIFO_MULT - 1

wait_for_assignment#:
	ctx_arb[voluntary]											; let other threads go
	alu[--, --, b, io_abs_assign]
	br<0[wait_for_assignment#], defer[2]				; defer[2] in the assumption that we have an assignment

	alu[out_port, in_const_0, +4, io_abs_assign]	   			; peal off port number 
	alu[out_skip_flag, io_abs_assign, AND, in_skip_bit]			; set skip flag
	alu[out_tfifo_entry, 0, +4, out_port, <<FIFO_ENTRY_OFFSET]	; limit tfifo_entry to 4 bits
	alu[out_queue_offset, --, b, out_port, <<4]				; each port
#endm



// tx_packetlinklist_read
// Description: When the last packet has been completely transfered to the TFIFO
//				this macro is used to get the info on the next packet that is to be
//				transmitted.
//
// arguments:
//		out_xfr_queue_descriptor0	- linked list desscriptor
//								 	  31:16 head ptr.  15:0 tail ptr
//		out_xfr_queue_descriptor1	- Packet count
//		out_head_ptr				- Pointer to the oldest packet in the linked list
//		out_xfr_packet_link0		- First of two consecutive xfer regs.
//									  Link0 is currently not used.  Link1
//									  contains: 7:0 ele_remaining, 15:8 status
//									  and 22:20 bank
//		out_xfr_packet_link1		- Link1 contains: 7:0 ele_remaining, 
//									  15:8 status and 22:20 bank
//		out_tail_ptr				- Pointer to the newest packet in the linked list
//		out_ele_remaining			- Packets in queue
//		out_bank					- SDRAM memory section that packet is in
//		out_buf_offset				- Offset from base address
//		out_last_byte_cnt			- Contains valid byte count for eop mpacket
//		out_start_byte_offset		- Byte offset from top of buffer
//									  to start of data.  If the user of this macro does not
//									  care about this field (i.e. the valid data always starts
//									  at the top of the buffer), then an immediate value should be
//									  passed in (not a GPR), and a cycle will be saved.
//		in_queue_descriptor_base	- Base address of queue descriptors
//		in_queue_offset				- Offset from base address to our descriptor
//		in_buf_descriptor_base		- Base address of buf descriptors
//		in_bank_mask				- Mask used to determine bank of SDRAM that 
//									  the packet resides
//		in_const_3f					- Constant
// 
// size: 8 instructions
// side effects: This macro performs a read_lock on sram which is not unlocked
//				 by this macro.  
// see also: tx_packetlink_update macro for the sram_unlock
// example usage: <use of macro in a line of code>
//
#macro	tx_packetlinklist_read[out_xfr_queue_descriptor0, out_xfr_queue_descriptor1, out_head_ptr, out_xfr_packet_link0, out_xfr_packet_link1, out_tail_ptr, out_ele_remaining, out_bank, out_buf_offset, out_last_byte_cnt, out_start_byte_offset, in_queue_descriptor_base, in_queue_offset, in_buf_descriptor_base, in_bank_mask, in_const_3f]

#define_eval SHIFT_RT_AMT (DESC1_FREELIST - BANK_OFFSET)	; DESC1_FREELIST is defined in packetq.uc
#define_eval SHIFT_LT_AMT (BANK_OFFSET - DESC1_FREELIST)

	sram[read_lock, out_xfr_queue_descriptor0, in_queue_descriptor_base, 
			in_queue_offset, 2], priority, ctx_swap			; read the queue descriptor 2 words

	alu_shf[out_head_ptr, --, B, out_xfr_queue_descriptor0, >>16]		; isolate next packet link
	alu_shf[out_buf_offset, 0, +16, out_xfr_queue_descriptor0, >>13]	; relative ele addr for sop

	sram[read, out_xfr_packet_link0, in_buf_descriptor_base, out_head_ptr, 2],
				ctx_swap, priority, defer[1]				; read packet_link 2 words get next head, status 

	ld_field_w_clr[out_tail_ptr, 0011, out_xfr_queue_descriptor0]
	ld_field_w_clr[out_ele_remaining, 0001, out_xfr_packet_link1, >>DESC1_ELE_COUNT]
	alu[out_last_byte_cnt, in_const_3f, AND, out_xfr_packet_link1, >>DESC1_PKT_END_BYTE]

	#if (!isnum(out_start_byte_offset))
		ld_field_w_clr[out_start_byte_offset, 0001, out_xfr_packet_link1, >>DESC1_PKT_START_BYTE]
	#endif

	#if (SHIFT_RT_AMT < 0)	; figure out which way to shift packet_link1 to get bank mask into bits BANK_OFFSET
		alu[out_bank, in_bank_mask, AND, out_xfr_packet_link1, <<SHIFT_LT_AMT]
	#else 
		alu[out_bank, in_bank_mask, AND, out_xfr_packet_link1, >>SHIFT_RT_AMT]
	#endif


#undef SHIFT_RT_AMT
#undef SHIFT_LT_AMT

#endm


// tx_portvector_clear
//
// Description: Clear a ports with packets (PWP) vector bit location to 
//				indicate a queue has gone empty
//
// arguments:
//		in_queue8		8:4 port number
//						3:1 qselect for that port
//		in_pwp_address	Scratch address of ports with packets vector.
// 
// size: 5 instructions
// side effects: PWP must be in Scratch memory.
// see also: N/A
// example usage: 	tx_portvector_clear[queue, pwp_addr]
//			
#macro tx_portvector_clear[in_port, in_pwp_address]
.local $_xfer_reg tpc_temp
	alu_shf[tpc_temp, in_port, B-A, 1, <<5]					; indirect shift left 32 - portnum
	alu[--, tpc_temp, B, 0]
	alu_shf[$_xfer_reg, --, B, 1, <<indirect]
	scratch [bit_wr, $_xfer_reg, in_pwp_address, 0, clear_bits]	; clear bit for this port
.endlocal
#endm


// tx_packetlinklist_update
//
// Description: Insert new head pointer and update packet count for a queue.  If the 
//				updated packet count <1, then the PWP vector is updated to indicate
//				that there are no more packets for the port.
//
// arguments:
//		in_queue_descriptor0		- Linked list descriptor.  31:16 = head, 15:0 = tail
//		in_queue_descriptor1		- packet count
//		in_queue_descriptor_base	- Base address 
//		in_tail_ptr					- 15:0 previous tail
//		in_queue					- Offset from queue_descriptor_base
//		in_packet_link0				- new head
//
// size: 11 instructions 
// side effects: This marco does an sram[write_unlock] for a read lock that is
//				 performed in tx_packetlink_read.
// see also: tx_packetlink_read macro
// example usage: 	tx_packetlinklist_update[$queue_descriptor0, $queue_descriptor1, 
//						queue_descriptor_base, tail_ptr, queue, $packet_link0, port]
//
#macro tx_packetlinklist_update[in_queue_descriptor0, in_queue_descriptor1, in_queue_descriptor_base, in_tail_ptr, in_queue_offset, in_packet_link0, in_port]

.local _que_packet_count

	alu[_que_packet_count, in_queue_descriptor1, -, 1]					; decrement the element count
	br>0[packets_remaining#]
		tx_portvector_clear[in_port, pwp_addr]
packets_remaining#:
	ld_field[in_tail_ptr, 1100, in_packet_link0, <<16]					; merge existing tail with new head_ptr
	alu_shf[in_queue_descriptor0, --, B, in_tail_ptr];
	ld_field_w_clr[in_queue_descriptor1, 0011, _que_packet_count]
	sram[write_unlock, in_queue_descriptor0, in_queue_descriptor_base, in_queue_offset, 2], priority
.endlocal
#endm


// tx_packetlink_unlock
//
// Description: Unlock a packet link.  This routine is called when the
//				packet link read by tx_packetlink_read is not an eop packet.
//				When the packet link is an eop packet tx_packetlink_update
//				is called instead of this one.
//  
// arguments:
//		in_queue					- Offset from queue_descriptor_base	
//		in_queue_descriptor_base	- Base address 
//
// size: 1 instruction
// side effects: N/A
// see also: tx_packetlink_read, where the read lock takes place.
//			 tx_packetlink_update
// example usage: 		tx_packetlink_unlock[queue, queue_descriptor_base]		
//
#macro tx_packetlink_unlock[in_queue, in_queue_descriptor_base]
	sram[unlock, --, in_queue_descriptor_base, in_queue, 1], priority
#endm


// hw_init
//
// Description: In addition to creating the freelist, this macro initializes 
//				the following hardware registers: xmit_rdy_ctl, 
//				rdybus_template_prog1, rdybus_template_prog2, rdybus_template_prog3, 
//				rcv_rdy_ctl, rdybus_synch_count_default.  This thread also signals
//				thread 0 of fbox 0, 1, 2, and 3 to indicate to them that the freelist
//				has been created.
//
// arguments:
//		CONST_FID			- Fbox/microengine ID (0 through 5)
//		CONST_INIT_FBOX		- Fbox/microengine ID that is to run this macro
//		SDRAM_VALIDATE_FLAG - Flag indicating if we are running in dual validate mode
//		RDYBUS_PROG1		- Ready bus program 1
//		RDYBUS_PROG2		- Ready bus program 2
//		RDYBUS_PROG3		- Ready bus program 3
//		ALT_BANKS_FLAG		- Flag indicating if dual SDRAM banks should be used
//		BUFFER_COUNT		- Freelist buffer count
//
// size: instruction count
// side effects: Controls IXP1200 hardware configuration.
// see also:  IXP1200 Programmers Reference Manual for register descriptions
// example usage: 	hw_init[FID, 5, SDRAM_VALIDATE, RDYBUS_PROG1, 
//						RDYBUS_PROG2, RDYBUS_PROG3, ALT_BANKS, BUFFER_COUNT]
//
#macro hw_init[CONST_FID, CONST_INIT_FBOX, SDRAM_VALIDATE_FLAG, RDYBUS_PROG1, RDYBUS_PROG2, RDYBUS_PROG3, ALT_BANKS_FLAG, BUFFER_COUNT]

.local _temp $hw_init_xfer_reg

	alu[_temp, --, b, CONST_FID]				; Only init if this FID = 
	alu[--, _temp, -, CONST_INIT_FBOX]
	br!=0[endm#]

	//
	// setup transmit ready control to identify which thread fbi will auto_push ready bits to
	// xmit_rdy_ctl 
	// +--------+--------+-------+----+---------+-----+----------+
	// |tfifo v |reserved|enab ap|when| pushcmd | sig |thread id |
	// | 31:16  |  15:10 |   9   |  8 |  7:6    |  5  |   4:0    |
	// +--------+--------+-------+----+---------+-----+----------+
	// field		description
	// enab ap		enable autopush
	// when			after xmit_rdybits lo/hi have been assembled
	// pushcmd		xmit_rdybits_lo<31:0> to $xfer1, xmit_ptrs to $xfer0
	// sig			signal
	// thread_id	tx_scheduler

	#if (SDRAM_VALIDATE_FLAG == 1)
		#if (VERSION_MIN == 0)					; will not work on A3 chip
			#error 3 "Dual validate not supported on chip version 0"
		#endif
		immed[$hw_init_xfer_reg, 0x800]		; no autopush, sdram validate
	#else
		immed[$hw_init_xfer_reg, 0x0]		; no autopush, no sdram validate, no signal on autopush, sched = thread 20
	#endif
	csr [write, $hw_init_xfer_reg, xmit_rdy_ctl], ctx_swap

	// Initialize Ready Bus Program
	immed32[_temp, RDYBUS_PROG1]
	alu[$hw_init_xfer_reg, --, b, _temp]								
	csr [write, $hw_init_xfer_reg, rdybus_template_prog1], ctx_swap
	immed32[_temp, RDYBUS_PROG2]
	alu[$hw_init_xfer_reg, --, b, _temp]							
	csr [write, $hw_init_xfer_reg, rdybus_template_prog2], ctx_swap
	immed32[_temp, RDYBUS_PROG3]
	alu[$hw_init_xfer_reg, --, b, _temp]							
	csr [write, $hw_init_xfer_reg, rdybus_template_prog3], ctx_swap



	// setup receive ready control to identify which thread fbi will auto_push ready bits to
	//
	// +--------+----------+-------+----+---------+-----+----------+
	// |1thread |push count|enab ap|when| pushcmd | sig |thread id |
	// |  14    |  12:10   |   9   |  8 |  7:6    |  5  |   4:0    |
	// +--------+----------+-------+----+---------+-----+----------+
	// field		value
	// 1thread		0	for fast port put the thread of receive request to receive control
	// push count	3	delay timer for both receive and xmit
	// enab ap		0	enable autopush
	// when			0   after rec_rdycnt has incremented	
	// pushcmd		0	push nothing
	// sig			0	signal
	// thread_id	16	not receive thread, (pushing nothing anyway)

	immed[$hw_init_xfer_reg, 0x4c10]				; set rcv_rdy_ctl
	csr [write, $hw_init_xfer_reg, rcv_rdy_ctl], ctx_swap 

	immed[$hw_init_xfer_reg, 1]						; set rdybus_synch_count_default to min value
	csr[write, $hw_init_xfer_reg, rdybus_synch_count_default], ctx_swap


	// call	#macro buf_freelist_create(NUM_BUFFERS, STACK_ID, D_BASE, D_SIZE, S_BASE, S_SIZE)
	//		initialize freelist 0 for BUFFER_COUNT 2KB_packet_descriptors
	//		see also: mem_map.h, stdmac.uc, stdfunc.uc
	//

	.if (ALT_BANKS_FLAG)
		// create freelists 0 and 1 for odd and even banks
		#define_eval HALF_BUFFER_COUNT (BUFFER_COUNT / 2)
		buf_freelist_create[HALF_BUFFER_COUNT, 0, SDRAM_PKT_BUFFER_BASE, 256, SRAM_BUFF_DESCRIPTOR_BASE, 4] 
		#define_eval NEXT_BUFF_DESCRIPTOR_BASE (SRAM_BUFF_DESCRIPTOR_BASE + (HALF_BUFFER_COUNT * 4))
		buf_freelist_create[HALF_BUFFER_COUNT, 1, SDRAM_PKT_BUFFER_HIGH_BASE, 256, NEXT_BUFF_DESCRIPTOR_BASE, 4] 
	.else	// not ALT_BANKS
		buf_freelist_create[BUFFER_COUNT, 0, SDRAM_PKT_BUFFER_BASE, 256, SRAM_BUFF_DESCRIPTOR_BASE, 4] 
	.endif	//ALT_BANKS not ALT_BANKS

	fast_wr[0, inter_thd_sig]	; signal receive threads to go
	fast_wr[4, inter_thd_sig]
	fast_wr[8, inter_thd_sig]
	fast_wr[12, inter_thd_sig]
endm#:
.endlocal
#endm


// tx_portvect_modify
//
// Description: Modify input absolute register io_abs_pwp.  Bit number "in_port"
//				is either set or cleared based on input immediate value IN_VALUE.
//				IF IN_VALUE is 1, bit in_port is set, otherwise bit in_port is cleared.
//				All other bits in io_abs_pwp are unmodified.
//
// arguments:
//		io_abs_pwp 	- Absolute regiser that is to be modified
//		in_port		- Bit number that is to be modified
//		IN_VALUE	- 1 == set bit.  Otherwise, clear bit
//
// size: 4 instruction 
// side effects: none
//
// example usage: 	tx_portvect_modify[@pwp, port, 1]  ; set bit corresponding to port
//
#macro tx_portvect_modify[io_abs_pwp, in_port, IN_VALUE]
.local hold_it
	alu_shf[hold_it, in_port, B-A, 1, <<5]				; indirect shift left 32 - portnum
	alu[--, hold_it, b, 0]
	alu[hold_it, --, B, 1, <<indirect]
	#if (IN_VALUE == 1)	; if set bit
		alu[io_abs_pwp, io_abs_pwp, or, hold_it]
	#else 	; IN_VALUE == 0 (clear bit)
		alu[io_abs_pwp, io_abs_pwp, AND~, hold_it]
	#endif	; IN_VALUE
.endlocal
#endm

#endif ; TX_UC