ifneq ($(CCMODE),DEBUG)
LIB_DIR	= ..\..\VxWorks_Lib
else
LIB_DIR	= ..\..\VxWorks_Lib\debug
endif

UTILS_DIR  	= ..\..\utils
OSAPI_DIR  	= ..\..\osApi
CORE_UTILS_DIR 	= ..\core_utils
HAL_1200_DIR 	= ..\hal_1200
LIBD_DIR 	= ..\libd
UCLO_DIR 	= ..\uclo
UENG_DIR 	= ..\ueng
DEBUG_1200_DIR 	= ..\debug_1200
UCOMM_DIR	= ..\driver
MSGQ_DIR	= ..\msgq
BRM_DIR		= ..\bridge
RTM_DIR		= ..\rtm
PCICOMM_DIR	= ..\pciComm
APP_1200_DIR	= ..\app_1200
SV_LIBS_DIR	= ..\sv_libs
HDBM_DIR	= ..\hdbm
SCOMM_DIR	= ..\..\share\scomm
RS_UDEBUG_DIR	= ..\..\share\rs_udebug
OCTALMAC_21440_DIR = ..\octalMac_21440
GIGAMAC_DIR 	= ..\GigaMAC_GC82547EB


ALL_LIBS = $(LIB_DIR)/core_utils.a $(LIB_DIR)/hal_1200.a $(LIB_DIR)/libd.a \
	   $(LIB_DIR)/uclo.a $(LIB_DIR)/ueng.a $(LIB_DIR)/osApi.a $(LIB_DIR)/utils.a \
	   $(LIB_DIR)/debug_1200.a $(LIB_DIR)/ucommDriver.a $(LIB_DIR)/msgq.a \
	   $(LIB_DIR)/brm.a $(LIB_DIR)/rtm.a $(LIB_DIR)/pciComm.a $(LIB_DIR)/app_1200.a \
	   $(LIB_DIR)/sv_libs.a $(LIB_DIR)/scomm.a $(LIB_DIR)/rs_udebug.a $(LIB_DIR)/octalMac_21440.a \
	   $(LIB_DIR)/GigMac.a $(LIB_DIR)/hdbm.a

#all : $(ALL_LIBS)

all :
	@cd $(UTILS_DIR) & make -f vxworks_utils.mak CCMODE=$(CCMODE)
	@cd $(OSAPI_DIR) & make -f vxworks_osApi.mak CCMODE=$(CCMODE)
	@cd $(CORE_UTILS_DIR) & make -f vxworks_core_utils.mak CCMODE=$(CCMODE)
	@cd $(HAL_1200_DIR) & make -f vxworks_hal_1200.mak CCMODE=$(CCMODE)
	@cd $(LIBD_DIR) & make -f vxworks_libd.mak CCMODE=$(CCMODE)
	@cd $(UCLO_DIR) & make -f vxworks_uclo.mak CCMODE=$(CCMODE)
	@cd $(UENG_DIR) & make -f vxworks_ueng.mak CCMODE=$(CCMODE)
	@cd $(DEBUG_1200_DIR) & make -f vxworks_debug_1200.mak CCMODE=$(CCMODE)
	@cd $(UCOMM_DIR) & make -f vxworks_ucommDriver.mak CCMODE=$(CCMODE)
	@cd $(MSGQ_DIR) & make -f vxworks_msgq.mak CCMODE=$(CCMODE)
	@cd $(RTM_DIR) & make -f vxworks_rtm.mak CCMODE=$(CCMODE)
	@cd $(BRM_DIR) & make -f vxworks_brm.mak CCMODE=$(CCMODE)
	@cd $(PCICOMM_DIR) & make -f vxworks_pciComm.mak CCMODE=$(CCMODE)
	@cd $(APP_1200_DIR) & make -f vxworks_app_1200.mak CCMODE=$(CCMODE)
	@cd $(SV_LIBS_DIR) & make -f vxworks_sv_libs.mak CCMODE=$(CCMODE)
	@cd $(SCOMM_DIR) & make -f vxworks_scomm.mak CCMODE=$(CCMODE)
	@cd $(RS_UDEBUG_DIR) & make -f vxworks_rs_udebug.mak CCMODE=$(CCMODE)
	@cd $(OCTALMAC_21440_DIR) & make -f vxworks_octalMac_21440.mak CCMODE=$(CCMODE)
	@cd $(GIGAMAC_DIR) & make -f vxworks_gigaMac.mak CCMODE=$(CCMODE)
	@cd $(HDBM_DIR) & make -f vxworks_hdbm.mak CCMODE=$(CCMODE)


clean_lib : 
	$(RM) $(ALL_LIBS)

clean :
	@cd $(UTILS_DIR) & make -f vxworks_utils.mak CCMODE=$(CCMODE) clean
	@cd $(OSAPI_DIR) & make -f vxworks_osApi.mak CCMODE=$(CCMODE) clean
	@cd $(CORE_UTILS_DIR) & make -f vxworks_core_utils.mak CCMODE=$(CCMODE) clean
	@cd $(HAL_1200_DIR) & make -f vxworks_hal_1200.mak CCMODE=$(CCMODE) clean
	@cd $(LIBD_DIR) & make -f vxworks_libd.mak CCMODE=$(CCMODE) clean
	@cd $(UCLO_DIR) & make -f vxworks_uclo.mak CCMODE=$(CCMODE) clean
	@cd $(UENG_DIR) & make -f vxworks_ueng.mak CCMODE=$(CCMODE) clean
	@cd $(DEBUG_1200_DIR) & make -f vxworks_debug_1200.mak CCMODE=$(CCMODE) clean
	@cd $(UCOMM_DIR) & make -f vxworks_ucommDriver.mak CCMODE=$(CCMODE) clean
	@cd $(MSGQ_DIR) & make -f vxworks_msgq.mak CCMODE=$(CCMODE) clean
	@cd $(RTM_DIR) & make -f vxworks_rtm.mak CCMODE=$(CCMODE) clean
	@cd $(BRM_DIR) & make -f vxworks_brm.mak CCMODE=$(CCMODE) clean
	@cd $(PCICOMM_DIR) & make -f vxworks_pciComm.mak CCMODE=$(CCMODE) clean
	@cd $(APP_1200_DIR) & make -f vxworks_app_1200.mak CCMODE=$(CCMODE) clean
	@cd $(SV_LIBS_DIR) & make -f vxworks_sv_libs.mak CCMODE=$(CCMODE) clean
	@cd $(SCOMM_DIR) & make -f vxworks_scomm.mak CCMODE=$(CCMODE) clean
	@cd $(RS_UDEBUG_DIR) & make -f vxworks_rs_udebug.mak CCMODE=$(CCMODE) clean
	@cd $(OCTALMAC_21440_DIR) & make -f vxworks_octalMac_21440.mak CCMODE=$(CCMODE) clean
	@cd $(GIGAMAC_DIR) & make -f vxworks_gigaMac.mak CCMODE=$(CCMODE) clean
	@cd $(HDBM_DIR) & make -f vxworks_hdbm.mak CCMODE=$(CCMODE) clean
