#ifdef NO_LIB 

//------------------------------------------------------------------------------------------------------
//Enum of thread source bits int Interrupt source register 
//
//Example 6 F boxes * 4 contexts = 24 bits [0000 0011 1111 1111 1111 1111 1111 1111]
enum UengThreds{
	BOX0_CNXT0 = 0x1,
	BOX0_CNXT1 = 0x2,
	BOX0_CNXT2 = 0x4,
	BOX0_CNXT3 = 0x8,

	BOX1_CNXT0 = 0x10,
	BOX1_CNXT1 = 0x20,
	BOX1_CNXT2 = 0x40,
	BOX1_CNXT3 = 0x80,

	BOX2_CNXT0 = 0x100,
	BOX2_CNXT1 = 0x200,
	BOX2_CNXT2 = 0x400,
	BOX2_CNXT3 = 0x800,

	BOX3_CNXT0 = 0x1000,
	BOX3_CNXT1 = 0x2000,
	BOX3_CNXT2 = 0x4000,
	BOX3_CNXT3 = 0x8000,

	BOX4_CNXT0 = 0x10000,
	BOX4_CNXT1 = 0x20000,
	BOX4_CNXT2 = 0x40000,
	BOX4_CNXT3 = 0x80000,

	BOX5_CNXT0 = 0x100000,
	BOX5_CNXT1 = 0x200000,
	BOX5_CNXT2 = 0x400000,
	BOX5_CNXT3 = 0x800000

};





//------------------------------------------------------------------------------------------------------
//Syncronise for tests
#ifdef DEBUG_SOK
Semaphore uCodeWaitForCoreTest[24]; //semaphore for testing
#endif //ifdef DEBUG_SOK
Semaphore CoreCalledTest;			//semaphore for testing
Semaphore CoreCalledTestTwo;		//semaphore for testing



//temp take out in integration
int XactIoRead(int storage, char MEngineMask, int from, unsigned int *element){return 1;};
int XactIoWrite(int storage, char MEngineMask, unsigned int element, int to){return 1;};
int XactIoSignalDone(){return 1;};   //int XactIoSignalDone(){return 1;};
int XactIoDefineCallBackFunction(PFI ptrCallBackFunction){return 1;};


extern "C" int LibD_InvokeE(unsigned int * msg, int thread){
unsigned int * temp;
temp = msg;

    cout << endl <<" CALL With Message, Return With Answer ----> (!) <-----" << endl;
#ifdef DEBUG_SOK
{	ostrstream STRM;
	STRM << endl <<" CALL With Message, Return With Answer ----> (!) <-----" << endl;Sockets[thread]->SendSrting(STRM);
}
#endif

/**/
	cout << endl << *temp ; temp++;
	cout << endl << *temp ; temp++;
	cout << endl << *temp ; temp++;
	cout << endl << *temp  <<  endl;
/**/
	MessageHeader msg_ret;
	//	msg_ret.Show();
	msg_ret.SockShow(thread);
	msg_ret.SetTwoWayReply();
	//	msg_ret.Show();

temp = msg;		
	*temp++=msg_ret.GetHeader();
	*temp++=0x1;
	*temp++=0x2;
	*temp=0x3;
/**/
temp = msg;
	cout << endl << *temp ; temp++;
	cout << endl << *temp ; temp++;
	cout << endl << *temp ; temp++;
	cout << endl << *temp  <<  endl;
/**/
	//	msg_ret.Show();
	CoreCalledTestTwo.Give();
return 0;
};

//

extern "C" int LibD_PutMsgQueE (void *msg, int thread){
unsigned * temp;
temp = (unsigned int *)msg;

    cout << endl <<" QUEUE Message TO CORE ----->  [][][][][][][][] ->" << endl;
#ifdef DEBUG_SOK
{	ostrstream STRM;
	STRM << endl <<" QUEUE Message TO CORE ----->  [][][][][][][][] ->" << endl;Sockets[thread]->SendSrting(STRM);
}
#endif
/**/
	cout << endl << *temp ; temp++;
	cout << endl << *temp ; temp++;
	cout << endl << *temp ; temp++;
	cout << endl << *temp  <<  endl;
/**/
	MessageHeader Msg;
	//Msg.Show();
	Msg.SockShow(thread);
	CoreCalledTest.Give();

return 0;
};

//--------------------------------------------------------------------------------------------------------------
#endif //NO_LIB



#ifdef DEBUG_SOK
//--------------------------------------------------------------------------------------------------------------
//DriverIsr(0); 
extern "C" void FDriver_PutMsg( int * msg , int thread);
extern "C" void FDriver_PutMsgQue( int * msg , int thread);
extern "C" void FDriver_HoldTxToEngine(int engine);
extern "C" void FDriver_ResumeTxToEngine(int engine);
PFV DriverIsr(void);
extern "C" void FDriver_Init();
// old style DriverInit .. i will keep it for now
void DriverInit();






//	u C o d e
//Thread to simulate UCode functionality	
//enumed MsgType { MSG_ONEWAY_REQ, MSG_DRIVER_ACK, MSG_TWOWAY_REQ, MSG_TWOWAY_REPLY };
//
void uCodeThread(void){
	int * phead;
	int head;
	Semaphore ISRLOCK;



//---------CNXT3
//	cout << "{ uCode: 1.One way message from _uCode to Core" << endl;
{	ostrstream STRM;
	STRM << "{ uCode: 1.One way message from _uCode to Core" << endl;Sockets[3]->SendSrting(STRM);
}
//    Sockets[3]->Send("***Code: 1.One way message from _uCode to Core\n",47);




		//Generate the data of the message an signal
		FDriver->PutMessageForDriverToRx(3,0,0x111,0x222);  //One way message No data
		CSR |= BOX0_CNXT3;                       //send it from the 0 _uthread

//		cout << "uCode: 1. BOX0_CNXT3" << endl;
{	ostrstream STRM;  
		STRM << "uCode: 1. BOX0_CNXT3" << endl;Sockets[3]->SendSrting(STRM);
}
		DriverIsr(0);                   //FDriver->RxDispetch(); //Signal 
		
			uCodeWaitForCoreTest[3].Take();        //wait for the ACK

		head = *((int *)FDriver->GetMessageFor_uTread(3));
	    if ( ((head & 0xff000000)>>30) == MSG_DRIVER_ACK )

//	cout << "uCode: 1. got the ACK - message sent }" << endl;
{	ostrstream STRM;
	STRM << "uCode: 1. got the ACK - message sent }" << endl;Sockets[3]->SendSrting(STRM);
}
//---------CNXT0

		
//	cout << "{ uCode: 2.One way message from Core fo uCode (queued by the driver)" << endl; 

{	ostrstream STRM;
	STRM << "{ uCode: 2.One way message from Core fo uCode (queued by the driver)" << endl;Sockets[0]->SendSrting(STRM);
}
			uCodeWaitForCoreTest[0].Take();        //wait for the ACK
		
		phead = ((int *)FDriver->GetMessageFor_uTread(0));
		if ( ((*phead & 0xff000000)>>30) == MSG_ONEWAY_REQ ){

//			cout << "uCode: 2. got the message One way request from core " << endl;
//			cout << "uCode: 2. " << *(++phead) << " " << *(++phead) << " " << *(++phead) << " " << endl;

{			ostrstream STRM;
			STRM << "uCode: 2. got the message One way request from core " << endl;Sockets[0]->SendSrting(STRM);
}
{			ostrstream STRM;
			STRM << "uCode: 2. " << hex << *(++phead) << " " << *(++phead) << " " << *(++phead) << " " << endl;Sockets[0]->SendSrting(STRM);
}

		//Generate the ACK and signal
		FDriver->PutMessageForDriverToRx(0, 0x40000000,0,1);// ACK
		CSR |= BOX0_CNXT0;                       //send it from the 0 _uthread

//		cout << "uCode: 2. BOX0_CNXT0" << endl;
{		ostrstream STRM;
		STRM << "uCode: 2. BOX0_CNXT0" << endl;Sockets[0]->SendSrting(STRM);
}		
		
		DriverIsr(0);                   //FDriver->RxDispetch(); //Signal 

//	cout << "uCode: 2. got the message and THE ACK sent }" << endl;
{	ostrstream STRM;
	STRM << "uCode: 2. got the message and THE ACK sent }" << endl;Sockets[0]->SendSrting(STRM);
}

		};

//---------CNXT4


//	cout << "{ uCode: 3. Two way message from _uCode to Core" << endl; 
{	ostrstream STRM;
	STRM << "{ uCode: 3. Two way message from _uCode to Core" << endl;Sockets[4]->SendSrting(STRM);
}
		//Generate the data of the message an signal
		FDriver->PutMessageForDriverToRx(4,0x80000000,0,1);  //One way message No data
		CSR |= BOX1_CNXT0;                       //send it from the 0 _uthread

//		cout << "uCode: 3. BOX1_CNXT0" << endl;
{		ostrstream STRM;
		STRM << "uCode: 3. BOX1_CNXT0" << endl;Sockets[4]->SendSrting(STRM);
}

		DriverIsr(0);                   //FDriver->RxDispetch(); //Signal 
		
			uCodeWaitForCoreTest[4].Take();        //wait for the ACK

		phead = ((int *)FDriver->GetMessageFor_uTread(4));
	    if ( ((*phead & 0xff000000)>>30) == MSG_TWOWAY_REPLY )

//			cout << "uCode: 3. got the message Two way reply from core " << endl;
//			cout << "uCode: 3. " << *(++phead) << " " << *(++phead) << " " << *(++phead) << " " << endl;
{			ostrstream STRM;
			STRM << "uCode: 3. got the message Two way reply from core " << endl;Sockets[4]->SendSrting(STRM);
}
{			ostrstream STRM;
			STRM << "uCode: 3. " << hex << *(++phead) << " " << *(++phead) << " " << *(++phead) << " " << endl;Sockets[4]->SendSrting(STRM);
}

//	cout << "uCode: 3. Got message reply }" << endl;
{	ostrstream STRM;
	STRM << "uCode: 3. Got message reply }" << endl;Sockets[4]->SendSrting(STRM);
}

//---------CNXT2

		
//	cout << "{ uCode: 4.Two way message from Core fo uCode " << endl;
{	ostrstream STRM;
	STRM << "{ uCode: 4.Two way message from Core fo uCode " << endl;Sockets[2]->SendSrting(STRM);
}
	
			uCodeWaitForCoreTest[2].Take();        //wait for the ACK
		
		phead = ((int *)FDriver->GetMessageFor_uTread(2));
		if ( ((*phead & 0xff000000)>>30) == MSG_TWOWAY_REQ ){

//			cout << "uCode: 4. got the message Two way request from core " << endl;
//			cout << "uCode: 4. " << *(++phead) << " " << *(++phead) << " " << *(++phead) << " " << endl;
{		ostrstream STRM;
		STRM << "uCode: 4. got the message Two way request from core " << endl;Sockets[2]->SendSrting(STRM);
}
{		ostrstream STRM;
		STRM << "uCode: 4. " << hex << *(++phead) << " " << *(++phead) << " " << *(++phead) << " " << endl;Sockets[2]->SendSrting(STRM);
}

		//Generate MSG_TWOWAY_REPLY ACK and signal
		FDriver->PutMessageForDriverToRx(2, 0xc0000000,0x777,0x888);// MSG_TWOWAY_REPLY
		CSR |= BOX0_CNXT2;                       //send it from the 0 _uthread

//		cout << "uCode: 4. BOX0_CNXT2" << endl;
{		ostrstream STRM;
		STRM << "uCode: 4. BOX0_CNXT2" << endl;Sockets[2]->SendSrting(STRM);
}
		DriverIsr(0);                   //FDriver->RxDispetch(); //Signal 

//	cout << "uCode: 4. got the message and THE MSG_TWOWAY_REPLY sent }" << endl;
{	ostrstream STRM;
	STRM << "uCode: 4. got the message and THE MSG_TWOWAY_REPLY sent }" << endl;Sockets[2]->SendSrting(STRM);
}

		};


};
//----------------------------------------------------------------------------------------------------------------
//C o r e
//Thread to simulate Core functionality
//
void CoreThread(void){
MessageHeader CoreToFboxHeader;
MessageHeader * Head_temp; 
int * inttemp; 
ostrstream STRM;


//----------CNXT3

//	cout << "{ Core: 1.One way message from _uCode to Core" << endl;
{	ostrstream STRM;
	STRM << "{ Core: 1.One way message from _uCode to Core" << endl;Sockets[3]->SendSrting(STRM);//STRM << ends;
}
		CoreCalledTest.Take();

//	cout << "Core: 1. got the message }" << endl;
{	ostrstream STRM;
	STRM << "Core: 1. got the message }" << endl;Sockets[3]->SendSrting(STRM);
}	
//----------CNXT0


//	cout << "{ Core: 2.One way message from Core to uCode (queued by the driver)" << endl;
{	ostrstream STRM;
	STRM << "{ Core: 2.One way message from Core to uCode (queued by the driver)" << endl;Sockets[0]->SendSrting(STRM);
}
		//send something
		//MSG_ONEWAY_REQ
		CoreToFboxHeader.SetOneWayRequest();
		CoreToFboxHeader.SetDataWord1(0x111);
		CoreToFboxHeader.SetDataWord2(0x222);
		CoreToFboxHeader.SetDataWord3(0x333);
		///FDriver->TxMessage(0, CoreToFboxHeader); 
		Head_temp = &CoreToFboxHeader;
		inttemp = (int*)Head_temp;
		FDriver_PutMsgQue(inttemp, 0);

//	cout << "Core: 2. sent the message }" << endl;
{	ostrstream STRM;
	STRM  << "Core: 2. sent the message }" << endl;Sockets[0]->SendSrting(STRM);
}
//----------CNXT4


//	cout << "{ Core: 3.Two way message from _uCode to Core" << endl;
{	ostrstream STRM;
	STRM << "{ Core: 3.Two way message from _uCode to Core" << endl;Sockets[4]->SendSrting(STRM);
}
		CoreCalledTestTwo.Take();

//	cout << "Core: 3. got the message returned the reply }" << endl;
{	ostrstream STRM;
	STRM << "Core: 3. got the message returned the reply }" << endl;Sockets[4]->SendSrting(STRM);
}


//----------CNXT2


//	cout << "{ Core: 4.Two way message from Core to uCode " << endl;
{	ostrstream STRM;
	STRM << "{ Core: 4.Two way message from Core to uCode " << endl;Sockets[2]->SendSrting(STRM);
}
		
		//MSG_TWOWAY_REQ
        CoreToFboxHeader.SetTwoWayRequest();
		CoreToFboxHeader.SetDataWord1(0x444);
		CoreToFboxHeader.SetDataWord2(0x666);
		CoreToFboxHeader.SetDataWord3(0x888);
		///FDriver->TxMessage(0, CoreToFboxHeader); 
		Head_temp = &CoreToFboxHeader;
		inttemp = (int*)Head_temp;
		FDriver_PutMsg(inttemp, 2);

//		cout << "RET message " << *(inttemp) << " " << *(++inttemp) << " " << *(++inttemp) << " " << *(++inttemp) << endl;
{		ostrstream STRM;
		STRM << "RET message " << hex << *(inttemp) << " " << *(++inttemp) << " " << *(++inttemp) << " " << *(++inttemp) << endl;Sockets[2]->SendSrting(STRM);
}
//	cout << "Core: 4. sent the message And got the reply message }" << endl;
{	ostrstream STRM;
	STRM << "Core: 4. sent the message And got the reply message }" << endl;Sockets[2]->SendSrting(STRM);
}

};

//-------------------------------------------------------------------------------------------------------------------
#endif  //DEBUG_SOK








#ifdef TEST_SIMPLE
//-------------------------------------------------------------------------------------------------------------------

extern "C" void DriverIsr(int parm);
extern "C" void FDriver_PutMsgQue( int * msg , int thread);
extern "C" void FDriver_PutMsg( int * msg , int thread);

void 
simple_test(void){

//test hold/resume engine
//FDriver->HoldTxToEngine(0);
char c;

//-2
cout << "TEST ( -2 )----------------------------" << endl;
//for Driver to receive from _uCode
FDriver->PutMessageForDriverToRx(0,0);//clear
CSR = BOX0_CNXT0;  
cout << "TEST Intr CSR : BOX0_CNXT0" << endl;
//Driver receive
//FDriver->RxDispetch(); 
DriverIsr(0); 
cout << "TEST ( -2 )****: done \n" << "\n";
//---------------------------------------------------------------------------------------------
cin >> c;


//#ifdef XX

//-1a
cout << "TEST ( -1 )----------------------------" << endl;
cout << "TEST One Way Queued message to the -uCode " << endl;
//prepare ASK for Driver (ASK from uCode ) 
FDriver->PutMessageForDriverToRx(0, 0x40000000,0,1);// ACK
CSR = BOX0_CNXT0;  
cout << "TEST Intr CSR : BOX0_CNXT0" << endl;
//send core to fbox context
MessageHeader CoreToFboxHeader; //send something
CoreToFboxHeader.SetDataWord1(111);
CoreToFboxHeader.SetDataWord2(222);
CoreToFboxHeader.SetDataWord3(333);
///!!!!!!!!!!!!!!!!!!!!!!!!!!!FDriver->TxMessage(0, CoreToFboxHeader); 
MessageHeader * temp = &CoreToFboxHeader;
int * inttemp = (int*)temp;
//emulate -uThread call
DriverIsr(0);
//
FDriver_PutMsgQue(inttemp, 0);
//CoreToFBox will Call Wait for 
//RxDsCo.Dispetch();   
cout << "TEST ( -1 )****: done \n" << "\n";
//---------------------------------------------------------------------------------------------
cout << "TEST E N DOne Way Queued message to the -uCode " << endl;
cin >> c;

//-1b
cout << "TEST ( -1 )----------------------------" << endl;
cout << "TEST One Way Queued message to the -uCode " << endl;
//prepare ASK for Driver (ASK from uCode ) 
FDriver->PutMessageForDriverToRx(0, 0x40000000,0,1);// ACK
CSR = BOX0_CNXT0;  
cout << "TEST Intr CSR : BOX0_CNXT0" << endl;
//send core to fbox context
 //send something
CoreToFboxHeader.SetDataWord1(111);
CoreToFboxHeader.SetDataWord2(222);
CoreToFboxHeader.SetDataWord3(333);
///!!!!!!!!!!!!!!!!!!!!!!!!!!!FDriver->TxMessage(0, CoreToFboxHeader); 
temp = &CoreToFboxHeader;
inttemp = (int*)temp;
//emulate -uThread call
DriverIsr(0);
//
FDriver_PutMsgQue(inttemp, 0);
//CoreToFBox will Call Wait for 
//RxDsCo.Dispetch();   
cout << "TEST ( -1 )****: done \n" << "\n";
//---------------------------------------------------------------------------------------------
cout << "TEST E N DOne Way Queued message to the -uCode " << endl;
cin >> c;


//0   ACK
cout << "TEST ( 0 )----------------------------" << endl;
//_uCode Message ack for Driver
FDriver->PutMessageForDriverToRx(0,0x40000000,0,1);// ACK
CSR = BOX0_CNXT0;  
cout << "TEST Intr CSR : BOX0_CNXT0" << endl;
//Driver receive
//FDriver->RxDispetch();  
DriverIsr(0);
cout << "TEST ( 0 )****: done \n" << "\n";
//---------------------------------------------------------------------------------------------
cin >> c;





//1   GLIB Two Ways
cout << "TEST ( 1 )----------------------------" << endl;
//_uCode Message 2w Req for Driver
FDriver->PutMessageForDriverToRx(0,0x80000000,0,1);//2w. Req
CSR = BOX0_CNXT0;  
cout << "TEST Intr CSR : BOX0_CNXT0" << endl;
//Driver receive
//FDriver->RxDispetch();   
DriverIsr(0);
cout << "TEST ( 1 )****: done \n" << "\n";
//-------------------------------------------------------------------------
cin >> c;



//2   GLIB Two Ways
cout << "TEST ( 2 )----------------------------" << endl;
//_uCode Message 2w Req for Driver
FDriver->PutMessageForDriverToRx(1,0x80000000,0,1);//2w. Req
FDriver->PutMessageForDriverToRx(5,0x80000000,0,1);//2w. Req
FDriver->PutMessageForDriverToRx(6,0x80000000,0,1);//2w. Req
CSR = BOX0_CNXT1 | BOX1_CNXT1 | BOX1_CNXT2;
cout << "TEST Intr CSR : BOX0_CNXT1 | BOX1_CNXT1 | BOX1_CNXT2" << endl;
//Driver receive
//FDriver->RxDispetch();  
DriverIsr(0);
cout << "TEST ( 2 )****: done \n" << "\n";
//-----------------------------------------------------------------------------
cin >> c;
 


//3   One Way Auto ACK
cout << "TEST ( 3 )----------------------------" << endl;
//_uCode Message 1w Req with Driver ACK for Driver
FDriver->PutMessageForDriverToRx(6,0x000000000,0,1);//1w. with Driver Ack
FDriver->PutMessageForDriverToRx(7,0x000000000,0,1);//1w. with Driver Ack
CSR = BOX1_CNXT2 | BOX1_CNXT3;
cout << "TEST Intr CSR : BOX1_CNXT2 | BOX1_CNXT3" << endl;
//Driver receive
//FDriver->RxDispetch();  
DriverIsr(0);
cout << "TEST ( 3 )****: done \n" << "\n";
cin >> c;

//THD TEST
cout <<    "TEST " 
<< endl << "##########################################" 
<< endl << "DONE";
cin >> c;
//#endif //XX

//test hold/resume engine
///FDriver->ResumeTxToEngine(0);

};
#endif //TEST_SIMPLE


//------------------------------------------------------------------------------------------------------------------

