/* ------------------------------------------------------------------------------
 *                                                                      
 *                  I N T E L   P R O P R I E T A R Y                   
 *                                                                      
 *     COPYRIGHT (c)  1999 BY  INTEL  CORPORATION.  ALL RIGHTS          
 *     RESERVED.   NO  PART  OF THIS PROGRAM  OR  PUBLICATION  MAY      
 *     BE  REPRODUCED,   TRANSMITTED,   TRANSCRIBED,   STORED  IN  A    
 *     RETRIEVAL SYSTEM, OR TRANSLATED INTO ANY LANGUAGE OR COMPUTER    
 *     LANGUAGE IN ANY FORM OR BY ANY MEANS, ELECTRONIC, MECHANICAL,    
 *     MAGNETIC,  OPTICAL,  CHEMICAL, MANUAL, OR OTHERWISE,  WITHOUT    
 *     THE PRIOR WRITTEN PERMISSION OF :                                
 *                                                                      
 *                        INTEL  CORPORATION                            
 *                                                                     
 *                     2200 MISSION COLLEGE BLVD                        
 *                                                                      
 *               SANTA  CLARA,  CALIFORNIA  95052-8119                  
 *                                                                      
 *------------------------------------------------------------------------------*/

/* rtm_console.h
 * load or delete routes from file
 *
 *
 * system: SA1200
 * subsystem: RTM
 * author: Don Hooper 3/25/99
 * revisions:
 * $History: rtm_console.h $
 * 
 * *****************  Version 1  *****************
 * User: Qabuild      Date: 4/18/00    Time: 5:02p
 * Created in $/dev_1200/SA1_CoreLibs/rtm-mvr
 * added from IAL zip file 4/12/00
 * 
 * *****************  Version 1  *****************
 * User: Dhooper      Date: 3/29/99    Time: 10:23a
 * Created in $/development/rtm
 * replace rtm_loader.h with rtm_console.h
 * 
 * 
 */ 
#ifndef RTM_CONSOLE_H
#define RTM_CONSOLE_H


/* maximum length of single line in any text file. */
#define MAX_LINE_LENGTH 4096
/* lenght of variable name */
#define MAX_VAR_NAME    128


#endif /* RTM_CONSOLE_H */
