#include <stdio.h>
#include <string.h>

#include "end.h"
#include "muxLib.h"
#include "npvs_sim.h"

//#include "m2Lib.h"

//#include  "etherMultiLib.h"
//#include "sys/ioctl.h"
//#include "etherLib.h"
//#include "ipProto.h"



#include "net/if.h"   //for IfAddSet ,IfMaskSet() function
#include "hostLib.h"  // for HostAdd() function


extern "C" {
    extern END_OBJ *pethEndLoad(char *, void *);
    IMPORT int ipAttach(int unit, char* pDevice);  // must delcared like this

}

    extern  unsigned int HexUofSize__mvrucode;
    extern  unsigned int HexUof__mvrucode[] ;

void PethDrvInit(void);
LOCAL STATUS	usrNetIfConfig (char *devName, int unitNum, char *inetAdrs, char *inetName, int netmask);

int NetApp_UCLoadBuffer( unsigned int *hexUof, unsigned int hexUofSize);
extern int NetApp_Run(unsigned int engine_mask, unsigned int port_mask);




void PethDrvInit(void)
{
        // Initialize the pseudo ethernet driver
        char pethInitStr[3];
        int pethDrvNum;
        END_OBJ *pEnd;
        void *cookie;
       /*  Be done in NetApp_GigInit
    	if(NetApp_UCLoadBuffer(HexUof__mvrucode, HexUofSize__mvrucode) != SYSCONF_SUCCESS)
   	 printf("\n The ucload buffer is fialed");
   	else
   	  printf("\n the ucload buffer is succeed"); 
   	  
   	// init the port 0-8 and ue 0-5  , (port 8 is giga port ) 
   	
   	
   	if( NetApp_Run(0x3f, 0x1ff) != SYSCONF_SUCCESS)
   	 printf("\n The netapp run  is fialed");
   	else
   	 printf("\n the  netApp run is succeed"); 
	return;*/

        // For each port create a new instance of the driver
        for (pethDrvNum = 0; pethDrvNum < PETH_NUM_DEVS; ++pethDrvNum) {
            sprintf(pethInitStr, "%d:", pethDrvNum);
            cookie = muxDevLoad(pethDrvNum, pethEndLoad, pethInitStr, 0, NULL);
            if (NULL == cookie) {
                printf("Failed to load Pseudo Ethernet driver number %d\n", 
                       pethDrvNum);
                continue;
            }
            
            // Start the driver
            if (OK != muxDevStart(cookie)) {
                printf("Failed to start Pseudo Ethernet driver number %d\n", 
                       pethDrvNum);
                continue;
            }

            // Attach each driver to the ipStack
            if (OK != ipAttach(pethDrvNum, "peth")) {
                printf("Failed to attach device %d to ip stack\n", pethDrvNum);
            }
                    
        }  // end for 

         // config network interface 0 for testing 
           if(usrNetIfConfig("peth", 0, VIP, "VS_IF0", 0xFFFFFF80) != OK)
            {
            		printf("Failed to Config Net Interface ->peth0 %s\n",VIP);
            }
            // config network interface 1 for testing VS
	
	if(usrNetIfConfig("peth", 1, "128.198.60.131", "VS_IF1", 0xFFFFFFC0) != OK)
	    {
            		printf("Failed to Config Net Interface ->peth1 %s\n","128.198.60.131");
            }
	// config network interface 2 for testing 
           if(usrNetIfConfig("peth", 2, "128.198.60.132", "VS_IF2", 0xFFFFFFFF) != OK)
            {
            		printf("Failed to Config Net Interface ->peth2 %s\n","128.198.60.132");
            }
	// config network interface 3 for testing 
           if(usrNetIfConfig("peth", 3,"128.198.60.133", "VS_IF3", 0xFFFF8000) != OK)
            {
            		printf("Failed to Config Net Interface ->peth3 %s\n","128.198.60.133");
            }
	// config network interface 0 for testing 
           if(usrNetIfConfig("peth", 4, "128.198.60.134", "VS_IF4", 0xFFFFc000) != OK)
            {
            		printf("Failed to Config Net Interface ->peth4 %s\n","128.198.60.134");
            }
	// config network interface 5 for testing 
           if(usrNetIfConfig("peth", 5, "128.198.60.135", "VS_IF5", 0xFFFF0000) != OK)
            {
            		printf("Failed to Config Net Interface ->peth5 %s\n","128.198.60.135");
            }
	// config network interface 6 for testing 
           if(usrNetIfConfig("peth", 6, "128.198.60.136", "VS_IF6", 0xFF800000) != OK)
            {
            		printf("Failed to Config Net Interface ->peth6 %s\n","128.198.60.136");
            }
	// config network interface 7 for testing 
           if(usrNetIfConfig("peth", 7, "128.198.60.137", "VS_IF7", 0xFFC00000) != OK)
            {
            		printf("Failed to Config Net Interface ->peth7 %s\n","128.198.60.137");
            }
	// config network interface 8 for testing 
           if(usrNetIfConfig("peth", 8, "128.198.60.40", "VS_IF8", 0xFFFFFF00) != OK)
            {
            		printf("Failed to Config Net Interface ->peth8 %s\n",VIP);
            }

 }       
 
 
  /******************************************************************************
*
* usrNetIfConfig - configure a network interface
*	- subnetmask is extracted from inetAdrs and, if present,
*	  set for interface
*	- inet address is set for interface
*	- if present, inet name for interface is added to host table
*/
#if 1
 STATUS usrNetIfConfig 
    (
    char *	devName,		/* device name */
    int         unitNum,                /* unit number */
    char *	inetAdrs,		/* inet address */
    char *	inetName,		/* host name */
    int 	netmask			/* subnet mask */
    )
    {
    char 	ifname [20];

#ifdef	INCLUDE_PCMCIA
    if (strncmp (devName, "pcmcia", 6) == 0)
	devName = "pcmcia";
#endif	/* INCLUDE_PCMCIA */

    /* check for empty inet address */

    if (inetAdrs[0] == EOS)
	{
	printf ("No inet address specified for interface %s.\n", devName);
	return (ERROR);
	}

    /* build interface name */

    sprintf (ifname, "%s%d", devName, unitNum);

    /* set subnet mask, if any specified */

    if (netmask != 0)
	ifMaskSet (ifname, netmask);

    /* set inet address */

    if (ifAddrSet (ifname, inetAdrs) != OK)
        {
        printf ("Error setting inet address of %s to %s, errno = %#x\n",
                ifname, inetAdrs, errno);
        return (ERROR);
        }

    /* add host name to host table */

    if ((inetName != NULL) && (*inetName != EOS))
	hostAdd (inetName, inetAdrs);

    return (OK);
}
 
#endif