/***********************************************************
*	StrongArm Version Network Processor Load Balancer  *
*	                                                   *
*	microengine.cpp l4lbadm.cpp l4lbadm.h npvs_sim.h   *
*	                                                   *
*	version 0.9                                        *
*	                                                   *
*	Author: Bala                                       *
*	                                                   *
*	Date : 2001/Jun                                    *
*	                                                   *
***********************************************************/

#include "l4lbadm.h"
#include "npvs_sim.h"

extern unsigned long sr_timeout, es_timeout, cw_timeout;
extern struct con_mac_table *con_mac_tab_ptr;
extern struct ser_con_setup_num *con_setup_ptr;
extern struct ser_con_release_num *con_release_ptr;
extern struct ser_con_release_num *arm_con_release_ptr;
extern struct ser_con_release_num *con_release_ptr;
extern struct ser_con_release_num *arm_con_release_ptr;
struct id_ip_table
{
	unsigned long ip[256];
} *id_ip_tab_ptr;


/*************************************************************/
int mdy_chk(unsigned long id)
{
	unsigned long tmp, tmp_ip, i;
	int cc;
	unsigned char tmp1[20];
	struct in_addr temp_ip;
	char *ptr;
	int ttt[8];
	unsigned char temp_mac[8];
	
/*	do{
*	printf("Please enter new ID(origin id = %d)( -1 for nonmodify):\n",id);
*	scanf("%d",&cc);
*	}
*	while(cc>256||cc<-1);
*	
*	
*	if(cc!=-1||)
*	{
*		if((id_ip_tab_ptr->ip[cc])!=0)
*		{
*			printf("This id %d has been use\n",cc);
*			return -1;
*		}
*	}
*	else
*	{
*		cc=id;
*		printf("ID=%d , without change\n",cc);
*	}
*/
	temp_ip.s_addr=id_ip_tab_ptr->ip[id];
	ptr=inet_ntoa(temp_ip);
	printf("Please enter new IP(origin ip = %s):\n",ptr);
	scanf("%s",tmp1);
	
	if(inet_addr(tmp1)==-1)
	{
		printf("input error, please try again.\n");
		return -1;
	}
	tmp_ip = inet_addr(tmp1);
	if(tmp_ip!=id_ip_tab_ptr->ip[id])
	{
		for (i=0; i<256; i++)
		{
			if( tmp_ip == (id_ip_tab_ptr->ip[i]) )
			{
				printf("This ip %s has been use\n",tmp1);
				return -1;
			}
		}
	}
	else
	{
		printf("This ip %s , without change\n",tmp1);
		
	}
	
	printf("Please enter new MAC(origin mac = %02x.%02x.%02x.%02x.%02x.%02x\n",
	(con_mac_tab_ptr->rs_mac[id]).dmac[3],(con_mac_tab_ptr->rs_mac[id]).dmac[2],
	(con_mac_tab_ptr->rs_mac[id]).dmac[1],(con_mac_tab_ptr->rs_mac[id]).dmac[0],
	(con_mac_tab_ptr->rs_mac[id]).dmac[5],(con_mac_tab_ptr->rs_mac[id]).dmac[4]);
	scanf("%x.%x.%x.%x.%x.%x",ttt,ttt+1,ttt+2,ttt+3,ttt+6,ttt+7);
	temp_mac[0]=(unsigned char)ttt[0];
	temp_mac[1]=(unsigned char)ttt[1];
	temp_mac[2]=(unsigned char)ttt[2];
	temp_mac[3]=(unsigned char)ttt[3];
	temp_mac[6]=(unsigned char)ttt[6];
	temp_mac[7]=(unsigned char)ttt[7];

	if(	(con_mac_tab_ptr->rs_mac[id]).dmac[3]==temp_mac[0]&&
		(con_mac_tab_ptr->rs_mac[id]).dmac[2]==temp_mac[1]&&
		(con_mac_tab_ptr->rs_mac[id]).dmac[1]==temp_mac[2]&&
		(con_mac_tab_ptr->rs_mac[id]).dmac[0]==temp_mac[3]&&
		(con_mac_tab_ptr->rs_mac[id]).dmac[5]==temp_mac[6]&&
		(con_mac_tab_ptr->rs_mac[id]).dmac[4]==temp_mac[7] )
	{
		printf("This mac %02x.%02x.%02x.%02x.%02x.%02x  without change\n",
				(con_mac_tab_ptr->rs_mac[id]).dmac[3],(con_mac_tab_ptr->rs_mac[id]).dmac[2],
				(con_mac_tab_ptr->rs_mac[id]).dmac[1],(con_mac_tab_ptr->rs_mac[id]).dmac[0],
				(con_mac_tab_ptr->rs_mac[id]).dmac[5],(con_mac_tab_ptr->rs_mac[id]).dmac[4]);
	}
	else
	{
		for(i=0; i<256; i++)
		{  
			if( 
			(con_mac_tab_ptr->rs_mac[i]).dmac[3]==temp_mac[0]&&
			(con_mac_tab_ptr->rs_mac[i]).dmac[2]==temp_mac[1]&&
			(con_mac_tab_ptr->rs_mac[i]).dmac[1]==temp_mac[2]&&
			(con_mac_tab_ptr->rs_mac[i]).dmac[0]==temp_mac[3]&&
			(con_mac_tab_ptr->rs_mac[i]).dmac[5]==temp_mac[6]&&
			(con_mac_tab_ptr->rs_mac[i]).dmac[4]==temp_mac[7] )
			{
				printf("This mac %02x.%02x.%02x.%02x.%02x.%02x has been use\n",
				(con_mac_tab_ptr->rs_mac[id]).dmac[3],(con_mac_tab_ptr->rs_mac[id]).dmac[2],
				(con_mac_tab_ptr->rs_mac[id]).dmac[1],(con_mac_tab_ptr->rs_mac[id]).dmac[0],
				(con_mac_tab_ptr->rs_mac[id]).dmac[5],(con_mac_tab_ptr->rs_mac[id]).dmac[4]);
				return -1;
			}
		}
	}
	
	id_ip_tab_ptr->ip[id]= tmp_ip;
	
 	(con_mac_tab_ptr->rs_mac[id]).dmac[3]=temp_mac[0];
 	(con_mac_tab_ptr->rs_mac[id]).dmac[2]=temp_mac[1];
 	(con_mac_tab_ptr->rs_mac[id]).dmac[1]=temp_mac[2];
 	(con_mac_tab_ptr->rs_mac[id]).dmac[0]=temp_mac[3];
 	(con_mac_tab_ptr->rs_mac[id]).dmac[5]=temp_mac[6];
 	(con_mac_tab_ptr->rs_mac[id]).dmac[4]=temp_mac[7];
 	
 	
	return 1;
}
/*************************************************************/
void mdy_via_mac(void)
{
	char *ptr;
	unsigned long i;
	int ttt[8];
	unsigned char temp_mac[8];
	struct in_addr temp_ip;
	int result;
	
	printf("Please enter real server mac which will be modify(xx.xx.xx.xx.xx.xx):\n");
	scanf("%x.%x.%x.%x.%x.%x",ttt,ttt+1,ttt+2,ttt+3,ttt+6,ttt+7);
		
		temp_mac[0]=(unsigned char)ttt[0];
		temp_mac[1]=(unsigned char)ttt[1];
		temp_mac[2]=(unsigned char)ttt[2];
		temp_mac[3]=(unsigned char)ttt[3];
		temp_mac[6]=(unsigned char)ttt[6];
		temp_mac[7]=(unsigned char)ttt[7];

	for(i=0; i<256; i++)
	{
		if( 
		(con_mac_tab_ptr->rs_mac[i]).dmac[3]==temp_mac[0]&&
		(con_mac_tab_ptr->rs_mac[i]).dmac[2]==temp_mac[1]&&
		(con_mac_tab_ptr->rs_mac[i]).dmac[1]==temp_mac[2]&&
		(con_mac_tab_ptr->rs_mac[i]).dmac[0]==temp_mac[3]&&
		(con_mac_tab_ptr->rs_mac[i]).dmac[5]==temp_mac[6]&&
		(con_mac_tab_ptr->rs_mac[i]).dmac[4]==temp_mac[7] )
		{
			temp_ip.s_addr=id_ip_tab_ptr->ip[i];
			ptr=inet_ntoa(temp_ip);
			printf("\n");
			printf("ID=%3d      IP=%15s	MAC=%02x.%02x.%02x.%02x.%02x.%02x\n", i, ptr, 
			(con_mac_tab_ptr->rs_mac[i]).dmac[3],(con_mac_tab_ptr->rs_mac[i]).dmac[2],
			(con_mac_tab_ptr->rs_mac[i]).dmac[1],(con_mac_tab_ptr->rs_mac[i]).dmac[0],
			(con_mac_tab_ptr->rs_mac[i]).dmac[5],(con_mac_tab_ptr->rs_mac[i]).dmac[4]);

			result=mdy_chk(i);
			
			if(result==1)
			{
				printf("Modify success!!!\n");
					}
			else
			{
				printf("Modify fail!!!\n");
			}
			
			return;
		}
	}
	printf("MAC  %02x.%02x.%02x.%02x.%02x.%02x server is not exist\n",
	temp_mac[0],temp_mac[1],temp_mac[2],temp_mac[3],temp_mac[6],temp_mac[7]);
	return;
}
/*************************************************************/
void mdy_via_ip(void)
{
	unsigned char tmp[20];
	unsigned long tmp_ip;
	unsigned long i;
	struct in_addr temp_ip;
	char *ptr;
	int result;
	
	printf("please enter real server ip which will be modify:\n");
	scanf("%s",tmp);
	if(inet_addr(tmp)==-1)
	{
		printf("input error, please try again.\n");
		return;
	}
	tmp_ip = inet_addr(tmp);
	for (i=0; i<256; i++)
	{
		if( tmp_ip == (id_ip_tab_ptr->ip[i]) )
		{
			temp_ip.s_addr=id_ip_tab_ptr->ip[i];
			ptr=inet_ntoa(temp_ip);
			printf("\n");
			printf("ID=%3d      IP=%15s      MAC=%02x.%02x.%02x.%02x.%02x.%02x\n", i, ptr, 
			(con_mac_tab_ptr->rs_mac[i]).dmac[3],(con_mac_tab_ptr->rs_mac[i]).dmac[2],
			(con_mac_tab_ptr->rs_mac[i]).dmac[1],(con_mac_tab_ptr->rs_mac[i]).dmac[0],
			(con_mac_tab_ptr->rs_mac[i]).dmac[5],(con_mac_tab_ptr->rs_mac[i]).dmac[4]);
			
			result=mdy_chk(i);
			
			if(result==1)
			{
				printf("Modify success!!!\n");
					}
			else
			{
				printf("Modify fail!!!\n");
			}
			return;
		}
	}
	printf("This ip %s is not exist\n",tmp);
	return;
}
/*************************************************************/
void mdy_via_id(void)
{
	unsigned long tmp, cc, tmp_ip, i;
	unsigned char tmp1[20];
	struct in_addr temp_ip;
	char *ptr;
	int ttt[8];
	unsigned char temp_mac[8];
	int result;
	
	do{
	printf("please enter real server id which will be modify:\n");
	scanf("%d",&tmp);
	}
	while(tmp>256);
	
	if((id_ip_tab_ptr->ip[tmp])==0)
	{
		printf("this id %d is not exist\n",tmp);
		return;
	}
	temp_ip.s_addr=id_ip_tab_ptr->ip[tmp];
	ptr=inet_ntoa(temp_ip);
	printf("ID=%3d      IP=%15s      MAC=%02x.%02x.%02x.%02x.%02x.%02x\n", tmp, ptr, 
	(con_mac_tab_ptr->rs_mac[tmp]).dmac[3],(con_mac_tab_ptr->rs_mac[tmp]).dmac[2],
	(con_mac_tab_ptr->rs_mac[tmp]).dmac[1],(con_mac_tab_ptr->rs_mac[tmp]).dmac[0],
	(con_mac_tab_ptr->rs_mac[tmp]).dmac[5],(con_mac_tab_ptr->rs_mac[tmp]).dmac[4]);
	
	result=mdy_chk(tmp);
	
	if(result==1)
	{
		printf("Modify success!!!\n");
			}
	else
	{
		printf("Modify fail!!!\n");
	}
	return;
}
/*************************************************************/
void show_all(void)
{
	unsigned long i, cnt;
	struct in_addr temp_ip;
	char *ptr;
	printf("-------------------------------------------------\n");
	for(i=0; i<256; i++)
	{
		if( (id_ip_tab_ptr->ip[i])!=0 )
		{
			cnt=(con_setup_ptr->increase[i])-(arm_con_release_ptr->decrease[i]+ con_release_ptr->decrease[i]);
			temp_ip.s_addr=id_ip_tab_ptr->ip[i];
			ptr=inet_ntoa(temp_ip);
			printf("ID=%3d      IP=%15s      MAC=%02x.%02x.%02x.%02x.%02x.%02x	hash count=%d\n", i, ptr, 
			(con_mac_tab_ptr->rs_mac[i]).dmac[3],(con_mac_tab_ptr->rs_mac[i]).dmac[2],
			(con_mac_tab_ptr->rs_mac[i]).dmac[1],(con_mac_tab_ptr->rs_mac[i]).dmac[0],
			(con_mac_tab_ptr->rs_mac[i]).dmac[5],(con_mac_tab_ptr->rs_mac[i]).dmac[4], cnt);
		}
	}
	printf("show end!!\n");
	return;
}
/*************************************************************/
void show_via_mac(void)
{
	char *ptr;
	unsigned long i, cnt;
	int ttt[8];
	unsigned char temp_mac[8];
	struct in_addr temp_ip;
	
	printf("Please enter real server mac which will be show(xx.xx.xx.xx.xx.xx):\n");
	scanf("%x.%x.%x.%x.%x.%x",ttt,ttt+1,ttt+2,ttt+3,ttt+6,ttt+7);
		
		temp_mac[0]=(unsigned char)ttt[0];
		temp_mac[1]=(unsigned char)ttt[1];
		temp_mac[2]=(unsigned char)ttt[2];
		temp_mac[3]=(unsigned char)ttt[3];
		temp_mac[6]=(unsigned char)ttt[6];
		temp_mac[7]=(unsigned char)ttt[7];

	for(i=0; i<256; i++)
	{
		if( 
		(con_mac_tab_ptr->rs_mac[i]).dmac[3]==temp_mac[0]&&
		(con_mac_tab_ptr->rs_mac[i]).dmac[2]==temp_mac[1]&&
		(con_mac_tab_ptr->rs_mac[i]).dmac[1]==temp_mac[2]&&
		(con_mac_tab_ptr->rs_mac[i]).dmac[0]==temp_mac[3]&&
		(con_mac_tab_ptr->rs_mac[i]).dmac[5]==temp_mac[6]&&
		(con_mac_tab_ptr->rs_mac[i]).dmac[4]==temp_mac[7] )
		{
			cnt=(con_setup_ptr->increase[i])-(arm_con_release_ptr->decrease[i]+ con_release_ptr->decrease[i]);
			temp_ip.s_addr=id_ip_tab_ptr->ip[i];
			ptr=inet_ntoa(temp_ip);
			printf("\n");
			printf("ID=%3d      IP=%15s      MAC=%02x.%02x.%02x.%02x.%02x.%02x	hash count=%d\n", i, ptr, 
			(con_mac_tab_ptr->rs_mac[i]).dmac[3],(con_mac_tab_ptr->rs_mac[i]).dmac[2],
			(con_mac_tab_ptr->rs_mac[i]).dmac[1],(con_mac_tab_ptr->rs_mac[i]).dmac[0],
			(con_mac_tab_ptr->rs_mac[i]).dmac[5],(con_mac_tab_ptr->rs_mac[i]).dmac[4], cnt);
			return;
		}
	}
	printf("MAC  %02x.%02x.%02x.%02x.%02x.%02x server is not exist\n",
	temp_mac[0],temp_mac[1],temp_mac[2],temp_mac[3],temp_mac[6],temp_mac[7]);
	return;
}
/*************************************************************/
void show_via_ip(void)
{
	unsigned char tmp[20];
	unsigned long tmp_ip;
	unsigned long i, cnt;
	struct in_addr temp_ip;
	char *ptr;
	
	printf("please enter real server ip which will be show:\n");
	scanf("%s",tmp);
	if(inet_addr(tmp)==-1)
	{
		printf("input error, please try again.\n");
		return;
	}
	tmp_ip = inet_addr(tmp);
	for (i=0; i<256; i++)
	{
		if( tmp_ip == (id_ip_tab_ptr->ip[i]) )
		{
			cnt=(con_setup_ptr->increase[i])-(arm_con_release_ptr->decrease[i]+ con_release_ptr->decrease[i]);
			temp_ip.s_addr=id_ip_tab_ptr->ip[i];
			ptr=inet_ntoa(temp_ip);
			printf("\n");
			printf("ID=%3d      IP=%15s      MAC=%02x.%02x.%02x.%02x.%02x.%02x	hash count =%d\n", i, ptr, 
			(con_mac_tab_ptr->rs_mac[i]).dmac[3],(con_mac_tab_ptr->rs_mac[i]).dmac[2],
			(con_mac_tab_ptr->rs_mac[i]).dmac[1],(con_mac_tab_ptr->rs_mac[i]).dmac[0],
			(con_mac_tab_ptr->rs_mac[i]).dmac[5],(con_mac_tab_ptr->rs_mac[i]).dmac[4], cnt);
			return;
		}
	}
	printf("This ip %s is not exist\n",tmp);
	return;
}
/*************************************************************/
void show_via_id(void)
{
	unsigned long tmp, cnt;
	struct in_addr temp_ip;
	char *ptr;
		
	do{
	printf("Please enter real server id which will be show:\n");
	scanf("%d",&tmp);
	}
	while(tmp>256);
	
	if((id_ip_tab_ptr->ip[tmp])==0)
	{
		printf("This id %d is not exist\n",tmp);
		return;
	}
	temp_ip.s_addr=id_ip_tab_ptr->ip[tmp];
	ptr=inet_ntoa(temp_ip);
	cnt=(con_setup_ptr->increase[tmp])-(arm_con_release_ptr->decrease[tmp]+ con_release_ptr->decrease[tmp]);
	printf("ID=%3d      IP=%15s      MAC=%02x.%02x.%02x.%02x.%02x.%02x	hash count=%d\n", tmp, ptr, 
	(con_mac_tab_ptr->rs_mac[tmp]).dmac[3],(con_mac_tab_ptr->rs_mac[tmp]).dmac[2],
	(con_mac_tab_ptr->rs_mac[tmp]).dmac[1],(con_mac_tab_ptr->rs_mac[tmp]).dmac[0],
	(con_mac_tab_ptr->rs_mac[tmp]).dmac[5],(con_mac_tab_ptr->rs_mac[tmp]).dmac[4], cnt);
	return;
}
/*************************************************************/
void del_via_mac(void)
{
	unsigned char *ptr;
	unsigned long i;
	int ttt[8];
	unsigned char temp_mac[8];
	
	
	printf("Please enter real server mac which will be remove(xx.xx.xx.xx.xx.xx):\n");
	scanf("%x.%x.%x.%x.%x.%x",ttt,ttt+1,ttt+2,ttt+3,ttt+6,ttt+7);
		
		temp_mac[0]=(unsigned char)ttt[0];
		temp_mac[1]=(unsigned char)ttt[1];
		temp_mac[2]=(unsigned char)ttt[2];
		temp_mac[3]=(unsigned char)ttt[3];
		temp_mac[6]=(unsigned char)ttt[6];
		temp_mac[7]=(unsigned char)ttt[7];
/*	scanf("%s",string_mac);
*	ptr=(unsigned char *)strtok((char *)string_mac,".");
*	sscanf((const char *)ptr, "%x",&(temp_mac.dmac[0]));
*	ptr=(unsigned char *)strtok((char *)string_mac,".");
*	sscanf(NULL,"%x",&(temp_mac.dmac[1]));
*	ptr=(unsigned char *)strtok((char *)string_mac,".");
*	sscanf(NULL,"%x",&(temp_mac.dmac[2]));
*	ptr=(unsigned char *)strtok((char *)string_mac,".");
*	sscanf(NULL,"%x",&(temp_mac.dmac[3]));
*	ptr=(unsigned char *)strtok((char *)string_mac,".");
*	sscanf(NULL,"%x",&(temp_mac.dmac[6]));
*	ptr=(unsigned char *)strtok((char *)string_mac,".");
*	sscanf(NULL,"%x",&(temp_mac.dmac[7]));
*/	
	for(i=0; i<256; i++)
	{
		if( 
		(con_mac_tab_ptr->rs_mac[i]).dmac[3]==temp_mac[0]&&
		(con_mac_tab_ptr->rs_mac[i]).dmac[2]==temp_mac[1]&&
		(con_mac_tab_ptr->rs_mac[i]).dmac[1]==temp_mac[2]&&
		(con_mac_tab_ptr->rs_mac[i]).dmac[0]==temp_mac[3]&&
		(con_mac_tab_ptr->rs_mac[i]).dmac[5]==temp_mac[6]&&
		(con_mac_tab_ptr->rs_mac[i]).dmac[4]==temp_mac[7] )
		{
			//hit
			id_ip_tab_ptr->ip[i]=0;
			bzero( (char *) &(con_mac_tab_ptr->rs_mac[i]),8);
			printf("MAC  %02x.%02x.%02x.%02x.%02x.%02x server does not exist\n",
			temp_mac[0],temp_mac[1],temp_mac[2],temp_mac[3],temp_mac[6],temp_mac[7]);
			return;
		}
	}
	printf("MAC  %02x.%02x.%02x.%02x.%02x.%02x server remove success\n",
	temp_mac[0],temp_mac[1],temp_mac[2],temp_mac[3],temp_mac[6],temp_mac[7]);
		return;
}
/*************************************************************/
void del_via_ip(void)
{
	unsigned char tmp[20];
	unsigned long tmp_ip;
	unsigned long i;
	printf("Please enter real server ip which will be remove:\n");
	scanf("%s",tmp);
	if(inet_addr(tmp)==-1)
	{
		printf("Input error, please try again.\n");
		return;
	}
	tmp_ip = inet_addr(tmp);
	for (i=0; i<256; i++)
	{
		if( tmp_ip == (id_ip_tab_ptr->ip[i]) )
		{
			id_ip_tab_ptr->ip[i]=0;
			bzero( (char *) &(con_mac_tab_ptr->rs_mac[i]),8);
			printf("IP %s server remove success\n",tmp);
			return;
		}
	}
	printf("this ip %s is not exist\n",tmp);
	return;
}
/*************************************************************/
void del_via_id(void)
{
	unsigned long tmp;
		
	do{
	printf("please enter real server id which will be remove:\n");
	scanf("%d",&tmp);
	printf("id=%d",tmp);
	}
	while(tmp>256);
	
	if((id_ip_tab_ptr->ip[tmp])==0)
	{
		printf("this id %d is not exist\n",tmp);
		return;
	}
	id_ip_tab_ptr->ip[tmp]=0;
	bzero( (char *) &(con_mac_tab_ptr->rs_mac[tmp]),8);
	printf("ID %d server remove success\n");
	return;
}
/*************************************************************/
void del_all(void)
{
	bzero((char *)con_mac_tab_ptr,256*2*4);
	bzero((char *)id_ip_tab_ptr,256*4);
}
/*************************************************************/
void show_set_rel(void)
{
	unsigned long num;
	unsigned long i=0, j=0, k=0;
	for(num=0; num <256; num++)
	{
		i = i + con_setup_ptr->increase[num];
		j = j + con_release_ptr->decrease[num];
		k = k + arm_con_release_ptr->decrease[num];
	}
	
	printf("ue total setup number = %d, ue total release number = %d, sa total release number = %d\n", i, j, k);
	printf("diff=%d\n",i-(j+k));
}

/*************************************************************/
void view_server(void)
{
	unsigned long ch=0;
	
	while (1)
	{	
		printf("\n*******************View Server*******************\n");
		printf("(1)show complete information via id\n");
		printf("(2)show complete information via ip\n");
		printf("(3)show complete information via mac\n");
		printf("(4)show all server information\n");
		printf("(5)show total setup and release number\n");
		printf("(6)Up layer\n");
		printf("***************************************************\n");
		printf("Choice: ");
		scanf("%d",&ch);
		switch(ch)
		{
			case 1:
			{
				show_via_id();
				break;
			}
			case 2:
			{
				show_via_ip();
				break;
			}
			case 3:
			{
				show_via_mac();
				break;
			}
			case 4:
			{
				show_all();
				break;
			}
			case 5:
			{
				show_set_rel();
				break;
			}
			case 6:
			{
				return;
			}
			default:
			{
				printf("Invalid choice!\n");
				break;
			}
		}
	}//while (1)
}
/*************************************************************/

void delete_server(void)
{
	unsigned long ch=0;
	
	while (1)
	{	
		printf("\n**************Delete real server*****************\n");
		printf("(1)delete real server via id\n");
		printf("(2)delete real server via ip\n");
		printf("(3)delete real server via mac\n");
		printf("(4)delete all real server\n");
		printf("(5)View all real server\n");
		printf("(6)Up layer\n");
		printf("***************************************************\n");
		printf("Choice: ");
		scanf("%d",&ch);
		switch(ch)
		{
			case 1:
			{
				del_via_id();
				break;
			}
			case 2:
			{
				del_via_ip();
				break;
			}
			case 3:
			{
				del_via_mac();
				break;
			}
			case 4:
			{
				del_all();
				break;
			}
			case 5:
			{
				view_server();
				break;
			}
			case 6:
			{
				return;
			}
			default:
			{
				printf("Invalid choice!\n");
				break;
			}
		}
	}//while (1)
}
/*************************************************************/
void modify_server(void)
{
	unsigned long ch=0;
	
	while (1)
	{	
		printf("\n**************Modify real server*****************\n");
		printf("(1)Modify real server via id\n");
		printf("(2)Modify real server via ip\n");
		printf("(3)Modify real server via mac\n");
		printf("(4)View all real server\n");
		printf("(5)Up layer\n");
		printf("*************************************************\n");
		printf("Choice: ");
		scanf("%d",&ch);
		switch(ch)
		{
			case 1:
			{
				mdy_via_id();
				break;
			}
			case 2:
			{
				mdy_via_ip();
				break;
			}
			case 3:
			{
				mdy_via_mac();
				break;
			}
			case 4:
			{
				view_server();
				break;
			}
			case 5:
			{
				return;
			}
			default:
			{
				printf("Invalid choice!\n");
				break;
			}
		}
	}//while (1)
}
/*************************************************************/

void gsd_via_mac(void)
{
	char *ptr;
	unsigned long i;
	int ttt[8];
	unsigned char temp_mac[8];
	struct in_addr temp_ip;
	
	printf("Please enter real server mac which will be gracefully shutdown(xx.xx.xx.xx.xx.xx):\n");
	scanf("%x.%x.%x.%x.%x.%x",ttt,ttt+1,ttt+2,ttt+3,ttt+6,ttt+7);
		
		temp_mac[0]=(unsigned char)ttt[0];
		temp_mac[1]=(unsigned char)ttt[1];
		temp_mac[2]=(unsigned char)ttt[2];
		temp_mac[3]=(unsigned char)ttt[3];
		temp_mac[6]=(unsigned char)ttt[6];
		temp_mac[7]=(unsigned char)ttt[7];

	for(i=0; i<256; i++)
	{
		if( 
		(con_mac_tab_ptr->rs_mac[i]).dmac[3]==temp_mac[0]&&
		(con_mac_tab_ptr->rs_mac[i]).dmac[2]==temp_mac[1]&&
		(con_mac_tab_ptr->rs_mac[i]).dmac[1]==temp_mac[2]&&
		(con_mac_tab_ptr->rs_mac[i]).dmac[0]==temp_mac[3]&&
		(con_mac_tab_ptr->rs_mac[i]).dmac[5]==temp_mac[6]&&
		(con_mac_tab_ptr->rs_mac[i]).dmac[4]==temp_mac[7] )
		{
			temp_ip.s_addr=id_ip_tab_ptr->ip[i];
			ptr=inet_ntoa(temp_ip);
			printf("\n");
			printf("ID=%3d      IP=%15s      MAC=%02x.%02x.%02x.%02x.%02x.%02x\n", i, ptr, 
			(con_mac_tab_ptr->rs_mac[i]).dmac[3],(con_mac_tab_ptr->rs_mac[i]).dmac[2],
			(con_mac_tab_ptr->rs_mac[i]).dmac[1],(con_mac_tab_ptr->rs_mac[i]).dmac[0],
			(con_mac_tab_ptr->rs_mac[i]).dmac[5],(con_mac_tab_ptr->rs_mac[i]).dmac[4]);
			taskSpawn("TASK_GSD", 255, 0, 10000, (FUNCPTR)gsd, i, 0, 0, 0, 0, 0, 0, 0, 0, 0);
			printf("real server %d have been execute gracefully shutdown\n", i);
			printf("you must wait the signal form system which mean you can shutdown real server\n");
			return;
		}
	}
	printf("MAC  %02x.%02x.%02x.%02x.%02x.%02x server is not exist\n",
	temp_mac[0],temp_mac[1],temp_mac[2],temp_mac[3],temp_mac[6],temp_mac[7]);
	return;
}

/*************************************************************/
void gsd_via_ip(void)
{
	unsigned char tmp[20];
	unsigned long tmp_ip;
	unsigned long i;
	struct in_addr temp_ip;
	char *ptr;
	
	printf("please enter real server ip which will be gracefully shutdown:\n");
	scanf("%s",tmp);
	if(inet_addr(tmp)==-1)
	{
		printf("input error, please try again.\n");
		return;
	}
	tmp_ip = inet_addr(tmp);
	for (i=0; i<256; i++)
	{
		if( tmp_ip == (id_ip_tab_ptr->ip[i]) )
		{
			temp_ip.s_addr=id_ip_tab_ptr->ip[i];
			ptr=inet_ntoa(temp_ip);
			printf("\n");
			printf("now will execute real server %d gracefully shutdown\n",i);
			printf("ID=%3d      IP=%15s      MAC=%02x.%02x.%02x.%02x.%02x.%02x\n", i, ptr, 
			(con_mac_tab_ptr->rs_mac[i]).dmac[3],(con_mac_tab_ptr->rs_mac[i]).dmac[2],
			(con_mac_tab_ptr->rs_mac[i]).dmac[1],(con_mac_tab_ptr->rs_mac[i]).dmac[0],
			(con_mac_tab_ptr->rs_mac[i]).dmac[5],(con_mac_tab_ptr->rs_mac[i]).dmac[4]);
			taskSpawn("TASK_GSD", 255, 0, 10000, (FUNCPTR)gsd, i, 0, 0, 0, 0, 0, 0, 0, 0, 0);
			printf("real server %d have been execute gracefully shutdown\n", i);
			printf("you must wait the signal form system which mean you can shutdown real server\n");
			return;
		}
	}
	printf("This ip %s is not exist\n",tmp);
	return;

}
/*************************************************************/
void gsd_via_id(void)
{
	unsigned long tmp;
		
	do{
	printf("please enter real server id which will be gracefully shutdown:\n");
	scanf("%d",&tmp);
	printf("\n");
	}
	while(tmp>256);
	
	if((id_ip_tab_ptr->ip[tmp])==0)
	{
		printf("this id %d is not exist\n",tmp);
		return;
	}
	taskSpawn("TASK_GSD", 255, 0, 10000, (FUNCPTR)gsd, tmp, 0, 0, 0, 0, 0, 0, 0, 0, 0);
	printf("real server %d have been execute gracefully shutdown\n", tmp);
	printf("you must wait the signal form system which mean you can shutdown real server\n");
	return;
}
/*************************************************************/
void grs_dwn(void)
{
	unsigned long ch=0;
	
	while (1)
	{	
		printf("\n**************Modify real server*****************\n");
		printf("(1)Gracefully shutdown real server via id\n");
		printf("(2)Gracefully shutdown real server via ip\n");
		printf("(3)Gracefully shutdown real server via mac\n");
		printf("(4)View all real server\n");
		printf("(5)Up layer\n");
		printf("*************************************************\n");
		printf("Choice: ");
		scanf("%d",&ch);
		switch(ch)
		{
			case 1:
			{
				gsd_via_id();
				break;
			}
			case 2:
			{
				gsd_via_ip();
				break;
			}
			case 3:
			{
				gsd_via_mac();
				break;
			}
			case 4:
			{
				view_server();
				break;
			}
			case 5:
			{
				return;
			}
			default:
			{
				printf("Invalid choice!\n");
				break;
			}
		}
	}//while (1)
}
/*************************************************************/
void add_server(void)
{
	
	unsigned long temp_id, i, kk;
	unsigned long temp_ip;
	unsigned char l=0, m=0, n=0;
	unsigned char string_ip[20];
	unsigned char string_mac[20];
	unsigned char num[6];
	unsigned char *ptr;
	int ttt[8];
	unsigned char temp_mac[8];
	while(l==0)
	{
		printf("Please enter the real server ip address(don't repeat):\n");
		scanf("%s",string_ip);
		if(inet_addr(string_ip)==-1)
		{
			printf("Input error, please try again.\n");
			continue;
		}
		temp_ip = inet_addr(string_ip);
		l=1;
		for(i=0; i<256; i++)
		{
			if(id_ip_tab_ptr->ip[i] == temp_ip)
			{
				printf("This ip have been use in load balancer!\n");
				l=0;
				break;
			}
		}
	}
	while(m==0)
	{
		printf("Please enter the real server mac address:(xx.xx.xx.xx.xx.xx)\n");
		scanf("%x.%x.%x.%x.%x.%x",ttt,ttt+1,ttt+2,ttt+3,ttt+6,ttt+7);
		
		temp_mac[0]=(unsigned char)ttt[0];
		temp_mac[1]=(unsigned char)ttt[1];
		temp_mac[2]=(unsigned char)ttt[2];
		temp_mac[3]=(unsigned char)ttt[3];
		temp_mac[6]=(unsigned char)ttt[6];
		temp_mac[7]=(unsigned char)ttt[7];
		printf("\nMAC  %02x.%02x.%02x.%02x.%02x.%02x correct? if right enter (1): \n",
		temp_mac[0],temp_mac[1],temp_mac[2],temp_mac[3],temp_mac[6],temp_mac[7]);
		scanf("%d",&kk);
		if(kk!=1)
		{continue;}
//sscanf(string_mac,"%x.%x.%x.%x.%x.%x",&(temp_mac.dmac[0]),&(temp_mac.dmac[1]),&(temp_mac.dmac[2]),&(temp_mac.dmac[3])
//,&(temp_mac.dmac[6]),&(temp_mac.dmac[7]));

/*		ptr=(unsigned char *)strtok((char *)string_mac,".");
*		sscanf((const char *)ptr, "%x",&(temp_mac.dmac[0]));
*		
*		ptr=(unsigned char *)strtok((char *)NULL,".");
*		sscanf((const char *)ptr,"%x",&(temp_mac.dmac[1]));
*		
*		ptr=(unsigned char *)strtok((char *)NULL,".");
*		sscanf((const char *)ptr,"%x",&(temp_mac.dmac[2]));
*		
*		ptr=(unsigned char *)strtok((char *)NULL,".");
*		sscanf((const char *)ptr,"%x",&(temp_mac.dmac[3]));
*		
*		ptr=(unsigned char *)strtok((char *)NULL,".");
*		sscanf((const char *)ptr,"%x",&(temp_mac.dmac[6]));
*		
*		ptr=(unsigned char *)strtok((char *)NULL,".");
*		sscanf((const char *)ptr,"%x",&(temp_mac.dmac[7]));
*/		
		m=1;
		for(i=0; i<256; i++)
		{
			if( 
			(con_mac_tab_ptr->rs_mac[i]).dmac[3]==temp_mac[0]&&
			(con_mac_tab_ptr->rs_mac[i]).dmac[2]==temp_mac[1]&&
			(con_mac_tab_ptr->rs_mac[i]).dmac[1]==temp_mac[2]&&
			(con_mac_tab_ptr->rs_mac[i]).dmac[0]==temp_mac[3]&&
			(con_mac_tab_ptr->rs_mac[i]).dmac[5]==temp_mac[6]&&
			(con_mac_tab_ptr->rs_mac[i]).dmac[4]==temp_mac[7] )
			{
				printf("This mac have been use in load balancer!");
				m=0;
				break;
			}
		}
	}

	do
	{
	printf("\nPlease enter the real server id(don't repeat):\n");
	scanf("%d",&temp_id);
	}
 	while( (temp_id>256) || (id_ip_tab_ptr->ip[temp_id])!=0 );
 
 
 	id_ip_tab_ptr->ip[temp_id]= temp_ip;
 	
/* 	printf("temp_mac.dmac[0]=%x\n",temp_mac[0]);
* 	printf("temp_mac.dmac[1]=%x\n",temp_mac[1]);
* 	printf("temp_mac.dmac[2]=%x\n",temp_mac[2]);
* 	printf("temp_mac.dmac[3]=%x\n",temp_mac[3]);
* 	printf("temp_mac.dmac[4]=%x\n",temp_mac[4]);
* 	printf("temp_mac.dmac[5]=%x\n",temp_mac[5]);
*/ 	
 	(con_mac_tab_ptr->rs_mac[temp_id]).dmac[3]=temp_mac[0];
 	(con_mac_tab_ptr->rs_mac[temp_id]).dmac[2]=temp_mac[1];
 	(con_mac_tab_ptr->rs_mac[temp_id]).dmac[1]=temp_mac[2];
 	(con_mac_tab_ptr->rs_mac[temp_id]).dmac[0]=temp_mac[3];
 	(con_mac_tab_ptr->rs_mac[temp_id]).dmac[5]=temp_mac[6];
 	(con_mac_tab_ptr->rs_mac[temp_id]).dmac[4]=temp_mac[7];
 	
 	printf("\nSetup a real server success\n");
 	return;
	
}
/*************************************************************/
void mdy_cw(void)
{
	unsigned long a=0;
	do{
	printf("please enter new CW value, now is %d sec",cw_timeout*10);
	printf("the range is 0~31, the unit is (10 Second):\n");
	scanf("%d",&a);}
	while(a>31);
	cw_timeout=a;
	printf("Modify Success!!\n");
	printf("now CW is %d sec!!\n", sr_timeout*10);
	return;
}
/*************************************************************/
void mdy_es(void)
{
	unsigned long a=0;
	do{
	printf("please enter new ES value, now is %d min",es_timeout);
	printf("the range is 0~31, the unit is (minite):\n");
	scanf("%d",&a);}
	while(a>31);
	es_timeout=a;
	printf("Modify Success!!\n");
	printf("now ES is %d sec!!\n", es_timeout);
	return;
}
/*************************************************************/
void mdy_sr(void)
{
	unsigned long a=0;
	do{
	printf("please enter new SR value, now is %d sec",sr_timeout);
	printf("the range is 0~31, the unit is (Second):\n");
	scanf("%d",&a);}
	while(a>31);
	sr_timeout=a;
	printf("Modify Success!!\n");
	printf("now SR is %d sec!!\n", sr_timeout);
	return;
}
/*************************************************************/
void view_timeout_value(void)
{
	printf("\n SR=%d sec\n ES=%d min\n CW=%d*(10sec)\n", sr_timeout, es_timeout, cw_timeout);
	return;
}
/*************************************************************/
void set_tcp_timeout_value(void)
{
	unsigned int ch=0;
	
	
	while (1)
	{	
		printf("\n*********Setup tcp state timeout value*********\n");
		printf("(1)View present tcp state timeout value\n");
		printf("(2)Modify Syn Receive value(SR)\n");
		printf("(3)Modify Establish value(ES)\n");
		printf("(4)Modify Close Wait value(CW)\n");
		printf("(5)Up layer\n");
		printf("*************************************************\n");
		printf("Choice: ");
		scanf("%d",&ch);
		switch(ch)
		{
			case 1:
			{
				view_timeout_value();
				break;
			}
			case 2:
			{
				mdy_sr();
				break;
			}
			case 3:
			{
				mdy_es();
				break;
			}
			case 4:
			{
				mdy_cw();
				break;
			}
			case 5:
			{
				return;
			}
			default:
			{
				printf("Invalid choice!\n");
				break;
			}
		}
	}//while (1)
}
/*************************************************************/

void l4lb_cmd_shell(void)
{
	unsigned int ch=0;
	
	
	while (1)
	{	
		printf("\n*******Layer 4 Load Balancer Configuration*******\n");
		printf("(1)Add a real server\n");
		printf("(2)Delete a real server\n");
		printf("(3)View all real server\n");
		printf("(4)Modify real server\n");
		printf("(5)Gracefully shutdown real server\n");
		printf("(6)Setup tcp state timeout value\n");
		printf("(7)Exit\n");
		printf("*************************************************\n");
		printf("Choice: ");
		scanf("%d",&ch);
		switch(ch)
		{
			case 1:
			{
				add_server();
				break;
			}
			case 2:
			{
				delete_server();
				break;
			}
			case 3:
			{
				view_server();
				break;
			}
			case 4:
			{
				modify_server();
				break;
			}
			case 5:
			{
				grs_dwn();
				break;
			}
			case 6:
			{
				set_tcp_timeout_value();
				break;
			}
			case 7:
			{
				return;
			}
			default:
			{
				printf("Invalid choice!\n");
				break;
			}
		}
	}//while (1)



}
/*************************************************************/

void manage(void)
{
	
	l4lb_cmd_shell();
	return;
}